import React from 'react';
import { TLKeyboardInfo, TLPointerInfo } from './types';
declare class Inputs {
    activePointerId?: number;
    pointerUpTime: number;
    pointer?: TLPointerInfo;
    points: Record<string, TLPointerInfo>;
    keyboard?: TLKeyboardInfo;
    keys: Record<string, boolean>;
    touchStart(e: TouchEvent | React.TouchEvent, target: string): TLPointerInfo;
    touchMove(e: TouchEvent | React.TouchEvent): TLPointerInfo;
    pointerDown(e: PointerEvent | React.PointerEvent, target: string): TLPointerInfo;
    pointerEnter(e: PointerEvent | React.PointerEvent, target: string): TLPointerInfo;
    pointerMove(e: PointerEvent | React.PointerEvent, target?: string): TLPointerInfo;
    pointerUp: (e: PointerEvent | React.PointerEvent, target?: string) => TLPointerInfo;
    wheel: (e: WheelEvent) => TLPointerInfo;
    canAccept: (_pointerId: PointerEvent['pointerId']) => boolean;
    isDoubleClick(): boolean | undefined;
    clear(): void;
    resetDoubleClick(): void;
    keydown: (e: KeyboardEvent | React.KeyboardEvent) => TLKeyboardInfo;
    keyup: (e: KeyboardEvent | React.KeyboardEvent) => TLKeyboardInfo;
    pinch(point: number[], origin: number[]): TLPointerInfo;
    reset(): void;
    static getPoint(e: PointerEvent | React.PointerEvent | Touch | React.Touch | WheelEvent): number[];
    static getPressure(e: PointerEvent | React.PointerEvent | Touch | React.Touch | WheelEvent): number;
    static commandKey(): string;
}
export declare const inputs: Inputs;
export {};
