import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import React__default, { createContext, useContext, useRef, useEffect, useCallback, useState, useLayoutEffect, useReducer, memo, createRef } from 'react';
import { ErrorBoundary } from 'react-error-boundary';
import { isDraft, current } from 'immer';
import { useGesture } from 'react-use-gesture';

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var check = function (it) {
  return it && it.Math == Math && it;
};

// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
var global_1 =
  // eslint-disable-next-line es/no-global-this -- safe
  check(typeof globalThis == 'object' && globalThis) ||
  check(typeof window == 'object' && window) ||
  // eslint-disable-next-line no-restricted-globals -- safe
  check(typeof self == 'object' && self) ||
  check(typeof commonjsGlobal == 'object' && commonjsGlobal) ||
  // eslint-disable-next-line no-new-func -- fallback
  (function () { return this; })() || Function('return this')();

var fails = function (exec) {
  try {
    return !!exec();
  } catch (error) {
    return true;
  }
};

// Detect IE8's incomplete defineProperty implementation
var descriptors = !fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty({}, 1, { get: function () { return 7; } })[1] != 7;
});

var $propertyIsEnumerable = {}.propertyIsEnumerable;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

// Nashorn ~ JDK8 bug
var NASHORN_BUG = getOwnPropertyDescriptor && !$propertyIsEnumerable.call({ 1: 2 }, 1);

// `Object.prototype.propertyIsEnumerable` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.propertyisenumerable
var f = NASHORN_BUG ? function propertyIsEnumerable(V) {
  var descriptor = getOwnPropertyDescriptor(this, V);
  return !!descriptor && descriptor.enumerable;
} : $propertyIsEnumerable;

var objectPropertyIsEnumerable = {
	f: f
};

var createPropertyDescriptor = function (bitmap, value) {
  return {
    enumerable: !(bitmap & 1),
    configurable: !(bitmap & 2),
    writable: !(bitmap & 4),
    value: value
  };
};

var toString = {}.toString;

var classofRaw = function (it) {
  return toString.call(it).slice(8, -1);
};

var split = ''.split;

// fallback for non-array-like ES3 and non-enumerable old V8 strings
var indexedObject = fails(function () {
  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
  // eslint-disable-next-line no-prototype-builtins -- safe
  return !Object('z').propertyIsEnumerable(0);
}) ? function (it) {
  return classofRaw(it) == 'String' ? split.call(it, '') : Object(it);
} : Object;

// `RequireObjectCoercible` abstract operation
// https://tc39.es/ecma262/#sec-requireobjectcoercible
var requireObjectCoercible = function (it) {
  if (it == undefined) throw TypeError("Can't call method on " + it);
  return it;
};

// toObject with fallback for non-array-like ES3 strings



var toIndexedObject = function (it) {
  return indexedObject(requireObjectCoercible(it));
};

var isObject = function (it) {
  return typeof it === 'object' ? it !== null : typeof it === 'function';
};

// `ToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-toprimitive
// instead of the ES6 spec version, we didn't implement @@toPrimitive case
// and the second argument - flag - preferred type is a string
var toPrimitive = function (input, PREFERRED_STRING) {
  if (!isObject(input)) return input;
  var fn, val;
  if (PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
  if (typeof (fn = input.valueOf) == 'function' && !isObject(val = fn.call(input))) return val;
  if (!PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
  throw TypeError("Can't convert object to primitive value");
};

// `ToObject` abstract operation
// https://tc39.es/ecma262/#sec-toobject
var toObject = function (argument) {
  return Object(requireObjectCoercible(argument));
};

var hasOwnProperty = {}.hasOwnProperty;

var has = Object.hasOwn || function hasOwn(it, key) {
  return hasOwnProperty.call(toObject(it), key);
};

var document$1 = global_1.document;
// typeof document.createElement is 'object' in old IE
var EXISTS = isObject(document$1) && isObject(document$1.createElement);

var documentCreateElement = function (it) {
  return EXISTS ? document$1.createElement(it) : {};
};

// Thank's IE8 for his funny defineProperty
var ie8DomDefine = !descriptors && !fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- requied for testing
  return Object.defineProperty(documentCreateElement('div'), 'a', {
    get: function () { return 7; }
  }).a != 7;
});

// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

// `Object.getOwnPropertyDescriptor` method
// https://tc39.es/ecma262/#sec-object.getownpropertydescriptor
var f$1 = descriptors ? $getOwnPropertyDescriptor : function getOwnPropertyDescriptor(O, P) {
  O = toIndexedObject(O);
  P = toPrimitive(P, true);
  if (ie8DomDefine) try {
    return $getOwnPropertyDescriptor(O, P);
  } catch (error) { /* empty */ }
  if (has(O, P)) return createPropertyDescriptor(!objectPropertyIsEnumerable.f.call(O, P), O[P]);
};

var objectGetOwnPropertyDescriptor = {
	f: f$1
};

var anObject = function (it) {
  if (!isObject(it)) {
    throw TypeError(String(it) + ' is not an object');
  } return it;
};

// eslint-disable-next-line es/no-object-defineproperty -- safe
var $defineProperty = Object.defineProperty;

// `Object.defineProperty` method
// https://tc39.es/ecma262/#sec-object.defineproperty
var f$2 = descriptors ? $defineProperty : function defineProperty(O, P, Attributes) {
  anObject(O);
  P = toPrimitive(P, true);
  anObject(Attributes);
  if (ie8DomDefine) try {
    return $defineProperty(O, P, Attributes);
  } catch (error) { /* empty */ }
  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported');
  if ('value' in Attributes) O[P] = Attributes.value;
  return O;
};

var objectDefineProperty = {
	f: f$2
};

var createNonEnumerableProperty = descriptors ? function (object, key, value) {
  return objectDefineProperty.f(object, key, createPropertyDescriptor(1, value));
} : function (object, key, value) {
  object[key] = value;
  return object;
};

var setGlobal = function (key, value) {
  try {
    createNonEnumerableProperty(global_1, key, value);
  } catch (error) {
    global_1[key] = value;
  } return value;
};

var SHARED = '__core-js_shared__';
var store = global_1[SHARED] || setGlobal(SHARED, {});

var sharedStore = store;

var functionToString = Function.toString;

// this helper broken in `core-js@3.4.1-3.4.4`, so we can't use `shared` helper
if (typeof sharedStore.inspectSource != 'function') {
  sharedStore.inspectSource = function (it) {
    return functionToString.call(it);
  };
}

var inspectSource = sharedStore.inspectSource;

var WeakMap$1 = global_1.WeakMap;

var nativeWeakMap = typeof WeakMap$1 === 'function' && /native code/.test(inspectSource(WeakMap$1));

var shared = createCommonjsModule(function (module) {
(module.exports = function (key, value) {
  return sharedStore[key] || (sharedStore[key] = value !== undefined ? value : {});
})('versions', []).push({
  version: '3.15.2',
  mode:  'global',
  copyright: '© 2021 Denis Pushkarev (zloirock.ru)'
});
});

var id = 0;
var postfix = Math.random();

var uid = function (key) {
  return 'Symbol(' + String(key === undefined ? '' : key) + ')_' + (++id + postfix).toString(36);
};

var keys = shared('keys');

var sharedKey = function (key) {
  return keys[key] || (keys[key] = uid(key));
};

var hiddenKeys = {};

var OBJECT_ALREADY_INITIALIZED = 'Object already initialized';
var WeakMap$2 = global_1.WeakMap;
var set, get, has$1;

var enforce = function (it) {
  return has$1(it) ? get(it) : set(it, {});
};

var getterFor = function (TYPE) {
  return function (it) {
    var state;
    if (!isObject(it) || (state = get(it)).type !== TYPE) {
      throw TypeError('Incompatible receiver, ' + TYPE + ' required');
    } return state;
  };
};

if (nativeWeakMap || sharedStore.state) {
  var store$1 = sharedStore.state || (sharedStore.state = new WeakMap$2());
  var wmget = store$1.get;
  var wmhas = store$1.has;
  var wmset = store$1.set;
  set = function (it, metadata) {
    if (wmhas.call(store$1, it)) throw new TypeError(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    wmset.call(store$1, it, metadata);
    return metadata;
  };
  get = function (it) {
    return wmget.call(store$1, it) || {};
  };
  has$1 = function (it) {
    return wmhas.call(store$1, it);
  };
} else {
  var STATE = sharedKey('state');
  hiddenKeys[STATE] = true;
  set = function (it, metadata) {
    if (has(it, STATE)) throw new TypeError(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    createNonEnumerableProperty(it, STATE, metadata);
    return metadata;
  };
  get = function (it) {
    return has(it, STATE) ? it[STATE] : {};
  };
  has$1 = function (it) {
    return has(it, STATE);
  };
}

var internalState = {
  set: set,
  get: get,
  has: has$1,
  enforce: enforce,
  getterFor: getterFor
};

var redefine = createCommonjsModule(function (module) {
var getInternalState = internalState.get;
var enforceInternalState = internalState.enforce;
var TEMPLATE = String(String).split('String');

(module.exports = function (O, key, value, options) {
  var unsafe = options ? !!options.unsafe : false;
  var simple = options ? !!options.enumerable : false;
  var noTargetGet = options ? !!options.noTargetGet : false;
  var state;
  if (typeof value == 'function') {
    if (typeof key == 'string' && !has(value, 'name')) {
      createNonEnumerableProperty(value, 'name', key);
    }
    state = enforceInternalState(value);
    if (!state.source) {
      state.source = TEMPLATE.join(typeof key == 'string' ? key : '');
    }
  }
  if (O === global_1) {
    if (simple) O[key] = value;
    else setGlobal(key, value);
    return;
  } else if (!unsafe) {
    delete O[key];
  } else if (!noTargetGet && O[key]) {
    simple = true;
  }
  if (simple) O[key] = value;
  else createNonEnumerableProperty(O, key, value);
// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
})(Function.prototype, 'toString', function toString() {
  return typeof this == 'function' && getInternalState(this).source || inspectSource(this);
});
});

var path = global_1;

var aFunction = function (variable) {
  return typeof variable == 'function' ? variable : undefined;
};

var getBuiltIn = function (namespace, method) {
  return arguments.length < 2 ? aFunction(path[namespace]) || aFunction(global_1[namespace])
    : path[namespace] && path[namespace][method] || global_1[namespace] && global_1[namespace][method];
};

var ceil = Math.ceil;
var floor = Math.floor;

// `ToInteger` abstract operation
// https://tc39.es/ecma262/#sec-tointeger
var toInteger = function (argument) {
  return isNaN(argument = +argument) ? 0 : (argument > 0 ? floor : ceil)(argument);
};

var min = Math.min;

// `ToLength` abstract operation
// https://tc39.es/ecma262/#sec-tolength
var toLength = function (argument) {
  return argument > 0 ? min(toInteger(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
};

var max = Math.max;
var min$1 = Math.min;

// Helper for a popular repeating case of the spec:
// Let integer be ? ToInteger(index).
// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).
var toAbsoluteIndex = function (index, length) {
  var integer = toInteger(index);
  return integer < 0 ? max(integer + length, 0) : min$1(integer, length);
};

// `Array.prototype.{ indexOf, includes }` methods implementation
var createMethod = function (IS_INCLUDES) {
  return function ($this, el, fromIndex) {
    var O = toIndexedObject($this);
    var length = toLength(O.length);
    var index = toAbsoluteIndex(fromIndex, length);
    var value;
    // Array#includes uses SameValueZero equality algorithm
    // eslint-disable-next-line no-self-compare -- NaN check
    if (IS_INCLUDES && el != el) while (length > index) {
      value = O[index++];
      // eslint-disable-next-line no-self-compare -- NaN check
      if (value != value) return true;
    // Array#indexOf ignores holes, Array#includes - not
    } else for (;length > index; index++) {
      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
    } return !IS_INCLUDES && -1;
  };
};

var arrayIncludes = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: createMethod(true),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: createMethod(false)
};

var indexOf = arrayIncludes.indexOf;


var objectKeysInternal = function (object, names) {
  var O = toIndexedObject(object);
  var i = 0;
  var result = [];
  var key;
  for (key in O) !has(hiddenKeys, key) && has(O, key) && result.push(key);
  // Don't enum bug & hidden keys
  while (names.length > i) if (has(O, key = names[i++])) {
    ~indexOf(result, key) || result.push(key);
  }
  return result;
};

// IE8- don't enum bug keys
var enumBugKeys = [
  'constructor',
  'hasOwnProperty',
  'isPrototypeOf',
  'propertyIsEnumerable',
  'toLocaleString',
  'toString',
  'valueOf'
];

var hiddenKeys$1 = enumBugKeys.concat('length', 'prototype');

// `Object.getOwnPropertyNames` method
// https://tc39.es/ecma262/#sec-object.getownpropertynames
// eslint-disable-next-line es/no-object-getownpropertynames -- safe
var f$3 = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
  return objectKeysInternal(O, hiddenKeys$1);
};

var objectGetOwnPropertyNames = {
	f: f$3
};

// eslint-disable-next-line es/no-object-getownpropertysymbols -- safe
var f$4 = Object.getOwnPropertySymbols;

var objectGetOwnPropertySymbols = {
	f: f$4
};

// all object keys, includes non-enumerable and symbols
var ownKeys = getBuiltIn('Reflect', 'ownKeys') || function ownKeys(it) {
  var keys = objectGetOwnPropertyNames.f(anObject(it));
  var getOwnPropertySymbols = objectGetOwnPropertySymbols.f;
  return getOwnPropertySymbols ? keys.concat(getOwnPropertySymbols(it)) : keys;
};

var copyConstructorProperties = function (target, source) {
  var keys = ownKeys(source);
  var defineProperty = objectDefineProperty.f;
  var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (!has(target, key)) defineProperty(target, key, getOwnPropertyDescriptor(source, key));
  }
};

var replacement = /#|\.prototype\./;

var isForced = function (feature, detection) {
  var value = data[normalize(feature)];
  return value == POLYFILL ? true
    : value == NATIVE ? false
    : typeof detection == 'function' ? fails(detection)
    : !!detection;
};

var normalize = isForced.normalize = function (string) {
  return String(string).replace(replacement, '.').toLowerCase();
};

var data = isForced.data = {};
var NATIVE = isForced.NATIVE = 'N';
var POLYFILL = isForced.POLYFILL = 'P';

var isForced_1 = isForced;

var getOwnPropertyDescriptor$1 = objectGetOwnPropertyDescriptor.f;






/*
  options.target      - name of the target object
  options.global      - target is the global object
  options.stat        - export as static methods of target
  options.proto       - export as prototype methods of target
  options.real        - real prototype method for the `pure` version
  options.forced      - export even if the native feature is available
  options.bind        - bind methods to the target, required for the `pure` version
  options.wrap        - wrap constructors to preventing global pollution, required for the `pure` version
  options.unsafe      - use the simple assignment of property instead of delete + defineProperty
  options.sham        - add a flag to not completely full polyfills
  options.enumerable  - export as enumerable property
  options.noTargetGet - prevent calling a getter on target
*/
var _export = function (options, source) {
  var TARGET = options.target;
  var GLOBAL = options.global;
  var STATIC = options.stat;
  var FORCED, target, key, targetProperty, sourceProperty, descriptor;
  if (GLOBAL) {
    target = global_1;
  } else if (STATIC) {
    target = global_1[TARGET] || setGlobal(TARGET, {});
  } else {
    target = (global_1[TARGET] || {}).prototype;
  }
  if (target) for (key in source) {
    sourceProperty = source[key];
    if (options.noTargetGet) {
      descriptor = getOwnPropertyDescriptor$1(target, key);
      targetProperty = descriptor && descriptor.value;
    } else targetProperty = target[key];
    FORCED = isForced_1(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced);
    // contained in target
    if (!FORCED && targetProperty !== undefined) {
      if (typeof sourceProperty === typeof targetProperty) continue;
      copyConstructorProperties(sourceProperty, targetProperty);
    }
    // add a flag to not completely full polyfills
    if (options.sham || (targetProperty && targetProperty.sham)) {
      createNonEnumerableProperty(sourceProperty, 'sham', true);
    }
    // extend global
    redefine(target, key, sourceProperty, options);
  }
};

// `Object.keys` method
// https://tc39.es/ecma262/#sec-object.keys
// eslint-disable-next-line es/no-object-keys -- safe
var objectKeys = Object.keys || function keys(O) {
  return objectKeysInternal(O, enumBugKeys);
};

// eslint-disable-next-line es/no-object-assign -- safe
var $assign = Object.assign;
// eslint-disable-next-line es/no-object-defineproperty -- required for testing
var defineProperty = Object.defineProperty;

// `Object.assign` method
// https://tc39.es/ecma262/#sec-object.assign
var objectAssign = !$assign || fails(function () {
  // should have correct order of operations (Edge bug)
  if (descriptors && $assign({ b: 1 }, $assign(defineProperty({}, 'a', {
    enumerable: true,
    get: function () {
      defineProperty(this, 'b', {
        value: 3,
        enumerable: false
      });
    }
  }), { b: 2 })).b !== 1) return true;
  // should work with symbols and should have deterministic property order (V8 bug)
  var A = {};
  var B = {};
  // eslint-disable-next-line es/no-symbol -- safe
  var symbol = Symbol();
  var alphabet = 'abcdefghijklmnopqrst';
  A[symbol] = 7;
  alphabet.split('').forEach(function (chr) { B[chr] = chr; });
  return $assign({}, A)[symbol] != 7 || objectKeys($assign({}, B)).join('') != alphabet;
}) ? function assign(target, source) { // eslint-disable-line no-unused-vars -- required for `.length`
  var T = toObject(target);
  var argumentsLength = arguments.length;
  var index = 1;
  var getOwnPropertySymbols = objectGetOwnPropertySymbols.f;
  var propertyIsEnumerable = objectPropertyIsEnumerable.f;
  while (argumentsLength > index) {
    var S = indexedObject(arguments[index++]);
    var keys = getOwnPropertySymbols ? objectKeys(S).concat(getOwnPropertySymbols(S)) : objectKeys(S);
    var length = keys.length;
    var j = 0;
    var key;
    while (length > j) {
      key = keys[j++];
      if (!descriptors || propertyIsEnumerable.call(S, key)) T[key] = S[key];
    }
  } return T;
} : $assign;

// `Object.assign` method
// https://tc39.es/ecma262/#sec-object.assign
// eslint-disable-next-line es/no-object-assign -- required for testing
_export({ target: 'Object', stat: true, forced: Object.assign !== objectAssign }, {
  assign: objectAssign
});

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _taggedTemplateLiteral(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}

function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _createForOfIteratorHelper(o, allowArrayLike) {
  var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];

  if (!it) {
    if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
      if (it) o = it;
      var i = 0;

      var F = function () {};

      return {
        s: F,
        n: function () {
          if (i >= o.length) return {
            done: true
          };
          return {
            done: false,
            value: o[i++]
          };
        },
        e: function (e) {
          throw e;
        },
        f: F
      };
    }

    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var normalCompletion = true,
      didErr = false,
      err;
  return {
    s: function () {
      it = it.call(o);
    },
    n: function () {
      var step = it.next();
      normalCompletion = step.done;
      return step;
    },
    e: function (e) {
      didErr = true;
      err = e;
    },
    f: function () {
      try {
        if (!normalCompletion && it.return != null) it.return();
      } finally {
        if (didErr) throw err;
      }
    }
  };
}

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

var TLContext = /*#__PURE__*/createContext({});
function useTLContext() {
  var context = useContext(TLContext);
  return context;
}

var quot = /"/g;

// `CreateHTML` abstract operation
// https://tc39.es/ecma262/#sec-createhtml
var createHtml = function (string, tag, attribute, value) {
  var S = String(requireObjectCoercible(string));
  var p1 = '<' + tag;
  if (attribute !== '') p1 += ' ' + attribute + '="' + String(value).replace(quot, '&quot;') + '"';
  return p1 + '>' + S + '</' + tag + '>';
};

// check the existence of a method, lowercase
// of a tag and escaping quotes in arguments
var stringHtmlForced = function (METHOD_NAME) {
  return fails(function () {
    var test = ''[METHOD_NAME]('"');
    return test !== test.toLowerCase() || test.split('"').length > 3;
  });
};

// `String.prototype.sub` method
// https://tc39.es/ecma262/#sec-string.prototype.sub
_export({ target: 'String', proto: true, forced: stringHtmlForced('sub') }, {
  sub: function sub() {
    return createHtml(this, 'sub', '', '');
  }
});

// `IsArray` abstract operation
// https://tc39.es/ecma262/#sec-isarray
// eslint-disable-next-line es/no-array-isarray -- safe
var isArray = Array.isArray || function isArray(arg) {
  return classofRaw(arg) == 'Array';
};

var createProperty = function (object, key, value) {
  var propertyKey = toPrimitive(key);
  if (propertyKey in object) objectDefineProperty.f(object, propertyKey, createPropertyDescriptor(0, value));
  else object[propertyKey] = value;
};

var engineUserAgent = getBuiltIn('navigator', 'userAgent') || '';

var process = global_1.process;
var versions = process && process.versions;
var v8 = versions && versions.v8;
var match, version;

if (v8) {
  match = v8.split('.');
  version = match[0] < 4 ? 1 : match[0] + match[1];
} else if (engineUserAgent) {
  match = engineUserAgent.match(/Edge\/(\d+)/);
  if (!match || match[1] >= 74) {
    match = engineUserAgent.match(/Chrome\/(\d+)/);
    if (match) version = match[1];
  }
}

var engineV8Version = version && +version;

/* eslint-disable es/no-symbol -- required for testing */



// eslint-disable-next-line es/no-object-getownpropertysymbols -- required for testing
var nativeSymbol = !!Object.getOwnPropertySymbols && !fails(function () {
  var symbol = Symbol();
  // Chrome 38 Symbol has incorrect toString conversion
  // `get-own-property-symbols` polyfill symbols converted to object are not Symbol instances
  return !String(symbol) || !(Object(symbol) instanceof Symbol) ||
    // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
    !Symbol.sham && engineV8Version && engineV8Version < 41;
});

/* eslint-disable es/no-symbol -- required for testing */


var useSymbolAsUid = nativeSymbol
  && !Symbol.sham
  && typeof Symbol.iterator == 'symbol';

var WellKnownSymbolsStore = shared('wks');
var Symbol$1 = global_1.Symbol;
var createWellKnownSymbol = useSymbolAsUid ? Symbol$1 : Symbol$1 && Symbol$1.withoutSetter || uid;

var wellKnownSymbol = function (name) {
  if (!has(WellKnownSymbolsStore, name) || !(nativeSymbol || typeof WellKnownSymbolsStore[name] == 'string')) {
    if (nativeSymbol && has(Symbol$1, name)) {
      WellKnownSymbolsStore[name] = Symbol$1[name];
    } else {
      WellKnownSymbolsStore[name] = createWellKnownSymbol('Symbol.' + name);
    }
  } return WellKnownSymbolsStore[name];
};

var SPECIES = wellKnownSymbol('species');

// `ArraySpeciesCreate` abstract operation
// https://tc39.es/ecma262/#sec-arrayspeciescreate
var arraySpeciesCreate = function (originalArray, length) {
  var C;
  if (isArray(originalArray)) {
    C = originalArray.constructor;
    // cross-realm fallback
    if (typeof C == 'function' && (C === Array || isArray(C.prototype))) C = undefined;
    else if (isObject(C)) {
      C = C[SPECIES];
      if (C === null) C = undefined;
    }
  } return new (C === undefined ? Array : C)(length === 0 ? 0 : length);
};

var SPECIES$1 = wellKnownSymbol('species');

var arrayMethodHasSpeciesSupport = function (METHOD_NAME) {
  // We can't use this feature detection in V8 since it causes
  // deoptimization and serious performance degradation
  // https://github.com/zloirock/core-js/issues/677
  return engineV8Version >= 51 || !fails(function () {
    var array = [];
    var constructor = array.constructor = {};
    constructor[SPECIES$1] = function () {
      return { foo: 1 };
    };
    return array[METHOD_NAME](Boolean).foo !== 1;
  });
};

var IS_CONCAT_SPREADABLE = wellKnownSymbol('isConcatSpreadable');
var MAX_SAFE_INTEGER = 0x1FFFFFFFFFFFFF;
var MAXIMUM_ALLOWED_INDEX_EXCEEDED = 'Maximum allowed index exceeded';

// We can't use this feature detection in V8 since it causes
// deoptimization and serious performance degradation
// https://github.com/zloirock/core-js/issues/679
var IS_CONCAT_SPREADABLE_SUPPORT = engineV8Version >= 51 || !fails(function () {
  var array = [];
  array[IS_CONCAT_SPREADABLE] = false;
  return array.concat()[0] !== array;
});

var SPECIES_SUPPORT = arrayMethodHasSpeciesSupport('concat');

var isConcatSpreadable = function (O) {
  if (!isObject(O)) return false;
  var spreadable = O[IS_CONCAT_SPREADABLE];
  return spreadable !== undefined ? !!spreadable : isArray(O);
};

var FORCED = !IS_CONCAT_SPREADABLE_SUPPORT || !SPECIES_SUPPORT;

// `Array.prototype.concat` method
// https://tc39.es/ecma262/#sec-array.prototype.concat
// with adding support of @@isConcatSpreadable and @@species
_export({ target: 'Array', proto: true, forced: FORCED }, {
  // eslint-disable-next-line no-unused-vars -- required for `.length`
  concat: function concat(arg) {
    var O = toObject(this);
    var A = arraySpeciesCreate(O, 0);
    var n = 0;
    var i, k, length, len, E;
    for (i = -1, length = arguments.length; i < length; i++) {
      E = i === -1 ? O : arguments[i];
      if (isConcatSpreadable(E)) {
        len = toLength(E.length);
        if (n + len > MAX_SAFE_INTEGER) throw TypeError(MAXIMUM_ALLOWED_INDEX_EXCEEDED);
        for (k = 0; k < len; k++, n++) if (k in E) createProperty(A, n, E[k]);
      } else {
        if (n >= MAX_SAFE_INTEGER) throw TypeError(MAXIMUM_ALLOWED_INDEX_EXCEEDED);
        createProperty(A, n++, E);
      }
    }
    A.length = n;
    return A;
  }
});

var aFunction$1 = function (it) {
  if (typeof it != 'function') {
    throw TypeError(String(it) + ' is not a function');
  } return it;
};

// optional / simple context binding
var functionBindContext = function (fn, that, length) {
  aFunction$1(fn);
  if (that === undefined) return fn;
  switch (length) {
    case 0: return function () {
      return fn.call(that);
    };
    case 1: return function (a) {
      return fn.call(that, a);
    };
    case 2: return function (a, b) {
      return fn.call(that, a, b);
    };
    case 3: return function (a, b, c) {
      return fn.call(that, a, b, c);
    };
  }
  return function (/* ...args */) {
    return fn.apply(that, arguments);
  };
};

var push = [].push;

// `Array.prototype.{ forEach, map, filter, some, every, find, findIndex, filterOut }` methods implementation
var createMethod$1 = function (TYPE) {
  var IS_MAP = TYPE == 1;
  var IS_FILTER = TYPE == 2;
  var IS_SOME = TYPE == 3;
  var IS_EVERY = TYPE == 4;
  var IS_FIND_INDEX = TYPE == 6;
  var IS_FILTER_OUT = TYPE == 7;
  var NO_HOLES = TYPE == 5 || IS_FIND_INDEX;
  return function ($this, callbackfn, that, specificCreate) {
    var O = toObject($this);
    var self = indexedObject(O);
    var boundFunction = functionBindContext(callbackfn, that, 3);
    var length = toLength(self.length);
    var index = 0;
    var create = specificCreate || arraySpeciesCreate;
    var target = IS_MAP ? create($this, length) : IS_FILTER || IS_FILTER_OUT ? create($this, 0) : undefined;
    var value, result;
    for (;length > index; index++) if (NO_HOLES || index in self) {
      value = self[index];
      result = boundFunction(value, index, O);
      if (TYPE) {
        if (IS_MAP) target[index] = result; // map
        else if (result) switch (TYPE) {
          case 3: return true;              // some
          case 5: return value;             // find
          case 6: return index;             // findIndex
          case 2: push.call(target, value); // filter
        } else switch (TYPE) {
          case 4: return false;             // every
          case 7: push.call(target, value); // filterOut
        }
      }
    }
    return IS_FIND_INDEX ? -1 : IS_SOME || IS_EVERY ? IS_EVERY : target;
  };
};

var arrayIteration = {
  // `Array.prototype.forEach` method
  // https://tc39.es/ecma262/#sec-array.prototype.foreach
  forEach: createMethod$1(0),
  // `Array.prototype.map` method
  // https://tc39.es/ecma262/#sec-array.prototype.map
  map: createMethod$1(1),
  // `Array.prototype.filter` method
  // https://tc39.es/ecma262/#sec-array.prototype.filter
  filter: createMethod$1(2),
  // `Array.prototype.some` method
  // https://tc39.es/ecma262/#sec-array.prototype.some
  some: createMethod$1(3),
  // `Array.prototype.every` method
  // https://tc39.es/ecma262/#sec-array.prototype.every
  every: createMethod$1(4),
  // `Array.prototype.find` method
  // https://tc39.es/ecma262/#sec-array.prototype.find
  find: createMethod$1(5),
  // `Array.prototype.findIndex` method
  // https://tc39.es/ecma262/#sec-array.prototype.findIndex
  findIndex: createMethod$1(6),
  // `Array.prototype.filterOut` method
  // https://github.com/tc39/proposal-array-filtering
  filterOut: createMethod$1(7)
};

var arrayMethodIsStrict = function (METHOD_NAME, argument) {
  var method = [][METHOD_NAME];
  return !!method && fails(function () {
    // eslint-disable-next-line no-useless-call,no-throw-literal -- required for testing
    method.call(null, argument || function () { throw 1; }, 1);
  });
};

var $forEach = arrayIteration.forEach;


var STRICT_METHOD = arrayMethodIsStrict('forEach');

// `Array.prototype.forEach` method implementation
// https://tc39.es/ecma262/#sec-array.prototype.foreach
var arrayForEach = !STRICT_METHOD ? function forEach(callbackfn /* , thisArg */) {
  return $forEach(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
// eslint-disable-next-line es/no-array-prototype-foreach -- safe
} : [].forEach;

// `Array.prototype.forEach` method
// https://tc39.es/ecma262/#sec-array.prototype.foreach
// eslint-disable-next-line es/no-array-prototype-foreach -- safe
_export({ target: 'Array', proto: true, forced: [].forEach != arrayForEach }, {
  forEach: arrayForEach
});

var iteratorClose = function (iterator) {
  var returnMethod = iterator['return'];
  if (returnMethod !== undefined) {
    return anObject(returnMethod.call(iterator)).value;
  }
};

// call something on iterator step with safe closing on error
var callWithSafeIterationClosing = function (iterator, fn, value, ENTRIES) {
  try {
    return ENTRIES ? fn(anObject(value)[0], value[1]) : fn(value);
  } catch (error) {
    iteratorClose(iterator);
    throw error;
  }
};

var iterators = {};

var ITERATOR = wellKnownSymbol('iterator');
var ArrayPrototype = Array.prototype;

// check on default Array iterator
var isArrayIteratorMethod = function (it) {
  return it !== undefined && (iterators.Array === it || ArrayPrototype[ITERATOR] === it);
};

var TO_STRING_TAG = wellKnownSymbol('toStringTag');
var test = {};

test[TO_STRING_TAG] = 'z';

var toStringTagSupport = String(test) === '[object z]';

var TO_STRING_TAG$1 = wellKnownSymbol('toStringTag');
// ES3 wrong here
var CORRECT_ARGUMENTS = classofRaw(function () { return arguments; }()) == 'Arguments';

// fallback for IE11 Script Access Denied error
var tryGet = function (it, key) {
  try {
    return it[key];
  } catch (error) { /* empty */ }
};

// getting tag from ES6+ `Object.prototype.toString`
var classof = toStringTagSupport ? classofRaw : function (it) {
  var O, tag, result;
  return it === undefined ? 'Undefined' : it === null ? 'Null'
    // @@toStringTag case
    : typeof (tag = tryGet(O = Object(it), TO_STRING_TAG$1)) == 'string' ? tag
    // builtinTag case
    : CORRECT_ARGUMENTS ? classofRaw(O)
    // ES3 arguments fallback
    : (result = classofRaw(O)) == 'Object' && typeof O.callee == 'function' ? 'Arguments' : result;
};

var ITERATOR$1 = wellKnownSymbol('iterator');

var getIteratorMethod = function (it) {
  if (it != undefined) return it[ITERATOR$1]
    || it['@@iterator']
    || iterators[classof(it)];
};

// `Array.from` method implementation
// https://tc39.es/ecma262/#sec-array.from
var arrayFrom = function from(arrayLike /* , mapfn = undefined, thisArg = undefined */) {
  var O = toObject(arrayLike);
  var C = typeof this == 'function' ? this : Array;
  var argumentsLength = arguments.length;
  var mapfn = argumentsLength > 1 ? arguments[1] : undefined;
  var mapping = mapfn !== undefined;
  var iteratorMethod = getIteratorMethod(O);
  var index = 0;
  var length, result, step, iterator, next, value;
  if (mapping) mapfn = functionBindContext(mapfn, argumentsLength > 2 ? arguments[2] : undefined, 2);
  // if the target is not iterable or it's an array with the default iterator - use a simple case
  if (iteratorMethod != undefined && !(C == Array && isArrayIteratorMethod(iteratorMethod))) {
    iterator = iteratorMethod.call(O);
    next = iterator.next;
    result = new C();
    for (;!(step = next.call(iterator)).done; index++) {
      value = mapping ? callWithSafeIterationClosing(iterator, mapfn, [step.value, index], true) : step.value;
      createProperty(result, index, value);
    }
  } else {
    length = toLength(O.length);
    result = new C(length);
    for (;length > index; index++) {
      value = mapping ? mapfn(O[index], index) : O[index];
      createProperty(result, index, value);
    }
  }
  result.length = index;
  return result;
};

var ITERATOR$2 = wellKnownSymbol('iterator');
var SAFE_CLOSING = false;

try {
  var called = 0;
  var iteratorWithReturn = {
    next: function () {
      return { done: !!called++ };
    },
    'return': function () {
      SAFE_CLOSING = true;
    }
  };
  iteratorWithReturn[ITERATOR$2] = function () {
    return this;
  };
  // eslint-disable-next-line es/no-array-from, no-throw-literal -- required for testing
  Array.from(iteratorWithReturn, function () { throw 2; });
} catch (error) { /* empty */ }

var checkCorrectnessOfIteration = function (exec, SKIP_CLOSING) {
  if (!SKIP_CLOSING && !SAFE_CLOSING) return false;
  var ITERATION_SUPPORT = false;
  try {
    var object = {};
    object[ITERATOR$2] = function () {
      return {
        next: function () {
          return { done: ITERATION_SUPPORT = true };
        }
      };
    };
    exec(object);
  } catch (error) { /* empty */ }
  return ITERATION_SUPPORT;
};

var INCORRECT_ITERATION = !checkCorrectnessOfIteration(function (iterable) {
  // eslint-disable-next-line es/no-array-from -- required for testing
  Array.from(iterable);
});

// `Array.from` method
// https://tc39.es/ecma262/#sec-array.from
_export({ target: 'Array', stat: true, forced: INCORRECT_ITERATION }, {
  from: arrayFrom
});

// `Object.defineProperties` method
// https://tc39.es/ecma262/#sec-object.defineproperties
// eslint-disable-next-line es/no-object-defineproperties -- safe
var objectDefineProperties = descriptors ? Object.defineProperties : function defineProperties(O, Properties) {
  anObject(O);
  var keys = objectKeys(Properties);
  var length = keys.length;
  var index = 0;
  var key;
  while (length > index) objectDefineProperty.f(O, key = keys[index++], Properties[key]);
  return O;
};

var html = getBuiltIn('document', 'documentElement');

var GT = '>';
var LT = '<';
var PROTOTYPE = 'prototype';
var SCRIPT = 'script';
var IE_PROTO = sharedKey('IE_PROTO');

var EmptyConstructor = function () { /* empty */ };

var scriptTag = function (content) {
  return LT + SCRIPT + GT + content + LT + '/' + SCRIPT + GT;
};

// Create object with fake `null` prototype: use ActiveX Object with cleared prototype
var NullProtoObjectViaActiveX = function (activeXDocument) {
  activeXDocument.write(scriptTag(''));
  activeXDocument.close();
  var temp = activeXDocument.parentWindow.Object;
  activeXDocument = null; // avoid memory leak
  return temp;
};

// Create object with fake `null` prototype: use iframe Object with cleared prototype
var NullProtoObjectViaIFrame = function () {
  // Thrash, waste and sodomy: IE GC bug
  var iframe = documentCreateElement('iframe');
  var JS = 'java' + SCRIPT + ':';
  var iframeDocument;
  iframe.style.display = 'none';
  html.appendChild(iframe);
  // https://github.com/zloirock/core-js/issues/475
  iframe.src = String(JS);
  iframeDocument = iframe.contentWindow.document;
  iframeDocument.open();
  iframeDocument.write(scriptTag('document.F=Object'));
  iframeDocument.close();
  return iframeDocument.F;
};

// Check for document.domain and active x support
// No need to use active x approach when document.domain is not set
// see https://github.com/es-shims/es5-shim/issues/150
// variation of https://github.com/kitcambridge/es5-shim/commit/4f738ac066346
// avoid IE GC bug
var activeXDocument;
var NullProtoObject = function () {
  try {
    /* global ActiveXObject -- old IE */
    activeXDocument = document.domain && new ActiveXObject('htmlfile');
  } catch (error) { /* ignore */ }
  NullProtoObject = activeXDocument ? NullProtoObjectViaActiveX(activeXDocument) : NullProtoObjectViaIFrame();
  var length = enumBugKeys.length;
  while (length--) delete NullProtoObject[PROTOTYPE][enumBugKeys[length]];
  return NullProtoObject();
};

hiddenKeys[IE_PROTO] = true;

// `Object.create` method
// https://tc39.es/ecma262/#sec-object.create
var objectCreate = Object.create || function create(O, Properties) {
  var result;
  if (O !== null) {
    EmptyConstructor[PROTOTYPE] = anObject(O);
    result = new EmptyConstructor();
    EmptyConstructor[PROTOTYPE] = null;
    // add "__proto__" for Object.getPrototypeOf polyfill
    result[IE_PROTO] = O;
  } else result = NullProtoObject();
  return Properties === undefined ? result : objectDefineProperties(result, Properties);
};

var UNSCOPABLES = wellKnownSymbol('unscopables');
var ArrayPrototype$1 = Array.prototype;

// Array.prototype[@@unscopables]
// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
if (ArrayPrototype$1[UNSCOPABLES] == undefined) {
  objectDefineProperty.f(ArrayPrototype$1, UNSCOPABLES, {
    configurable: true,
    value: objectCreate(null)
  });
}

// add a key to Array.prototype[@@unscopables]
var addToUnscopables = function (key) {
  ArrayPrototype$1[UNSCOPABLES][key] = true;
};

var $includes = arrayIncludes.includes;


// `Array.prototype.includes` method
// https://tc39.es/ecma262/#sec-array.prototype.includes
_export({ target: 'Array', proto: true }, {
  includes: function includes(el /* , fromIndex = 0 */) {
    return $includes(this, el, arguments.length > 1 ? arguments[1] : undefined);
  }
});

// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
addToUnscopables('includes');

// `Array.isArray` method
// https://tc39.es/ecma262/#sec-array.isarray
_export({ target: 'Array', stat: true }, {
  isArray: isArray
});

var correctPrototypeGetter = !fails(function () {
  function F() { /* empty */ }
  F.prototype.constructor = null;
  // eslint-disable-next-line es/no-object-getprototypeof -- required for testing
  return Object.getPrototypeOf(new F()) !== F.prototype;
});

var IE_PROTO$1 = sharedKey('IE_PROTO');
var ObjectPrototype = Object.prototype;

// `Object.getPrototypeOf` method
// https://tc39.es/ecma262/#sec-object.getprototypeof
// eslint-disable-next-line es/no-object-getprototypeof -- safe
var objectGetPrototypeOf = correctPrototypeGetter ? Object.getPrototypeOf : function (O) {
  O = toObject(O);
  if (has(O, IE_PROTO$1)) return O[IE_PROTO$1];
  if (typeof O.constructor == 'function' && O instanceof O.constructor) {
    return O.constructor.prototype;
  } return O instanceof Object ? ObjectPrototype : null;
};

var ITERATOR$3 = wellKnownSymbol('iterator');
var BUGGY_SAFARI_ITERATORS = false;

var returnThis = function () { return this; };

// `%IteratorPrototype%` object
// https://tc39.es/ecma262/#sec-%iteratorprototype%-object
var IteratorPrototype, PrototypeOfArrayIteratorPrototype, arrayIterator;

/* eslint-disable es/no-array-prototype-keys -- safe */
if ([].keys) {
  arrayIterator = [].keys();
  // Safari 8 has buggy iterators w/o `next`
  if (!('next' in arrayIterator)) BUGGY_SAFARI_ITERATORS = true;
  else {
    PrototypeOfArrayIteratorPrototype = objectGetPrototypeOf(objectGetPrototypeOf(arrayIterator));
    if (PrototypeOfArrayIteratorPrototype !== Object.prototype) IteratorPrototype = PrototypeOfArrayIteratorPrototype;
  }
}

var NEW_ITERATOR_PROTOTYPE = IteratorPrototype == undefined || fails(function () {
  var test = {};
  // FF44- legacy iterators case
  return IteratorPrototype[ITERATOR$3].call(test) !== test;
});

if (NEW_ITERATOR_PROTOTYPE) IteratorPrototype = {};

// `%IteratorPrototype%[@@iterator]()` method
// https://tc39.es/ecma262/#sec-%iteratorprototype%-@@iterator
if ( !has(IteratorPrototype, ITERATOR$3)) {
  createNonEnumerableProperty(IteratorPrototype, ITERATOR$3, returnThis);
}

var iteratorsCore = {
  IteratorPrototype: IteratorPrototype,
  BUGGY_SAFARI_ITERATORS: BUGGY_SAFARI_ITERATORS
};

var defineProperty$1 = objectDefineProperty.f;



var TO_STRING_TAG$2 = wellKnownSymbol('toStringTag');

var setToStringTag = function (it, TAG, STATIC) {
  if (it && !has(it = STATIC ? it : it.prototype, TO_STRING_TAG$2)) {
    defineProperty$1(it, TO_STRING_TAG$2, { configurable: true, value: TAG });
  }
};

var IteratorPrototype$1 = iteratorsCore.IteratorPrototype;





var returnThis$1 = function () { return this; };

var createIteratorConstructor = function (IteratorConstructor, NAME, next) {
  var TO_STRING_TAG = NAME + ' Iterator';
  IteratorConstructor.prototype = objectCreate(IteratorPrototype$1, { next: createPropertyDescriptor(1, next) });
  setToStringTag(IteratorConstructor, TO_STRING_TAG, false);
  iterators[TO_STRING_TAG] = returnThis$1;
  return IteratorConstructor;
};

var aPossiblePrototype = function (it) {
  if (!isObject(it) && it !== null) {
    throw TypeError("Can't set " + String(it) + ' as a prototype');
  } return it;
};

/* eslint-disable no-proto -- safe */



// `Object.setPrototypeOf` method
// https://tc39.es/ecma262/#sec-object.setprototypeof
// Works with __proto__ only. Old v8 can't work with null proto objects.
// eslint-disable-next-line es/no-object-setprototypeof -- safe
var objectSetPrototypeOf = Object.setPrototypeOf || ('__proto__' in {} ? function () {
  var CORRECT_SETTER = false;
  var test = {};
  var setter;
  try {
    // eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
    setter = Object.getOwnPropertyDescriptor(Object.prototype, '__proto__').set;
    setter.call(test, []);
    CORRECT_SETTER = test instanceof Array;
  } catch (error) { /* empty */ }
  return function setPrototypeOf(O, proto) {
    anObject(O);
    aPossiblePrototype(proto);
    if (CORRECT_SETTER) setter.call(O, proto);
    else O.__proto__ = proto;
    return O;
  };
}() : undefined);

var IteratorPrototype$2 = iteratorsCore.IteratorPrototype;
var BUGGY_SAFARI_ITERATORS$1 = iteratorsCore.BUGGY_SAFARI_ITERATORS;
var ITERATOR$4 = wellKnownSymbol('iterator');
var KEYS = 'keys';
var VALUES = 'values';
var ENTRIES = 'entries';

var returnThis$2 = function () { return this; };

var defineIterator = function (Iterable, NAME, IteratorConstructor, next, DEFAULT, IS_SET, FORCED) {
  createIteratorConstructor(IteratorConstructor, NAME, next);

  var getIterationMethod = function (KIND) {
    if (KIND === DEFAULT && defaultIterator) return defaultIterator;
    if (!BUGGY_SAFARI_ITERATORS$1 && KIND in IterablePrototype) return IterablePrototype[KIND];
    switch (KIND) {
      case KEYS: return function keys() { return new IteratorConstructor(this, KIND); };
      case VALUES: return function values() { return new IteratorConstructor(this, KIND); };
      case ENTRIES: return function entries() { return new IteratorConstructor(this, KIND); };
    } return function () { return new IteratorConstructor(this); };
  };

  var TO_STRING_TAG = NAME + ' Iterator';
  var INCORRECT_VALUES_NAME = false;
  var IterablePrototype = Iterable.prototype;
  var nativeIterator = IterablePrototype[ITERATOR$4]
    || IterablePrototype['@@iterator']
    || DEFAULT && IterablePrototype[DEFAULT];
  var defaultIterator = !BUGGY_SAFARI_ITERATORS$1 && nativeIterator || getIterationMethod(DEFAULT);
  var anyNativeIterator = NAME == 'Array' ? IterablePrototype.entries || nativeIterator : nativeIterator;
  var CurrentIteratorPrototype, methods, KEY;

  // fix native
  if (anyNativeIterator) {
    CurrentIteratorPrototype = objectGetPrototypeOf(anyNativeIterator.call(new Iterable()));
    if (IteratorPrototype$2 !== Object.prototype && CurrentIteratorPrototype.next) {
      if ( objectGetPrototypeOf(CurrentIteratorPrototype) !== IteratorPrototype$2) {
        if (objectSetPrototypeOf) {
          objectSetPrototypeOf(CurrentIteratorPrototype, IteratorPrototype$2);
        } else if (typeof CurrentIteratorPrototype[ITERATOR$4] != 'function') {
          createNonEnumerableProperty(CurrentIteratorPrototype, ITERATOR$4, returnThis$2);
        }
      }
      // Set @@toStringTag to native iterators
      setToStringTag(CurrentIteratorPrototype, TO_STRING_TAG, true);
    }
  }

  // fix Array.prototype.{ values, @@iterator }.name in V8 / FF
  if (DEFAULT == VALUES && nativeIterator && nativeIterator.name !== VALUES) {
    INCORRECT_VALUES_NAME = true;
    defaultIterator = function values() { return nativeIterator.call(this); };
  }

  // define iterator
  if ( IterablePrototype[ITERATOR$4] !== defaultIterator) {
    createNonEnumerableProperty(IterablePrototype, ITERATOR$4, defaultIterator);
  }
  iterators[NAME] = defaultIterator;

  // export additional methods
  if (DEFAULT) {
    methods = {
      values: getIterationMethod(VALUES),
      keys: IS_SET ? defaultIterator : getIterationMethod(KEYS),
      entries: getIterationMethod(ENTRIES)
    };
    if (FORCED) for (KEY in methods) {
      if (BUGGY_SAFARI_ITERATORS$1 || INCORRECT_VALUES_NAME || !(KEY in IterablePrototype)) {
        redefine(IterablePrototype, KEY, methods[KEY]);
      }
    } else _export({ target: NAME, proto: true, forced: BUGGY_SAFARI_ITERATORS$1 || INCORRECT_VALUES_NAME }, methods);
  }

  return methods;
};

var ARRAY_ITERATOR = 'Array Iterator';
var setInternalState = internalState.set;
var getInternalState = internalState.getterFor(ARRAY_ITERATOR);

// `Array.prototype.entries` method
// https://tc39.es/ecma262/#sec-array.prototype.entries
// `Array.prototype.keys` method
// https://tc39.es/ecma262/#sec-array.prototype.keys
// `Array.prototype.values` method
// https://tc39.es/ecma262/#sec-array.prototype.values
// `Array.prototype[@@iterator]` method
// https://tc39.es/ecma262/#sec-array.prototype-@@iterator
// `CreateArrayIterator` internal method
// https://tc39.es/ecma262/#sec-createarrayiterator
var es_array_iterator = defineIterator(Array, 'Array', function (iterated, kind) {
  setInternalState(this, {
    type: ARRAY_ITERATOR,
    target: toIndexedObject(iterated), // target
    index: 0,                          // next index
    kind: kind                         // kind
  });
// `%ArrayIteratorPrototype%.next` method
// https://tc39.es/ecma262/#sec-%arrayiteratorprototype%.next
}, function () {
  var state = getInternalState(this);
  var target = state.target;
  var kind = state.kind;
  var index = state.index++;
  if (!target || index >= target.length) {
    state.target = undefined;
    return { value: undefined, done: true };
  }
  if (kind == 'keys') return { value: index, done: false };
  if (kind == 'values') return { value: target[index], done: false };
  return { value: [index, target[index]], done: false };
}, 'values');

// argumentsList[@@iterator] is %ArrayProto_values%
// https://tc39.es/ecma262/#sec-createunmappedargumentsobject
// https://tc39.es/ecma262/#sec-createmappedargumentsobject
iterators.Arguments = iterators.Array;

// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
addToUnscopables('keys');
addToUnscopables('values');
addToUnscopables('entries');

var nativeJoin = [].join;

var ES3_STRINGS = indexedObject != Object;
var STRICT_METHOD$1 = arrayMethodIsStrict('join', ',');

// `Array.prototype.join` method
// https://tc39.es/ecma262/#sec-array.prototype.join
_export({ target: 'Array', proto: true, forced: ES3_STRINGS || !STRICT_METHOD$1 }, {
  join: function join(separator) {
    return nativeJoin.call(toIndexedObject(this), separator === undefined ? ',' : separator);
  }
});

var $map = arrayIteration.map;


var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport('map');

// `Array.prototype.map` method
// https://tc39.es/ecma262/#sec-array.prototype.map
// with adding support of @@species
_export({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT }, {
  map: function map(callbackfn /* , thisArg */) {
    return $map(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});

// `Array.prototype.{ reduce, reduceRight }` methods implementation
var createMethod$2 = function (IS_RIGHT) {
  return function (that, callbackfn, argumentsLength, memo) {
    aFunction$1(callbackfn);
    var O = toObject(that);
    var self = indexedObject(O);
    var length = toLength(O.length);
    var index = IS_RIGHT ? length - 1 : 0;
    var i = IS_RIGHT ? -1 : 1;
    if (argumentsLength < 2) while (true) {
      if (index in self) {
        memo = self[index];
        index += i;
        break;
      }
      index += i;
      if (IS_RIGHT ? index < 0 : length <= index) {
        throw TypeError('Reduce of empty array with no initial value');
      }
    }
    for (;IS_RIGHT ? index >= 0 : length > index; index += i) if (index in self) {
      memo = callbackfn(memo, self[index], index, O);
    }
    return memo;
  };
};

var arrayReduce = {
  // `Array.prototype.reduce` method
  // https://tc39.es/ecma262/#sec-array.prototype.reduce
  left: createMethod$2(false),
  // `Array.prototype.reduceRight` method
  // https://tc39.es/ecma262/#sec-array.prototype.reduceright
  right: createMethod$2(true)
};

var engineIsNode = classofRaw(global_1.process) == 'process';

var $reduce = arrayReduce.left;




var STRICT_METHOD$2 = arrayMethodIsStrict('reduce');
// Chrome 80-82 has a critical bug
// https://bugs.chromium.org/p/chromium/issues/detail?id=1049982
var CHROME_BUG = !engineIsNode && engineV8Version > 79 && engineV8Version < 83;

// `Array.prototype.reduce` method
// https://tc39.es/ecma262/#sec-array.prototype.reduce
_export({ target: 'Array', proto: true, forced: !STRICT_METHOD$2 || CHROME_BUG }, {
  reduce: function reduce(callbackfn /* , initialValue */) {
    return $reduce(this, callbackfn, arguments.length, arguments.length > 1 ? arguments[1] : undefined);
  }
});

var HAS_SPECIES_SUPPORT$1 = arrayMethodHasSpeciesSupport('slice');

var SPECIES$2 = wellKnownSymbol('species');
var nativeSlice = [].slice;
var max$1 = Math.max;

// `Array.prototype.slice` method
// https://tc39.es/ecma262/#sec-array.prototype.slice
// fallback for not array-like ES3 strings and DOM objects
_export({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT$1 }, {
  slice: function slice(start, end) {
    var O = toIndexedObject(this);
    var length = toLength(O.length);
    var k = toAbsoluteIndex(start, length);
    var fin = toAbsoluteIndex(end === undefined ? length : end, length);
    // inline `ArraySpeciesCreate` for usage native `Array#slice` where it's possible
    var Constructor, result, n;
    if (isArray(O)) {
      Constructor = O.constructor;
      // cross-realm fallback
      if (typeof Constructor == 'function' && (Constructor === Array || isArray(Constructor.prototype))) {
        Constructor = undefined;
      } else if (isObject(Constructor)) {
        Constructor = Constructor[SPECIES$2];
        if (Constructor === null) Constructor = undefined;
      }
      if (Constructor === Array || Constructor === undefined) {
        return nativeSlice.call(O, k, fin);
      }
    }
    result = new (Constructor === undefined ? Array : Constructor)(max$1(fin - k, 0));
    for (n = 0; k < fin; k++, n++) if (k in O) createProperty(result, n, O[k]);
    result.length = n;
    return result;
  }
});

var $some = arrayIteration.some;


var STRICT_METHOD$3 = arrayMethodIsStrict('some');

// `Array.prototype.some` method
// https://tc39.es/ecma262/#sec-array.prototype.some
_export({ target: 'Array', proto: true, forced: !STRICT_METHOD$3 }, {
  some: function some(callbackfn /* , thisArg */) {
    return $some(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});

var DatePrototype = Date.prototype;
var INVALID_DATE = 'Invalid Date';
var TO_STRING = 'toString';
var nativeDateToString = DatePrototype[TO_STRING];
var getTime = DatePrototype.getTime;

// `Date.prototype.toString` method
// https://tc39.es/ecma262/#sec-date.prototype.tostring
if (new Date(NaN) + '' != INVALID_DATE) {
  redefine(DatePrototype, TO_STRING, function toString() {
    var value = getTime.call(this);
    // eslint-disable-next-line no-self-compare -- NaN check
    return value === value ? nativeDateToString.call(this) : INVALID_DATE;
  });
}

// eslint-disable-next-line es/no-math-hypot -- required for testing
var $hypot = Math.hypot;
var abs = Math.abs;
var sqrt = Math.sqrt;

// Chrome 77 bug
// https://bugs.chromium.org/p/v8/issues/detail?id=9546
var BUGGY = !!$hypot && $hypot(Infinity, NaN) !== Infinity;

// `Math.hypot` method
// https://tc39.es/ecma262/#sec-math.hypot
_export({ target: 'Math', stat: true, forced: BUGGY }, {
  // eslint-disable-next-line no-unused-vars -- required for `.length`
  hypot: function hypot(value1, value2) {
    var sum = 0;
    var i = 0;
    var aLen = arguments.length;
    var larg = 0;
    var arg, div;
    while (i < aLen) {
      arg = abs(arguments[i++]);
      if (larg < arg) {
        div = larg / arg;
        sum = sum * div * div + 1;
        larg = arg;
      } else if (arg > 0) {
        div = arg / larg;
        sum += div * div;
      } else sum += arg;
    }
    return larg === Infinity ? Infinity : larg * sqrt(sum);
  }
});

// makes subclassing work correct for wrapped built-ins
var inheritIfRequired = function ($this, dummy, Wrapper) {
  var NewTarget, NewTargetPrototype;
  if (
    // it can work only with native `setPrototypeOf`
    objectSetPrototypeOf &&
    // we haven't completely correct pre-ES6 way for getting `new.target`, so use this
    typeof (NewTarget = dummy.constructor) == 'function' &&
    NewTarget !== Wrapper &&
    isObject(NewTargetPrototype = NewTarget.prototype) &&
    NewTargetPrototype !== Wrapper.prototype
  ) objectSetPrototypeOf($this, NewTargetPrototype);
  return $this;
};

// a string of all valid unicode whitespaces
var whitespaces = '\u0009\u000A\u000B\u000C\u000D\u0020\u00A0\u1680\u2000\u2001\u2002' +
  '\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u202F\u205F\u3000\u2028\u2029\uFEFF';

var whitespace = '[' + whitespaces + ']';
var ltrim = RegExp('^' + whitespace + whitespace + '*');
var rtrim = RegExp(whitespace + whitespace + '*$');

// `String.prototype.{ trim, trimStart, trimEnd, trimLeft, trimRight }` methods implementation
var createMethod$3 = function (TYPE) {
  return function ($this) {
    var string = String(requireObjectCoercible($this));
    if (TYPE & 1) string = string.replace(ltrim, '');
    if (TYPE & 2) string = string.replace(rtrim, '');
    return string;
  };
};

var stringTrim = {
  // `String.prototype.{ trimLeft, trimStart }` methods
  // https://tc39.es/ecma262/#sec-string.prototype.trimstart
  start: createMethod$3(1),
  // `String.prototype.{ trimRight, trimEnd }` methods
  // https://tc39.es/ecma262/#sec-string.prototype.trimend
  end: createMethod$3(2),
  // `String.prototype.trim` method
  // https://tc39.es/ecma262/#sec-string.prototype.trim
  trim: createMethod$3(3)
};

var getOwnPropertyNames = objectGetOwnPropertyNames.f;
var getOwnPropertyDescriptor$2 = objectGetOwnPropertyDescriptor.f;
var defineProperty$2 = objectDefineProperty.f;
var trim = stringTrim.trim;

var NUMBER = 'Number';
var NativeNumber = global_1[NUMBER];
var NumberPrototype = NativeNumber.prototype;

// Opera ~12 has broken Object#toString
var BROKEN_CLASSOF = classofRaw(objectCreate(NumberPrototype)) == NUMBER;

// `ToNumber` abstract operation
// https://tc39.es/ecma262/#sec-tonumber
var toNumber = function (argument) {
  var it = toPrimitive(argument, false);
  var first, third, radix, maxCode, digits, length, index, code;
  if (typeof it == 'string' && it.length > 2) {
    it = trim(it);
    first = it.charCodeAt(0);
    if (first === 43 || first === 45) {
      third = it.charCodeAt(2);
      if (third === 88 || third === 120) return NaN; // Number('+0x1') should be NaN, old V8 fix
    } else if (first === 48) {
      switch (it.charCodeAt(1)) {
        case 66: case 98: radix = 2; maxCode = 49; break; // fast equal of /^0b[01]+$/i
        case 79: case 111: radix = 8; maxCode = 55; break; // fast equal of /^0o[0-7]+$/i
        default: return +it;
      }
      digits = it.slice(2);
      length = digits.length;
      for (index = 0; index < length; index++) {
        code = digits.charCodeAt(index);
        // parseInt parses a string to a first unavailable symbol
        // but ToNumber should return NaN if a string contains unavailable symbols
        if (code < 48 || code > maxCode) return NaN;
      } return parseInt(digits, radix);
    }
  } return +it;
};

// `Number` constructor
// https://tc39.es/ecma262/#sec-number-constructor
if (isForced_1(NUMBER, !NativeNumber(' 0o1') || !NativeNumber('0b1') || NativeNumber('+0x1'))) {
  var NumberWrapper = function Number(value) {
    var it = arguments.length < 1 ? 0 : value;
    var dummy = this;
    return dummy instanceof NumberWrapper
      // check on 1..constructor(foo) case
      && (BROKEN_CLASSOF ? fails(function () { NumberPrototype.valueOf.call(dummy); }) : classofRaw(dummy) != NUMBER)
        ? inheritIfRequired(new NativeNumber(toNumber(it)), dummy, NumberWrapper) : toNumber(it);
  };
  for (var keys$1 = descriptors ? getOwnPropertyNames(NativeNumber) : (
    // ES3:
    'MAX_VALUE,MIN_VALUE,NaN,NEGATIVE_INFINITY,POSITIVE_INFINITY,' +
    // ES2015 (in case, if modules with ES2015 Number statics required before):
    'EPSILON,isFinite,isInteger,isNaN,isSafeInteger,MAX_SAFE_INTEGER,' +
    'MIN_SAFE_INTEGER,parseFloat,parseInt,isInteger,' +
    // ESNext
    'fromString,range'
  ).split(','), j = 0, key; keys$1.length > j; j++) {
    if (has(NativeNumber, key = keys$1[j]) && !has(NumberWrapper, key)) {
      defineProperty$2(NumberWrapper, key, getOwnPropertyDescriptor$2(NativeNumber, key));
    }
  }
  NumberWrapper.prototype = NumberPrototype;
  NumberPrototype.constructor = NumberWrapper;
  redefine(global_1, NUMBER, NumberWrapper);
}

var FAILS_ON_PRIMITIVES = fails(function () { objectKeys(1); });

// `Object.keys` method
// https://tc39.es/ecma262/#sec-object.keys
_export({ target: 'Object', stat: true, forced: FAILS_ON_PRIMITIVES }, {
  keys: function keys(it) {
    return objectKeys(toObject(it));
  }
});

// `Object.prototype.toString` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.tostring
var objectToString = toStringTagSupport ? {}.toString : function toString() {
  return '[object ' + classof(this) + ']';
};

// `Object.prototype.toString` method
// https://tc39.es/ecma262/#sec-object.prototype.tostring
if (!toStringTagSupport) {
  redefine(Object.prototype, 'toString', objectToString, { unsafe: true });
}

var trim$1 = stringTrim.trim;


var $parseInt = global_1.parseInt;
var hex = /^[+-]?0[Xx]/;
var FORCED$1 = $parseInt(whitespaces + '08') !== 8 || $parseInt(whitespaces + '0x16') !== 22;

// `parseInt` method
// https://tc39.es/ecma262/#sec-parseint-string-radix
var numberParseInt = FORCED$1 ? function parseInt(string, radix) {
  var S = trim$1(String(string));
  return $parseInt(S, (radix >>> 0) || (hex.test(S) ? 16 : 10));
} : $parseInt;

// `parseInt` method
// https://tc39.es/ecma262/#sec-parseint-string-radix
_export({ global: true, forced: parseInt != numberParseInt }, {
  parseInt: numberParseInt
});

// `RegExp.prototype.flags` getter implementation
// https://tc39.es/ecma262/#sec-get-regexp.prototype.flags
var regexpFlags = function () {
  var that = anObject(this);
  var result = '';
  if (that.global) result += 'g';
  if (that.ignoreCase) result += 'i';
  if (that.multiline) result += 'm';
  if (that.dotAll) result += 's';
  if (that.unicode) result += 'u';
  if (that.sticky) result += 'y';
  return result;
};

// babel-minify transpiles RegExp('a', 'y') -> /a/y and it causes SyntaxError,
var RE = function (s, f) {
  return RegExp(s, f);
};

var UNSUPPORTED_Y = fails(function () {
  var re = RE('a', 'y');
  re.lastIndex = 2;
  return re.exec('abcd') != null;
});

var BROKEN_CARET = fails(function () {
  // https://bugzilla.mozilla.org/show_bug.cgi?id=773687
  var re = RE('^r', 'gy');
  re.lastIndex = 2;
  return re.exec('str') != null;
});

var regexpStickyHelpers = {
	UNSUPPORTED_Y: UNSUPPORTED_Y,
	BROKEN_CARET: BROKEN_CARET
};

var regexpUnsupportedDotAll = fails(function () {
  // babel-minify transpiles RegExp('.', 's') -> /./s and it causes SyntaxError
  var re = RegExp('.', (typeof '').charAt(0));
  return !(re.dotAll && re.exec('\n') && re.flags === 's');
});

var regexpUnsupportedNcg = fails(function () {
  // babel-minify transpiles RegExp('.', 'g') -> /./g and it causes SyntaxError
  var re = RegExp('(?<a>b)', (typeof '').charAt(5));
  return re.exec('b').groups.a !== 'b' ||
    'b'.replace(re, '$<a>c') !== 'bc';
});

/* eslint-disable regexp/no-assertion-capturing-group, regexp/no-empty-group, regexp/no-lazy-ends -- testing */
/* eslint-disable regexp/no-useless-quantifier -- testing */




var getInternalState$1 = internalState.get;



var nativeExec = RegExp.prototype.exec;
var nativeReplace = shared('native-string-replace', String.prototype.replace);

var patchedExec = nativeExec;

var UPDATES_LAST_INDEX_WRONG = (function () {
  var re1 = /a/;
  var re2 = /b*/g;
  nativeExec.call(re1, 'a');
  nativeExec.call(re2, 'a');
  return re1.lastIndex !== 0 || re2.lastIndex !== 0;
})();

var UNSUPPORTED_Y$1 = regexpStickyHelpers.UNSUPPORTED_Y || regexpStickyHelpers.BROKEN_CARET;

// nonparticipating capturing group, copied from es5-shim's String#split patch.
var NPCG_INCLUDED = /()??/.exec('')[1] !== undefined;

var PATCH = UPDATES_LAST_INDEX_WRONG || NPCG_INCLUDED || UNSUPPORTED_Y$1 || regexpUnsupportedDotAll || regexpUnsupportedNcg;

if (PATCH) {
  // eslint-disable-next-line max-statements -- TODO
  patchedExec = function exec(str) {
    var re = this;
    var state = getInternalState$1(re);
    var raw = state.raw;
    var result, reCopy, lastIndex, match, i, object, group;

    if (raw) {
      raw.lastIndex = re.lastIndex;
      result = patchedExec.call(raw, str);
      re.lastIndex = raw.lastIndex;
      return result;
    }

    var groups = state.groups;
    var sticky = UNSUPPORTED_Y$1 && re.sticky;
    var flags = regexpFlags.call(re);
    var source = re.source;
    var charsAdded = 0;
    var strCopy = str;

    if (sticky) {
      flags = flags.replace('y', '');
      if (flags.indexOf('g') === -1) {
        flags += 'g';
      }

      strCopy = String(str).slice(re.lastIndex);
      // Support anchored sticky behavior.
      if (re.lastIndex > 0 && (!re.multiline || re.multiline && str[re.lastIndex - 1] !== '\n')) {
        source = '(?: ' + source + ')';
        strCopy = ' ' + strCopy;
        charsAdded++;
      }
      // ^(? + rx + ) is needed, in combination with some str slicing, to
      // simulate the 'y' flag.
      reCopy = new RegExp('^(?:' + source + ')', flags);
    }

    if (NPCG_INCLUDED) {
      reCopy = new RegExp('^' + source + '$(?!\\s)', flags);
    }
    if (UPDATES_LAST_INDEX_WRONG) lastIndex = re.lastIndex;

    match = nativeExec.call(sticky ? reCopy : re, strCopy);

    if (sticky) {
      if (match) {
        match.input = match.input.slice(charsAdded);
        match[0] = match[0].slice(charsAdded);
        match.index = re.lastIndex;
        re.lastIndex += match[0].length;
      } else re.lastIndex = 0;
    } else if (UPDATES_LAST_INDEX_WRONG && match) {
      re.lastIndex = re.global ? match.index + match[0].length : lastIndex;
    }
    if (NPCG_INCLUDED && match && match.length > 1) {
      // Fix browsers whose `exec` methods don't consistently return `undefined`
      // for NPCG, like IE8. NOTE: This doesn' work for /(.?)?/
      nativeReplace.call(match[0], reCopy, function () {
        for (i = 1; i < arguments.length - 2; i++) {
          if (arguments[i] === undefined) match[i] = undefined;
        }
      });
    }

    if (match && groups) {
      match.groups = object = objectCreate(null);
      for (i = 0; i < groups.length; i++) {
        group = groups[i];
        object[group[0]] = match[group[1]];
      }
    }

    return match;
  };
}

var regexpExec = patchedExec;

// `RegExp.prototype.exec` method
// https://tc39.es/ecma262/#sec-regexp.prototype.exec
_export({ target: 'RegExp', proto: true, forced: /./.exec !== regexpExec }, {
  exec: regexpExec
});

var TO_STRING$1 = 'toString';
var RegExpPrototype = RegExp.prototype;
var nativeToString = RegExpPrototype[TO_STRING$1];

var NOT_GENERIC = fails(function () { return nativeToString.call({ source: 'a', flags: 'b' }) != '/a/b'; });
// FF44- RegExp#toString has a wrong name
var INCORRECT_NAME = nativeToString.name != TO_STRING$1;

// `RegExp.prototype.toString` method
// https://tc39.es/ecma262/#sec-regexp.prototype.tostring
if (NOT_GENERIC || INCORRECT_NAME) {
  redefine(RegExp.prototype, TO_STRING$1, function toString() {
    var R = anObject(this);
    var p = String(R.source);
    var rf = R.flags;
    var f = String(rf === undefined && R instanceof RegExp && !('flags' in RegExpPrototype) ? regexpFlags.call(R) : rf);
    return '/' + p + '/' + f;
  }, { unsafe: true });
}

var freezing = !fails(function () {
  // eslint-disable-next-line es/no-object-isextensible, es/no-object-preventextensions -- required for testing
  return Object.isExtensible(Object.preventExtensions({}));
});

var internalMetadata = createCommonjsModule(function (module) {
var defineProperty = objectDefineProperty.f;



var METADATA = uid('meta');
var id = 0;

// eslint-disable-next-line es/no-object-isextensible -- safe
var isExtensible = Object.isExtensible || function () {
  return true;
};

var setMetadata = function (it) {
  defineProperty(it, METADATA, { value: {
    objectID: 'O' + id++, // object ID
    weakData: {}          // weak collections IDs
  } });
};

var fastKey = function (it, create) {
  // return a primitive with prefix
  if (!isObject(it)) return typeof it == 'symbol' ? it : (typeof it == 'string' ? 'S' : 'P') + it;
  if (!has(it, METADATA)) {
    // can't set metadata to uncaught frozen object
    if (!isExtensible(it)) return 'F';
    // not necessary to add metadata
    if (!create) return 'E';
    // add missing metadata
    setMetadata(it);
  // return object ID
  } return it[METADATA].objectID;
};

var getWeakData = function (it, create) {
  if (!has(it, METADATA)) {
    // can't set metadata to uncaught frozen object
    if (!isExtensible(it)) return true;
    // not necessary to add metadata
    if (!create) return false;
    // add missing metadata
    setMetadata(it);
  // return the store of weak collections IDs
  } return it[METADATA].weakData;
};

// add metadata on freeze-family methods calling
var onFreeze = function (it) {
  if (freezing && meta.REQUIRED && isExtensible(it) && !has(it, METADATA)) setMetadata(it);
  return it;
};

var meta = module.exports = {
  REQUIRED: false,
  fastKey: fastKey,
  getWeakData: getWeakData,
  onFreeze: onFreeze
};

hiddenKeys[METADATA] = true;
});
var internalMetadata_1 = internalMetadata.REQUIRED;
var internalMetadata_2 = internalMetadata.fastKey;
var internalMetadata_3 = internalMetadata.getWeakData;
var internalMetadata_4 = internalMetadata.onFreeze;

var Result = function (stopped, result) {
  this.stopped = stopped;
  this.result = result;
};

var iterate = function (iterable, unboundFunction, options) {
  var that = options && options.that;
  var AS_ENTRIES = !!(options && options.AS_ENTRIES);
  var IS_ITERATOR = !!(options && options.IS_ITERATOR);
  var INTERRUPTED = !!(options && options.INTERRUPTED);
  var fn = functionBindContext(unboundFunction, that, 1 + AS_ENTRIES + INTERRUPTED);
  var iterator, iterFn, index, length, result, next, step;

  var stop = function (condition) {
    if (iterator) iteratorClose(iterator);
    return new Result(true, condition);
  };

  var callFn = function (value) {
    if (AS_ENTRIES) {
      anObject(value);
      return INTERRUPTED ? fn(value[0], value[1], stop) : fn(value[0], value[1]);
    } return INTERRUPTED ? fn(value, stop) : fn(value);
  };

  if (IS_ITERATOR) {
    iterator = iterable;
  } else {
    iterFn = getIteratorMethod(iterable);
    if (typeof iterFn != 'function') throw TypeError('Target is not iterable');
    // optimisation for array iterators
    if (isArrayIteratorMethod(iterFn)) {
      for (index = 0, length = toLength(iterable.length); length > index; index++) {
        result = callFn(iterable[index]);
        if (result && result instanceof Result) return result;
      } return new Result(false);
    }
    iterator = iterFn.call(iterable);
  }

  next = iterator.next;
  while (!(step = next.call(iterator)).done) {
    try {
      result = callFn(step.value);
    } catch (error) {
      iteratorClose(iterator);
      throw error;
    }
    if (typeof result == 'object' && result && result instanceof Result) return result;
  } return new Result(false);
};

var anInstance = function (it, Constructor, name) {
  if (!(it instanceof Constructor)) {
    throw TypeError('Incorrect ' + (name ? name + ' ' : '') + 'invocation');
  } return it;
};

var collection = function (CONSTRUCTOR_NAME, wrapper, common) {
  var IS_MAP = CONSTRUCTOR_NAME.indexOf('Map') !== -1;
  var IS_WEAK = CONSTRUCTOR_NAME.indexOf('Weak') !== -1;
  var ADDER = IS_MAP ? 'set' : 'add';
  var NativeConstructor = global_1[CONSTRUCTOR_NAME];
  var NativePrototype = NativeConstructor && NativeConstructor.prototype;
  var Constructor = NativeConstructor;
  var exported = {};

  var fixMethod = function (KEY) {
    var nativeMethod = NativePrototype[KEY];
    redefine(NativePrototype, KEY,
      KEY == 'add' ? function add(value) {
        nativeMethod.call(this, value === 0 ? 0 : value);
        return this;
      } : KEY == 'delete' ? function (key) {
        return IS_WEAK && !isObject(key) ? false : nativeMethod.call(this, key === 0 ? 0 : key);
      } : KEY == 'get' ? function get(key) {
        return IS_WEAK && !isObject(key) ? undefined : nativeMethod.call(this, key === 0 ? 0 : key);
      } : KEY == 'has' ? function has(key) {
        return IS_WEAK && !isObject(key) ? false : nativeMethod.call(this, key === 0 ? 0 : key);
      } : function set(key, value) {
        nativeMethod.call(this, key === 0 ? 0 : key, value);
        return this;
      }
    );
  };

  var REPLACE = isForced_1(
    CONSTRUCTOR_NAME,
    typeof NativeConstructor != 'function' || !(IS_WEAK || NativePrototype.forEach && !fails(function () {
      new NativeConstructor().entries().next();
    }))
  );

  if (REPLACE) {
    // create collection constructor
    Constructor = common.getConstructor(wrapper, CONSTRUCTOR_NAME, IS_MAP, ADDER);
    internalMetadata.REQUIRED = true;
  } else if (isForced_1(CONSTRUCTOR_NAME, true)) {
    var instance = new Constructor();
    // early implementations not supports chaining
    var HASNT_CHAINING = instance[ADDER](IS_WEAK ? {} : -0, 1) != instance;
    // V8 ~ Chromium 40- weak-collections throws on primitives, but should return false
    var THROWS_ON_PRIMITIVES = fails(function () { instance.has(1); });
    // most early implementations doesn't supports iterables, most modern - not close it correctly
    // eslint-disable-next-line no-new -- required for testing
    var ACCEPT_ITERABLES = checkCorrectnessOfIteration(function (iterable) { new NativeConstructor(iterable); });
    // for early implementations -0 and +0 not the same
    var BUGGY_ZERO = !IS_WEAK && fails(function () {
      // V8 ~ Chromium 42- fails only with 5+ elements
      var $instance = new NativeConstructor();
      var index = 5;
      while (index--) $instance[ADDER](index, index);
      return !$instance.has(-0);
    });

    if (!ACCEPT_ITERABLES) {
      Constructor = wrapper(function (dummy, iterable) {
        anInstance(dummy, Constructor, CONSTRUCTOR_NAME);
        var that = inheritIfRequired(new NativeConstructor(), dummy, Constructor);
        if (iterable != undefined) iterate(iterable, that[ADDER], { that: that, AS_ENTRIES: IS_MAP });
        return that;
      });
      Constructor.prototype = NativePrototype;
      NativePrototype.constructor = Constructor;
    }

    if (THROWS_ON_PRIMITIVES || BUGGY_ZERO) {
      fixMethod('delete');
      fixMethod('has');
      IS_MAP && fixMethod('get');
    }

    if (BUGGY_ZERO || HASNT_CHAINING) fixMethod(ADDER);

    // weak collections should not contains .clear method
    if (IS_WEAK && NativePrototype.clear) delete NativePrototype.clear;
  }

  exported[CONSTRUCTOR_NAME] = Constructor;
  _export({ global: true, forced: Constructor != NativeConstructor }, exported);

  setToStringTag(Constructor, CONSTRUCTOR_NAME);

  if (!IS_WEAK) common.setStrong(Constructor, CONSTRUCTOR_NAME, IS_MAP);

  return Constructor;
};

var redefineAll = function (target, src, options) {
  for (var key in src) redefine(target, key, src[key], options);
  return target;
};

var SPECIES$3 = wellKnownSymbol('species');

var setSpecies = function (CONSTRUCTOR_NAME) {
  var Constructor = getBuiltIn(CONSTRUCTOR_NAME);
  var defineProperty = objectDefineProperty.f;

  if (descriptors && Constructor && !Constructor[SPECIES$3]) {
    defineProperty(Constructor, SPECIES$3, {
      configurable: true,
      get: function () { return this; }
    });
  }
};

var defineProperty$3 = objectDefineProperty.f;








var fastKey = internalMetadata.fastKey;


var setInternalState$1 = internalState.set;
var internalStateGetterFor = internalState.getterFor;

var collectionStrong = {
  getConstructor: function (wrapper, CONSTRUCTOR_NAME, IS_MAP, ADDER) {
    var C = wrapper(function (that, iterable) {
      anInstance(that, C, CONSTRUCTOR_NAME);
      setInternalState$1(that, {
        type: CONSTRUCTOR_NAME,
        index: objectCreate(null),
        first: undefined,
        last: undefined,
        size: 0
      });
      if (!descriptors) that.size = 0;
      if (iterable != undefined) iterate(iterable, that[ADDER], { that: that, AS_ENTRIES: IS_MAP });
    });

    var getInternalState = internalStateGetterFor(CONSTRUCTOR_NAME);

    var define = function (that, key, value) {
      var state = getInternalState(that);
      var entry = getEntry(that, key);
      var previous, index;
      // change existing entry
      if (entry) {
        entry.value = value;
      // create new entry
      } else {
        state.last = entry = {
          index: index = fastKey(key, true),
          key: key,
          value: value,
          previous: previous = state.last,
          next: undefined,
          removed: false
        };
        if (!state.first) state.first = entry;
        if (previous) previous.next = entry;
        if (descriptors) state.size++;
        else that.size++;
        // add to index
        if (index !== 'F') state.index[index] = entry;
      } return that;
    };

    var getEntry = function (that, key) {
      var state = getInternalState(that);
      // fast case
      var index = fastKey(key);
      var entry;
      if (index !== 'F') return state.index[index];
      // frozen object case
      for (entry = state.first; entry; entry = entry.next) {
        if (entry.key == key) return entry;
      }
    };

    redefineAll(C.prototype, {
      // `{ Map, Set }.prototype.clear()` methods
      // https://tc39.es/ecma262/#sec-map.prototype.clear
      // https://tc39.es/ecma262/#sec-set.prototype.clear
      clear: function clear() {
        var that = this;
        var state = getInternalState(that);
        var data = state.index;
        var entry = state.first;
        while (entry) {
          entry.removed = true;
          if (entry.previous) entry.previous = entry.previous.next = undefined;
          delete data[entry.index];
          entry = entry.next;
        }
        state.first = state.last = undefined;
        if (descriptors) state.size = 0;
        else that.size = 0;
      },
      // `{ Map, Set }.prototype.delete(key)` methods
      // https://tc39.es/ecma262/#sec-map.prototype.delete
      // https://tc39.es/ecma262/#sec-set.prototype.delete
      'delete': function (key) {
        var that = this;
        var state = getInternalState(that);
        var entry = getEntry(that, key);
        if (entry) {
          var next = entry.next;
          var prev = entry.previous;
          delete state.index[entry.index];
          entry.removed = true;
          if (prev) prev.next = next;
          if (next) next.previous = prev;
          if (state.first == entry) state.first = next;
          if (state.last == entry) state.last = prev;
          if (descriptors) state.size--;
          else that.size--;
        } return !!entry;
      },
      // `{ Map, Set }.prototype.forEach(callbackfn, thisArg = undefined)` methods
      // https://tc39.es/ecma262/#sec-map.prototype.foreach
      // https://tc39.es/ecma262/#sec-set.prototype.foreach
      forEach: function forEach(callbackfn /* , that = undefined */) {
        var state = getInternalState(this);
        var boundFunction = functionBindContext(callbackfn, arguments.length > 1 ? arguments[1] : undefined, 3);
        var entry;
        while (entry = entry ? entry.next : state.first) {
          boundFunction(entry.value, entry.key, this);
          // revert to the last existing entry
          while (entry && entry.removed) entry = entry.previous;
        }
      },
      // `{ Map, Set}.prototype.has(key)` methods
      // https://tc39.es/ecma262/#sec-map.prototype.has
      // https://tc39.es/ecma262/#sec-set.prototype.has
      has: function has(key) {
        return !!getEntry(this, key);
      }
    });

    redefineAll(C.prototype, IS_MAP ? {
      // `Map.prototype.get(key)` method
      // https://tc39.es/ecma262/#sec-map.prototype.get
      get: function get(key) {
        var entry = getEntry(this, key);
        return entry && entry.value;
      },
      // `Map.prototype.set(key, value)` method
      // https://tc39.es/ecma262/#sec-map.prototype.set
      set: function set(key, value) {
        return define(this, key === 0 ? 0 : key, value);
      }
    } : {
      // `Set.prototype.add(value)` method
      // https://tc39.es/ecma262/#sec-set.prototype.add
      add: function add(value) {
        return define(this, value = value === 0 ? 0 : value, value);
      }
    });
    if (descriptors) defineProperty$3(C.prototype, 'size', {
      get: function () {
        return getInternalState(this).size;
      }
    });
    return C;
  },
  setStrong: function (C, CONSTRUCTOR_NAME, IS_MAP) {
    var ITERATOR_NAME = CONSTRUCTOR_NAME + ' Iterator';
    var getInternalCollectionState = internalStateGetterFor(CONSTRUCTOR_NAME);
    var getInternalIteratorState = internalStateGetterFor(ITERATOR_NAME);
    // `{ Map, Set }.prototype.{ keys, values, entries, @@iterator }()` methods
    // https://tc39.es/ecma262/#sec-map.prototype.entries
    // https://tc39.es/ecma262/#sec-map.prototype.keys
    // https://tc39.es/ecma262/#sec-map.prototype.values
    // https://tc39.es/ecma262/#sec-map.prototype-@@iterator
    // https://tc39.es/ecma262/#sec-set.prototype.entries
    // https://tc39.es/ecma262/#sec-set.prototype.keys
    // https://tc39.es/ecma262/#sec-set.prototype.values
    // https://tc39.es/ecma262/#sec-set.prototype-@@iterator
    defineIterator(C, CONSTRUCTOR_NAME, function (iterated, kind) {
      setInternalState$1(this, {
        type: ITERATOR_NAME,
        target: iterated,
        state: getInternalCollectionState(iterated),
        kind: kind,
        last: undefined
      });
    }, function () {
      var state = getInternalIteratorState(this);
      var kind = state.kind;
      var entry = state.last;
      // revert to the last existing entry
      while (entry && entry.removed) entry = entry.previous;
      // get next entry
      if (!state.target || !(state.last = entry = entry ? entry.next : state.state.first)) {
        // or finish the iteration
        state.target = undefined;
        return { value: undefined, done: true };
      }
      // return step by kind
      if (kind == 'keys') return { value: entry.key, done: false };
      if (kind == 'values') return { value: entry.value, done: false };
      return { value: [entry.key, entry.value], done: false };
    }, IS_MAP ? 'entries' : 'values', !IS_MAP, true);

    // `{ Map, Set }.prototype[@@species]` accessors
    // https://tc39.es/ecma262/#sec-get-map-@@species
    // https://tc39.es/ecma262/#sec-get-set-@@species
    setSpecies(CONSTRUCTOR_NAME);
  }
};

// `Set` constructor
// https://tc39.es/ecma262/#sec-set-objects
var es_set = collection('Set', function (init) {
  return function Set() { return init(this, arguments.length ? arguments[0] : undefined); };
}, collectionStrong);

var MATCH = wellKnownSymbol('match');

// `IsRegExp` abstract operation
// https://tc39.es/ecma262/#sec-isregexp
var isRegexp = function (it) {
  var isRegExp;
  return isObject(it) && ((isRegExp = it[MATCH]) !== undefined ? !!isRegExp : classofRaw(it) == 'RegExp');
};

var notARegexp = function (it) {
  if (isRegexp(it)) {
    throw TypeError("The method doesn't accept regular expressions");
  } return it;
};

var MATCH$1 = wellKnownSymbol('match');

var correctIsRegexpLogic = function (METHOD_NAME) {
  var regexp = /./;
  try {
    '/./'[METHOD_NAME](regexp);
  } catch (error1) {
    try {
      regexp[MATCH$1] = false;
      return '/./'[METHOD_NAME](regexp);
    } catch (error2) { /* empty */ }
  } return false;
};

// `String.prototype.includes` method
// https://tc39.es/ecma262/#sec-string.prototype.includes
_export({ target: 'String', proto: true, forced: !correctIsRegexpLogic('includes') }, {
  includes: function includes(searchString /* , position = 0 */) {
    return !!~String(requireObjectCoercible(this))
      .indexOf(notARegexp(searchString), arguments.length > 1 ? arguments[1] : undefined);
  }
});

// `String.prototype.{ codePointAt, at }` methods implementation
var createMethod$4 = function (CONVERT_TO_STRING) {
  return function ($this, pos) {
    var S = String(requireObjectCoercible($this));
    var position = toInteger(pos);
    var size = S.length;
    var first, second;
    if (position < 0 || position >= size) return CONVERT_TO_STRING ? '' : undefined;
    first = S.charCodeAt(position);
    return first < 0xD800 || first > 0xDBFF || position + 1 === size
      || (second = S.charCodeAt(position + 1)) < 0xDC00 || second > 0xDFFF
        ? CONVERT_TO_STRING ? S.charAt(position) : first
        : CONVERT_TO_STRING ? S.slice(position, position + 2) : (first - 0xD800 << 10) + (second - 0xDC00) + 0x10000;
  };
};

var stringMultibyte = {
  // `String.prototype.codePointAt` method
  // https://tc39.es/ecma262/#sec-string.prototype.codepointat
  codeAt: createMethod$4(false),
  // `String.prototype.at` method
  // https://github.com/mathiasbynens/String.prototype.at
  charAt: createMethod$4(true)
};

var charAt = stringMultibyte.charAt;



var STRING_ITERATOR = 'String Iterator';
var setInternalState$2 = internalState.set;
var getInternalState$2 = internalState.getterFor(STRING_ITERATOR);

// `String.prototype[@@iterator]` method
// https://tc39.es/ecma262/#sec-string.prototype-@@iterator
defineIterator(String, 'String', function (iterated) {
  setInternalState$2(this, {
    type: STRING_ITERATOR,
    string: String(iterated),
    index: 0
  });
// `%StringIteratorPrototype%.next` method
// https://tc39.es/ecma262/#sec-%stringiteratorprototype%.next
}, function next() {
  var state = getInternalState$2(this);
  var string = state.string;
  var index = state.index;
  var point;
  if (index >= string.length) return { value: undefined, done: true };
  point = charAt(string, index);
  state.index += point.length;
  return { value: point, done: false };
});

// TODO: Remove from `core-js@4` since it's moved to entry points







var SPECIES$4 = wellKnownSymbol('species');
var RegExpPrototype$1 = RegExp.prototype;

var fixRegexpWellKnownSymbolLogic = function (KEY, exec, FORCED, SHAM) {
  var SYMBOL = wellKnownSymbol(KEY);

  var DELEGATES_TO_SYMBOL = !fails(function () {
    // String methods call symbol-named RegEp methods
    var O = {};
    O[SYMBOL] = function () { return 7; };
    return ''[KEY](O) != 7;
  });

  var DELEGATES_TO_EXEC = DELEGATES_TO_SYMBOL && !fails(function () {
    // Symbol-named RegExp methods call .exec
    var execCalled = false;
    var re = /a/;

    if (KEY === 'split') {
      // We can't use real regex here since it causes deoptimization
      // and serious performance degradation in V8
      // https://github.com/zloirock/core-js/issues/306
      re = {};
      // RegExp[@@split] doesn't call the regex's exec method, but first creates
      // a new one. We need to return the patched regex when creating the new one.
      re.constructor = {};
      re.constructor[SPECIES$4] = function () { return re; };
      re.flags = '';
      re[SYMBOL] = /./[SYMBOL];
    }

    re.exec = function () { execCalled = true; return null; };

    re[SYMBOL]('');
    return !execCalled;
  });

  if (
    !DELEGATES_TO_SYMBOL ||
    !DELEGATES_TO_EXEC ||
    FORCED
  ) {
    var nativeRegExpMethod = /./[SYMBOL];
    var methods = exec(SYMBOL, ''[KEY], function (nativeMethod, regexp, str, arg2, forceStringMethod) {
      var $exec = regexp.exec;
      if ($exec === regexpExec || $exec === RegExpPrototype$1.exec) {
        if (DELEGATES_TO_SYMBOL && !forceStringMethod) {
          // The native String method already delegates to @@method (this
          // polyfilled function), leasing to infinite recursion.
          // We avoid it by directly calling the native @@method method.
          return { done: true, value: nativeRegExpMethod.call(regexp, str, arg2) };
        }
        return { done: true, value: nativeMethod.call(str, regexp, arg2) };
      }
      return { done: false };
    });

    redefine(String.prototype, KEY, methods[0]);
    redefine(RegExpPrototype$1, SYMBOL, methods[1]);
  }

  if (SHAM) createNonEnumerableProperty(RegExpPrototype$1[SYMBOL], 'sham', true);
};

var charAt$1 = stringMultibyte.charAt;

// `AdvanceStringIndex` abstract operation
// https://tc39.es/ecma262/#sec-advancestringindex
var advanceStringIndex = function (S, index, unicode) {
  return index + (unicode ? charAt$1(S, index).length : 1);
};

var floor$1 = Math.floor;
var replace = ''.replace;
var SUBSTITUTION_SYMBOLS = /\$([$&'`]|\d{1,2}|<[^>]*>)/g;
var SUBSTITUTION_SYMBOLS_NO_NAMED = /\$([$&'`]|\d{1,2})/g;

// `GetSubstitution` abstract operation
// https://tc39.es/ecma262/#sec-getsubstitution
var getSubstitution = function (matched, str, position, captures, namedCaptures, replacement) {
  var tailPos = position + matched.length;
  var m = captures.length;
  var symbols = SUBSTITUTION_SYMBOLS_NO_NAMED;
  if (namedCaptures !== undefined) {
    namedCaptures = toObject(namedCaptures);
    symbols = SUBSTITUTION_SYMBOLS;
  }
  return replace.call(replacement, symbols, function (match, ch) {
    var capture;
    switch (ch.charAt(0)) {
      case '$': return '$';
      case '&': return matched;
      case '`': return str.slice(0, position);
      case "'": return str.slice(tailPos);
      case '<':
        capture = namedCaptures[ch.slice(1, -1)];
        break;
      default: // \d\d?
        var n = +ch;
        if (n === 0) return match;
        if (n > m) {
          var f = floor$1(n / 10);
          if (f === 0) return match;
          if (f <= m) return captures[f - 1] === undefined ? ch.charAt(1) : captures[f - 1] + ch.charAt(1);
          return match;
        }
        capture = captures[n - 1];
    }
    return capture === undefined ? '' : capture;
  });
};

// `RegExpExec` abstract operation
// https://tc39.es/ecma262/#sec-regexpexec
var regexpExecAbstract = function (R, S) {
  var exec = R.exec;
  if (typeof exec === 'function') {
    var result = exec.call(R, S);
    if (typeof result !== 'object') {
      throw TypeError('RegExp exec method returned something other than an Object or null');
    }
    return result;
  }

  if (classofRaw(R) !== 'RegExp') {
    throw TypeError('RegExp#exec called on incompatible receiver');
  }

  return regexpExec.call(R, S);
};

var REPLACE = wellKnownSymbol('replace');
var max$2 = Math.max;
var min$2 = Math.min;

var maybeToString = function (it) {
  return it === undefined ? it : String(it);
};

// IE <= 11 replaces $0 with the whole match, as if it was $&
// https://stackoverflow.com/questions/6024666/getting-ie-to-replace-a-regex-with-the-literal-string-0
var REPLACE_KEEPS_$0 = (function () {
  // eslint-disable-next-line regexp/prefer-escape-replacement-dollar-char -- required for testing
  return 'a'.replace(/./, '$0') === '$0';
})();

// Safari <= 13.0.3(?) substitutes nth capture where n>m with an empty string
var REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE = (function () {
  if (/./[REPLACE]) {
    return /./[REPLACE]('a', '$0') === '';
  }
  return false;
})();

var REPLACE_SUPPORTS_NAMED_GROUPS = !fails(function () {
  var re = /./;
  re.exec = function () {
    var result = [];
    result.groups = { a: '7' };
    return result;
  };
  return ''.replace(re, '$<a>') !== '7';
});

// @@replace logic
fixRegexpWellKnownSymbolLogic('replace', function (_, nativeReplace, maybeCallNative) {
  var UNSAFE_SUBSTITUTE = REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE ? '$' : '$0';

  return [
    // `String.prototype.replace` method
    // https://tc39.es/ecma262/#sec-string.prototype.replace
    function replace(searchValue, replaceValue) {
      var O = requireObjectCoercible(this);
      var replacer = searchValue == undefined ? undefined : searchValue[REPLACE];
      return replacer !== undefined
        ? replacer.call(searchValue, O, replaceValue)
        : nativeReplace.call(String(O), searchValue, replaceValue);
    },
    // `RegExp.prototype[@@replace]` method
    // https://tc39.es/ecma262/#sec-regexp.prototype-@@replace
    function (string, replaceValue) {
      if (
        typeof replaceValue === 'string' &&
        replaceValue.indexOf(UNSAFE_SUBSTITUTE) === -1 &&
        replaceValue.indexOf('$<') === -1
      ) {
        var res = maybeCallNative(nativeReplace, this, string, replaceValue);
        if (res.done) return res.value;
      }

      var rx = anObject(this);
      var S = String(string);

      var functionalReplace = typeof replaceValue === 'function';
      if (!functionalReplace) replaceValue = String(replaceValue);

      var global = rx.global;
      if (global) {
        var fullUnicode = rx.unicode;
        rx.lastIndex = 0;
      }
      var results = [];
      while (true) {
        var result = regexpExecAbstract(rx, S);
        if (result === null) break;

        results.push(result);
        if (!global) break;

        var matchStr = String(result[0]);
        if (matchStr === '') rx.lastIndex = advanceStringIndex(S, toLength(rx.lastIndex), fullUnicode);
      }

      var accumulatedResult = '';
      var nextSourcePosition = 0;
      for (var i = 0; i < results.length; i++) {
        result = results[i];

        var matched = String(result[0]);
        var position = max$2(min$2(toInteger(result.index), S.length), 0);
        var captures = [];
        // NOTE: This is equivalent to
        //   captures = result.slice(1).map(maybeToString)
        // but for some reason `nativeSlice.call(result, 1, result.length)` (called in
        // the slice polyfill when slicing native arrays) "doesn't work" in safari 9 and
        // causes a crash (https://pastebin.com/N21QzeQA) when trying to debug it.
        for (var j = 1; j < result.length; j++) captures.push(maybeToString(result[j]));
        var namedCaptures = result.groups;
        if (functionalReplace) {
          var replacerArgs = [matched].concat(captures, position, S);
          if (namedCaptures !== undefined) replacerArgs.push(namedCaptures);
          var replacement = String(replaceValue.apply(undefined, replacerArgs));
        } else {
          replacement = getSubstitution(matched, S, position, captures, namedCaptures, replaceValue);
        }
        if (position >= nextSourcePosition) {
          accumulatedResult += S.slice(nextSourcePosition, position) + replacement;
          nextSourcePosition = position + matched.length;
        }
      }
      return accumulatedResult + S.slice(nextSourcePosition);
    }
  ];
}, !REPLACE_SUPPORTS_NAMED_GROUPS || !REPLACE_KEEPS_$0 || REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE);

// iterable DOM collections
// flag - `iterable` interface - 'entries', 'keys', 'values', 'forEach' methods
var domIterables = {
  CSSRuleList: 0,
  CSSStyleDeclaration: 0,
  CSSValueList: 0,
  ClientRectList: 0,
  DOMRectList: 0,
  DOMStringList: 0,
  DOMTokenList: 1,
  DataTransferItemList: 0,
  FileList: 0,
  HTMLAllCollection: 0,
  HTMLCollection: 0,
  HTMLFormElement: 0,
  HTMLSelectElement: 0,
  MediaList: 0,
  MimeTypeArray: 0,
  NamedNodeMap: 0,
  NodeList: 1,
  PaintRequestList: 0,
  Plugin: 0,
  PluginArray: 0,
  SVGLengthList: 0,
  SVGNumberList: 0,
  SVGPathSegList: 0,
  SVGPointList: 0,
  SVGStringList: 0,
  SVGTransformList: 0,
  SourceBufferList: 0,
  StyleSheetList: 0,
  TextTrackCueList: 0,
  TextTrackList: 0,
  TouchList: 0
};

for (var COLLECTION_NAME in domIterables) {
  var Collection = global_1[COLLECTION_NAME];
  var CollectionPrototype = Collection && Collection.prototype;
  // some Chrome versions have non-configurable methods on DOMTokenList
  if (CollectionPrototype && CollectionPrototype.forEach !== arrayForEach) try {
    createNonEnumerableProperty(CollectionPrototype, 'forEach', arrayForEach);
  } catch (error) {
    CollectionPrototype.forEach = arrayForEach;
  }
}

var ITERATOR$5 = wellKnownSymbol('iterator');
var TO_STRING_TAG$3 = wellKnownSymbol('toStringTag');
var ArrayValues = es_array_iterator.values;

for (var COLLECTION_NAME$1 in domIterables) {
  var Collection$1 = global_1[COLLECTION_NAME$1];
  var CollectionPrototype$1 = Collection$1 && Collection$1.prototype;
  if (CollectionPrototype$1) {
    // some Chrome versions have non-configurable methods on DOMTokenList
    if (CollectionPrototype$1[ITERATOR$5] !== ArrayValues) try {
      createNonEnumerableProperty(CollectionPrototype$1, ITERATOR$5, ArrayValues);
    } catch (error) {
      CollectionPrototype$1[ITERATOR$5] = ArrayValues;
    }
    if (!CollectionPrototype$1[TO_STRING_TAG$3]) {
      createNonEnumerableProperty(CollectionPrototype$1, TO_STRING_TAG$3, COLLECTION_NAME$1);
    }
    if (domIterables[COLLECTION_NAME$1]) for (var METHOD_NAME in es_array_iterator) {
      // some Chrome versions have non-configurable methods on DOMTokenList
      if (CollectionPrototype$1[METHOD_NAME] !== es_array_iterator[METHOD_NAME]) try {
        createNonEnumerableProperty(CollectionPrototype$1, METHOD_NAME, es_array_iterator[METHOD_NAME]);
      } catch (error) {
        CollectionPrototype$1[METHOD_NAME] = es_array_iterator[METHOD_NAME];
      }
    }
  }
}

var slice = [].slice;
var MSIE = /MSIE .\./.test(engineUserAgent); // <- dirty ie9- check

var wrap = function (scheduler) {
  return function (handler, timeout /* , ...arguments */) {
    var boundArgs = arguments.length > 2;
    var args = boundArgs ? slice.call(arguments, 2) : undefined;
    return scheduler(boundArgs ? function () {
      // eslint-disable-next-line no-new-func -- spec requirement
      (typeof handler == 'function' ? handler : Function(handler)).apply(this, args);
    } : handler, timeout);
  };
};

// ie9- setTimeout & setInterval additional parameters fix
// https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#timers
_export({ global: true, bind: true, forced: MSIE }, {
  // `setTimeout` method
  // https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#dom-settimeout
  setTimeout: wrap(global_1.setTimeout),
  // `setInterval` method
  // https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#dom-setinterval
  setInterval: wrap(global_1.setInterval)
});

var getWeakData = internalMetadata.getWeakData;








var setInternalState$3 = internalState.set;
var internalStateGetterFor$1 = internalState.getterFor;
var find = arrayIteration.find;
var findIndex = arrayIteration.findIndex;
var id$1 = 0;

// fallback for uncaught frozen keys
var uncaughtFrozenStore = function (store) {
  return store.frozen || (store.frozen = new UncaughtFrozenStore());
};

var UncaughtFrozenStore = function () {
  this.entries = [];
};

var findUncaughtFrozen = function (store, key) {
  return find(store.entries, function (it) {
    return it[0] === key;
  });
};

UncaughtFrozenStore.prototype = {
  get: function (key) {
    var entry = findUncaughtFrozen(this, key);
    if (entry) return entry[1];
  },
  has: function (key) {
    return !!findUncaughtFrozen(this, key);
  },
  set: function (key, value) {
    var entry = findUncaughtFrozen(this, key);
    if (entry) entry[1] = value;
    else this.entries.push([key, value]);
  },
  'delete': function (key) {
    var index = findIndex(this.entries, function (it) {
      return it[0] === key;
    });
    if (~index) this.entries.splice(index, 1);
    return !!~index;
  }
};

var collectionWeak = {
  getConstructor: function (wrapper, CONSTRUCTOR_NAME, IS_MAP, ADDER) {
    var C = wrapper(function (that, iterable) {
      anInstance(that, C, CONSTRUCTOR_NAME);
      setInternalState$3(that, {
        type: CONSTRUCTOR_NAME,
        id: id$1++,
        frozen: undefined
      });
      if (iterable != undefined) iterate(iterable, that[ADDER], { that: that, AS_ENTRIES: IS_MAP });
    });

    var getInternalState = internalStateGetterFor$1(CONSTRUCTOR_NAME);

    var define = function (that, key, value) {
      var state = getInternalState(that);
      var data = getWeakData(anObject(key), true);
      if (data === true) uncaughtFrozenStore(state).set(key, value);
      else data[state.id] = value;
      return that;
    };

    redefineAll(C.prototype, {
      // `{ WeakMap, WeakSet }.prototype.delete(key)` methods
      // https://tc39.es/ecma262/#sec-weakmap.prototype.delete
      // https://tc39.es/ecma262/#sec-weakset.prototype.delete
      'delete': function (key) {
        var state = getInternalState(this);
        if (!isObject(key)) return false;
        var data = getWeakData(key);
        if (data === true) return uncaughtFrozenStore(state)['delete'](key);
        return data && has(data, state.id) && delete data[state.id];
      },
      // `{ WeakMap, WeakSet }.prototype.has(key)` methods
      // https://tc39.es/ecma262/#sec-weakmap.prototype.has
      // https://tc39.es/ecma262/#sec-weakset.prototype.has
      has: function has$1(key) {
        var state = getInternalState(this);
        if (!isObject(key)) return false;
        var data = getWeakData(key);
        if (data === true) return uncaughtFrozenStore(state).has(key);
        return data && has(data, state.id);
      }
    });

    redefineAll(C.prototype, IS_MAP ? {
      // `WeakMap.prototype.get(key)` method
      // https://tc39.es/ecma262/#sec-weakmap.prototype.get
      get: function get(key) {
        var state = getInternalState(this);
        if (isObject(key)) {
          var data = getWeakData(key);
          if (data === true) return uncaughtFrozenStore(state).get(key);
          return data ? data[state.id] : undefined;
        }
      },
      // `WeakMap.prototype.set(key, value)` method
      // https://tc39.es/ecma262/#sec-weakmap.prototype.set
      set: function set(key, value) {
        return define(this, key, value);
      }
    } : {
      // `WeakSet.prototype.add(value)` method
      // https://tc39.es/ecma262/#sec-weakset.prototype.add
      add: function add(value) {
        return define(this, value, true);
      }
    });

    return C;
  }
};

var es_weakMap = createCommonjsModule(function (module) {






var enforceIternalState = internalState.enforce;


var IS_IE11 = !global_1.ActiveXObject && 'ActiveXObject' in global_1;
// eslint-disable-next-line es/no-object-isextensible -- safe
var isExtensible = Object.isExtensible;
var InternalWeakMap;

var wrapper = function (init) {
  return function WeakMap() {
    return init(this, arguments.length ? arguments[0] : undefined);
  };
};

// `WeakMap` constructor
// https://tc39.es/ecma262/#sec-weakmap-constructor
var $WeakMap = module.exports = collection('WeakMap', wrapper, collectionWeak);

// IE11 WeakMap frozen keys fix
// We can't use feature detection because it crash some old IE builds
// https://github.com/zloirock/core-js/issues/485
if (nativeWeakMap && IS_IE11) {
  InternalWeakMap = collectionWeak.getConstructor(wrapper, 'WeakMap', true);
  internalMetadata.REQUIRED = true;
  var WeakMapPrototype = $WeakMap.prototype;
  var nativeDelete = WeakMapPrototype['delete'];
  var nativeHas = WeakMapPrototype.has;
  var nativeGet = WeakMapPrototype.get;
  var nativeSet = WeakMapPrototype.set;
  redefineAll(WeakMapPrototype, {
    'delete': function (key) {
      if (isObject(key) && !isExtensible(key)) {
        var state = enforceIternalState(this);
        if (!state.frozen) state.frozen = new InternalWeakMap();
        return nativeDelete.call(this, key) || state.frozen['delete'](key);
      } return nativeDelete.call(this, key);
    },
    has: function has(key) {
      if (isObject(key) && !isExtensible(key)) {
        var state = enforceIternalState(this);
        if (!state.frozen) state.frozen = new InternalWeakMap();
        return nativeHas.call(this, key) || state.frozen.has(key);
      } return nativeHas.call(this, key);
    },
    get: function get(key) {
      if (isObject(key) && !isExtensible(key)) {
        var state = enforceIternalState(this);
        if (!state.frozen) state.frozen = new InternalWeakMap();
        return nativeHas.call(this, key) ? nativeGet.call(this, key) : state.frozen.get(key);
      } return nativeGet.call(this, key);
    },
    set: function set(key, value) {
      if (isObject(key) && !isExtensible(key)) {
        var state = enforceIternalState(this);
        if (!state.frozen) state.frozen = new InternalWeakMap();
        nativeHas.call(this, key) ? nativeSet.call(this, key, value) : state.frozen.set(key, value);
      } else nativeSet.call(this, key, value);
      return this;
    }
  });
}
});

/* --------------------- Primary -------------------- */
var TLBoundsEdge;

(function (TLBoundsEdge) {
  TLBoundsEdge["Top"] = "top_edge";
  TLBoundsEdge["Right"] = "right_edge";
  TLBoundsEdge["Bottom"] = "bottom_edge";
  TLBoundsEdge["Left"] = "left_edge";
})(TLBoundsEdge || (TLBoundsEdge = {}));

var TLBoundsCorner;

(function (TLBoundsCorner) {
  TLBoundsCorner["TopLeft"] = "top_left_corner";
  TLBoundsCorner["TopRight"] = "top_right_corner";
  TLBoundsCorner["BottomRight"] = "bottom_right_corner";
  TLBoundsCorner["BottomLeft"] = "bottom_left_corner";
})(TLBoundsCorner || (TLBoundsCorner = {}));
/* -------------------------------------------------- */

/*                   Shape Utility                    */

/* -------------------------------------------------- */


var TLShapeUtil = /*#__PURE__*/function () {
  function TLShapeUtil() {
    _classCallCheck(this, TLShapeUtil);

    this.boundsCache = new WeakMap();
    this.isEditableText = false;
    this.isAspectRatioLocked = false;
    this.canEdit = false;
  }

  _createClass(TLShapeUtil, [{
    key: "create",
    value: function create(props) {
      return Object.assign(Object.assign({}, this.defaultProps), props);
    }
  }, {
    key: "translateTo",
    value: function translateTo(shape, point) {
      shape.point = point;
      return this;
    }
  }, {
    key: "translateBy",
    value: function translateBy(shape, delta) {
      shape.point = [shape.point[0] + delta[0], shape.point[1] + delta[1]];
      return this;
    }
  }, {
    key: "rotateTo",
    value: function rotateTo(shape, rotation) {
      shape.rotation = rotation;
      return this;
    }
  }, {
    key: "rotateBy",
    value: function rotateBy(shape, rotation) {
      shape.rotation = shape.rotation ? shape.rotation + rotation : rotation;
      return this;
    }
  }, {
    key: "mutate",
    value: function mutate(shape, props) {
      Object.assign(shape, props);
      return this;
    }
  }, {
    key: "shouldRender",
    value: function shouldRender(prev, next) {
      return true;
    }
  }, {
    key: "shouldDelete",
    value: function shouldDelete(shape) {
      return false;
    }
  }, {
    key: "getCenter",
    value: function getCenter(shape) {
      var bounds = this.getBounds(shape);
      return [bounds.width / 2, bounds.height / 2];
    }
  }, {
    key: "setProperty",
    value: function setProperty(shape, prop, value) {
      shape[prop] = value;
      return this;
    }
  }, {
    key: "onChildrenChange",
    value: function onChildrenChange(shape, children) {
      return this;
    }
  }, {
    key: "onBindingChange",
    value: function onBindingChange(shape, bindings, target, targetBounds) {
      return this;
    }
  }, {
    key: "onHandleChange",
    value: function onHandleChange(shape, handle, info) {
      return this;
    }
  }, {
    key: "onRightPointHandle",
    value: function onRightPointHandle(shape, handle, info) {
      return this;
    }
  }, {
    key: "onDoublePointHandle",
    value: function onDoublePointHandle(shape, handle, info) {
      return this;
    }
  }, {
    key: "onSessionComplete",
    value: function onSessionComplete(shape) {
      return this;
    }
  }, {
    key: "onBoundsReset",
    value: function onBoundsReset(shape) {
      return this;
    }
  }]);

  return TLShapeUtil;
}();
var MoveType;

(function (MoveType) {
  MoveType[MoveType["Backward"] = 0] = "Backward";
  MoveType[MoveType["Forward"] = 1] = "Forward";
  MoveType[MoveType["ToFront"] = 2] = "ToFront";
  MoveType[MoveType["ToBack"] = 3] = "ToBack";
})(MoveType || (MoveType = {}));

var AlignType;

(function (AlignType) {
  AlignType[AlignType["Top"] = 0] = "Top";
  AlignType[AlignType["CenterVertical"] = 1] = "CenterVertical";
  AlignType[AlignType["Bottom"] = 2] = "Bottom";
  AlignType[AlignType["Left"] = 3] = "Left";
  AlignType[AlignType["CenterHorizontal"] = 4] = "CenterHorizontal";
  AlignType[AlignType["Right"] = 5] = "Right";
})(AlignType || (AlignType = {}));

var StretchType;

(function (StretchType) {
  StretchType[StretchType["Horizontal"] = 0] = "Horizontal";
  StretchType[StretchType["Vertical"] = 1] = "Vertical";
})(StretchType || (StretchType = {}));

var DistributeType;

(function (DistributeType) {
  DistributeType[DistributeType["Horizontal"] = 0] = "Horizontal";
  DistributeType[DistributeType["Vertical"] = 1] = "Vertical";
})(DistributeType || (DistributeType = {}));

// `thisNumberValue` abstract operation
// https://tc39.es/ecma262/#sec-thisnumbervalue
var thisNumberValue = function (value) {
  if (typeof value != 'number' && classofRaw(value) != 'Number') {
    throw TypeError('Incorrect invocation');
  }
  return +value;
};

var nativeToPrecision = 1.0.toPrecision;

var FORCED$2 = fails(function () {
  // IE7-
  return nativeToPrecision.call(1, undefined) !== '1';
}) || !fails(function () {
  // V8 ~ Android 4.3-
  nativeToPrecision.call({});
});

// `Number.prototype.toPrecision` method
// https://tc39.es/ecma262/#sec-number.prototype.toprecision
_export({ target: 'Number', proto: true, forced: FORCED$2 }, {
  toPrecision: function toPrecision(precision) {
    return precision === undefined
      ? nativeToPrecision.call(thisNumberValue(this))
      : nativeToPrecision.call(thisNumberValue(this), precision);
  }
});

// A big collection of vector utilities. Collected into a class to improve logging / packaging.

/* ----------------- Start Copy Here ---------------- */
var Vec = /*#__PURE__*/function () {
  function Vec() {
    _classCallCheck(this, Vec);
  }

  _createClass(Vec, null, [{
    key: "clamp",
    value: function clamp(n, min, max) {
      return Math.max(min, typeof max !== 'undefined' ? Math.min(n, max) : n);
    }
  }]);

  return Vec;
}();
/**
 * Negate a vector.
 * @param A
 */

Vec.neg = function (A) {
  return [-A[0], -A[1]];
};
/**
 * Add vectors.
 * @param A
 * @param B
 */


Vec.add = function (A, B) {
  return [A[0] + B[0], A[1] + B[1]];
};
/**
 * Add scalar to vector.
 * @param A
 * @param B
 */


Vec.addScalar = function (A, n) {
  return [A[0] + n, A[1] + n];
};
/**
 * Subtract vectors.
 * @param A
 * @param B
 */


Vec.sub = function (A, B) {
  return [A[0] - B[0], A[1] - B[1]];
};
/**
 * Subtract scalar from vector.
 * @param A
 * @param B
 */


Vec.subScalar = function (A, n) {
  return [A[0] - n, A[1] - n];
};
/**
 * Get the vector from vectors A to B.
 * @param A
 * @param B
 */


Vec.vec = function (A, B) {
  // A, B as vectors get the vector from A to B
  return [B[0] - A[0], B[1] - A[1]];
};
/**
 * Vector multiplication by scalar
 * @param A
 * @param n
 */


Vec.mul = function (A, n) {
  return [A[0] * n, A[1] * n];
};

Vec.mulV = function (A, B) {
  return [A[0] * B[0], A[1] * B[1]];
};
/**
 * Vector division by scalar.
 * @param A
 * @param n
 */


Vec.div = function (A, n) {
  return [A[0] / n, A[1] / n];
};
/**
 * Vector division by vector.
 * @param A
 * @param n
 */


Vec.divV = function (A, B) {
  return [A[0] / B[0], A[1] / B[1]];
};
/**
 * Perpendicular rotation of a vector A
 * @param A
 */


Vec.per = function (A) {
  return [A[1], -A[0]];
};
/**
 * Dot product
 * @param A
 * @param B
 */


Vec.dpr = function (A, B) {
  return A[0] * B[0] + A[1] * B[1];
};
/**
 * Cross product (outer product) | A X B |
 * @param A
 * @param B
 */


Vec.cpr = function (A, B) {
  return A[0] * B[1] - B[0] * A[1];
};
/**
 * Length of the vector squared
 * @param A
 */


Vec.len2 = function (A) {
  return A[0] * A[0] + A[1] * A[1];
};
/**
 * Length of the vector
 * @param A
 */


Vec.len = function (A) {
  return Math.hypot(A[0], A[1]);
};
/**
 * Project A over B
 * @param A
 * @param B
 */


Vec.pry = function (A, B) {
  return Vec.dpr(A, B) / Vec.len(B);
};
/**
 * Get normalized / unit vector.
 * @param A
 */


Vec.uni = function (A) {
  return Vec.div(A, Vec.len(A));
};
/**
 * Get normalized / unit vector.
 * @param A
 */


Vec.normalize = function (A) {
  return Vec.uni(A);
};
/**
 * Get the tangent between two vectors.
 * @param A
 * @param B
 * @returns
 */


Vec.tangent = function (A, B) {
  return Vec.normalize(Vec.sub(A, B));
};
/**
 * Dist length from A to B squared.
 * @param A
 * @param B
 */


Vec.dist2 = function (A, B) {
  return Vec.len2(Vec.sub(A, B));
};
/**
 * Dist length from A to B
 * @param A
 * @param B
 */


Vec.dist = function (A, B) {
  return Math.hypot(A[1] - B[1], A[0] - B[0]);
};
/**
 * A faster, though less accurate method for testing distances. Maybe faster?
 * @param A
 * @param B
 * @returns
 */


Vec.fastDist = function (A, B) {
  var V = [B[0] - A[0], B[1] - A[1]];
  var aV = [Math.abs(V[0]), Math.abs(V[1])];
  var r = 1 / Math.max(aV[0], aV[1]);
  r = r * (1.29289 - (aV[0] + aV[1]) * r * 0.29289);
  return [V[0] * r, V[1] * r];
};
/**
 * Angle between vector A and vector B in radians
 * @param A
 * @param B
 */


Vec.ang = function (A, B) {
  return Math.atan2(Vec.cpr(A, B), Vec.dpr(A, B));
};
/**
 * Angle between vector A and vector B in radians
 * @param A
 * @param B
 */


Vec.angle = function (A, B) {
  return Math.atan2(B[1] - A[1], B[0] - A[0]);
};
/**
 * Mean between two vectors or mid vector between two vectors
 * @param A
 * @param B
 */


Vec.med = function (A, B) {
  return Vec.mul(Vec.add(A, B), 0.5);
};
/**
 * Vector rotation by r (radians)
 * @param A
 * @param r rotation in radians
 */


Vec.rot = function (A, r) {
  return [A[0] * Math.cos(r) - A[1] * Math.sin(r), A[0] * Math.sin(r) + A[1] * Math.cos(r)];
};
/**
 * Rotate a vector around another vector by r (radians)
 * @param A vector
 * @param C center
 * @param r rotation in radians
 */


Vec.rotWith = function (A, C, r) {
  if (r === 0) return A;
  var s = Math.sin(r);
  var c = Math.cos(r);
  var px = A[0] - C[0];
  var py = A[1] - C[1];
  var nx = px * c - py * s;
  var ny = px * s + py * c;
  return [nx + C[0], ny + C[1]];
};
/**
 * Check of two vectors are identical.
 * @param A
 * @param B
 */


Vec.isEqual = function (A, B) {
  return A[0] === B[0] && A[1] === B[1];
};
/**
 * Interpolate vector A to B with a scalar t
 * @param A
 * @param B
 * @param t scalar
 */


Vec.lrp = function (A, B, t) {
  return Vec.add(A, Vec.mul(Vec.vec(A, B), t));
};
/**
 * Interpolate from A to B when curVAL goes fromVAL: number[] => to
 * @param A
 * @param B
 * @param from Starting value
 * @param to Ending value
 * @param s Strength
 */


Vec["int"] = function (A, B, from, to) {
  var s = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 1;
  var t = (Vec.clamp(from, to) - from) / (to - from);
  return Vec.add(Vec.mul(A, 1 - t), Vec.mul(B, s));
};
/**
 * Get the angle between the three vectors A, B, and C.
 * @param p1
 * @param pc
 * @param p2
 */


Vec.ang3 = function (p1, pc, p2) {
  // this,
  var v1 = Vec.vec(pc, p1);
  var v2 = Vec.vec(pc, p2);
  return Vec.ang(v1, v2);
};
/**
 * Absolute value of a vector.
 * @param A
 * @returns
 */


Vec.abs = function (A) {
  return [Math.abs(A[0]), Math.abs(A[1])];
};

Vec.rescale = function (a, n) {
  var l = Vec.len(a);
  return [n * a[0] / l, n * a[1] / l];
};
/**
 * Get whether p1 is left of p2, relative to pc.
 * @param p1
 * @param pc
 * @param p2
 */


Vec.isLeft = function (p1, pc, p2) {
  //  isLeft: >0 for counterclockwise
  //          =0 for none (degenerate)
  //          <0 for clockwise
  return (pc[0] - p1[0]) * (p2[1] - p1[1]) - (p2[0] - p1[0]) * (pc[1] - p1[1]);
};

Vec.clockwise = function (p1, pc, p2) {
  return Vec.isLeft(p1, pc, p2) > 0;
};

Vec.round = function (a) {
  var d = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 5;
  return a.map(function (v) {
    return +v.toPrecision(d);
  });
};
/**
 * Get the minimum distance from a point P to a line with a segment AB.
 * @param A The start of the line.
 * @param B The end of the line.
 * @param P A point.
 * @returns
 */
// static distanceToLine(A: number[], B: number[], P: number[]) {
//   const delta = sub(B, A)
//   const angle = Math.atan2(delta[1], delta[0])
//   const dir = rot(sub(P, A), -angle)
//   return dir[1]
// }

/**
 * Get the nearest point on a line segment AB.
 * @param A The start of the line.
 * @param B The end of the line.
 * @param P A point.
 * @param clamp Whether to clamp the resulting point to the segment.
 * @returns
 */
// static nearestPointOnLine(
//   A: number[],
//   B: number[],
//   P: number[],
//   clamp = true
// ) {
//   const delta = sub(B, A)
//   const length = len(delta)
//   const angle = Math.atan2(delta[1], delta[0])
//   const dir = rot(sub(P, A), -angle)
//   if (clamp) {
//     if (dir[0] < 0) return A
//     if (dir[0] > length) return B
//   }
//   return add(A, div(mul(delta, dir[0]), length))
// }

/**
 * Get the nearest point on a line with a known unit vector that passes through point A
 * @param A Any point on the line
 * @param u The unit vector for the line.
 * @param P A point not on the line to test.
 * @returns
 */


Vec.nearestPointOnLineThroughPoint = function (A, u, P) {
  return Vec.add(A, Vec.mul(u, Vec.pry(Vec.sub(P, A), u)));
};
/**
 * Distance between a point and a line with a known unit vector that passes through a point.
 * @param A Any point on the line
 * @param u The unit vector for the line.
 * @param P A point not on the line to test.
 * @returns
 */


Vec.distanceToLineThroughPoint = function (A, u, P) {
  return Vec.dist(P, Vec.nearestPointOnLineThroughPoint(A, u, P));
};
/**
 * Get the nearest point on a line segment between A and B
 * @param A The start of the line segment
 * @param B The end of the line segment
 * @param P The off-line point
 * @param clamp Whether to clamp the point between A and B.
 * @returns
 */


Vec.nearestPointOnLineSegment = function (A, B, P) {
  var clamp = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
  var delta = Vec.sub(B, A);
  var length = Vec.len(delta);
  var u = Vec.div(delta, length);
  var pt = Vec.add(A, Vec.mul(u, Vec.pry(Vec.sub(P, A), u)));

  if (clamp) {
    var da = Vec.dist(A, pt);
    var db = Vec.dist(B, pt);
    if (db < da && da > length) return B;
    if (da < db && db > length) return A;
  }

  return pt;
};
/**
 * Distance between a point and the nearest point on a line segment between A and B
 * @param A The start of the line segment
 * @param B The end of the line segment
 * @param P The off-line point
 * @param clamp Whether to clamp the point between A and B.
 * @returns
 */


Vec.distanceToLineSegment = function (A, B, P) {
  var clamp = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
  return Vec.dist(P, Vec.nearestPointOnLineSegment(A, B, P, clamp));
};
/**
 * Push a point A towards point B by a given distance.
 * @param A
 * @param B
 * @param d
 * @returns
 */


Vec.nudge = function (A, B, d) {
  return Vec.add(A, Vec.mul(Vec.uni(Vec.vec(A, B)), d));
};
/**
 * Push a point in a given angle by a given distance.
 * @param A
 * @param B
 * @param d
 */


Vec.nudgeAtAngle = function (A, a, d) {
  return [Math.cos(a) * d + A[0], Math.sin(a) * d + A[1]];
};
/**
 * Round a vector to a precision length.
 * @param a
 * @param n
 */


Vec.toPrecision = function (a) {
  var n = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 4;
  return [+a[0].toPrecision(n), +a[1].toPrecision(n)];
};
/**
 * Get a number of points between two points.
 * @param a
 * @param b
 * @param steps
 */


Vec.pointsBetween = function (a, b) {
  var steps = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 6;
  return Array.from(Array(steps)).map(function (_, i) {
    var t = i / steps;
    return t * t * t;
  }).map(function (t) {
    return Vec.round([].concat(_toConsumableArray(Vec.lrp(a, b, t)), [(1 - t) / 2]));
  });
};

var defineProperty$4 = objectDefineProperty.f;
var getOwnPropertyNames$1 = objectGetOwnPropertyNames.f;






var enforceInternalState = internalState.enforce;





var MATCH$2 = wellKnownSymbol('match');
var NativeRegExp = global_1.RegExp;
var RegExpPrototype$2 = NativeRegExp.prototype;
// TODO: Use only propper RegExpIdentifierName
var IS_NCG = /^\?<[^\s\d!#%&*+<=>@^][^\s!#%&*+<=>@^]*>/;
var re1 = /a/g;
var re2 = /a/g;

// "new" should create a new object, old webkit bug
var CORRECT_NEW = new NativeRegExp(re1) !== re1;

var UNSUPPORTED_Y$2 = regexpStickyHelpers.UNSUPPORTED_Y;

var BASE_FORCED = descriptors &&
  (!CORRECT_NEW || UNSUPPORTED_Y$2 || regexpUnsupportedDotAll || regexpUnsupportedNcg || fails(function () {
    re2[MATCH$2] = false;
    // RegExp constructor can alter flags and IsRegExp works correct with @@match
    return NativeRegExp(re1) != re1 || NativeRegExp(re2) == re2 || NativeRegExp(re1, 'i') != '/a/i';
  }));

var handleDotAll = function (string) {
  var length = string.length;
  var index = 0;
  var result = '';
  var brackets = false;
  var chr;
  for (; index <= length; index++) {
    chr = string.charAt(index);
    if (chr === '\\') {
      result += chr + string.charAt(++index);
      continue;
    }
    if (!brackets && chr === '.') {
      result += '[\\s\\S]';
    } else {
      if (chr === '[') {
        brackets = true;
      } else if (chr === ']') {
        brackets = false;
      } result += chr;
    }
  } return result;
};

var handleNCG = function (string) {
  var length = string.length;
  var index = 0;
  var result = '';
  var named = [];
  var names = {};
  var brackets = false;
  var ncg = false;
  var groupid = 0;
  var groupname = '';
  var chr;
  for (; index <= length; index++) {
    chr = string.charAt(index);
    if (chr === '\\') {
      chr = chr + string.charAt(++index);
    } else if (chr === ']') {
      brackets = false;
    } else if (!brackets) switch (true) {
      case chr === '[':
        brackets = true;
        break;
      case chr === '(':
        if (IS_NCG.test(string.slice(index + 1))) {
          index += 2;
          ncg = true;
        }
        result += chr;
        groupid++;
        continue;
      case chr === '>' && ncg:
        if (groupname === '' || has(names, groupname)) {
          throw new SyntaxError('Invalid capture group name');
        }
        names[groupname] = true;
        named.push([groupname, groupid]);
        ncg = false;
        groupname = '';
        continue;
    }
    if (ncg) groupname += chr;
    else result += chr;
  } return [result, named];
};

// `RegExp` constructor
// https://tc39.es/ecma262/#sec-regexp-constructor
if (isForced_1('RegExp', BASE_FORCED)) {
  var RegExpWrapper = function RegExp(pattern, flags) {
    var thisIsRegExp = this instanceof RegExpWrapper;
    var patternIsRegExp = isRegexp(pattern);
    var flagsAreUndefined = flags === undefined;
    var groups = [];
    var rawPattern = pattern;
    var rawFlags, dotAll, sticky, handled, result, state;

    if (!thisIsRegExp && patternIsRegExp && flagsAreUndefined && pattern.constructor === RegExpWrapper) {
      return pattern;
    }

    if (patternIsRegExp || pattern instanceof RegExpWrapper) {
      pattern = pattern.source;
      if (flagsAreUndefined) flags = 'flags' in rawPattern ? rawPattern.flags : regexpFlags.call(rawPattern);
    }

    pattern = pattern === undefined ? '' : String(pattern);
    flags = flags === undefined ? '' : String(flags);
    rawPattern = pattern;

    if (regexpUnsupportedDotAll && 'dotAll' in re1) {
      dotAll = !!flags && flags.indexOf('s') > -1;
      if (dotAll) flags = flags.replace(/s/g, '');
    }

    rawFlags = flags;

    if (UNSUPPORTED_Y$2 && 'sticky' in re1) {
      sticky = !!flags && flags.indexOf('y') > -1;
      if (sticky) flags = flags.replace(/y/g, '');
    }

    if (regexpUnsupportedNcg) {
      handled = handleNCG(pattern);
      pattern = handled[0];
      groups = handled[1];
    }

    result = inheritIfRequired(NativeRegExp(pattern, flags), thisIsRegExp ? this : RegExpPrototype$2, RegExpWrapper);

    if (dotAll || sticky || groups.length) {
      state = enforceInternalState(result);
      if (dotAll) {
        state.dotAll = true;
        state.raw = RegExpWrapper(handleDotAll(pattern), rawFlags);
      }
      if (sticky) state.sticky = true;
      if (groups.length) state.groups = groups;
    }

    if (pattern !== rawPattern) try {
      // fails in old engines, but we have no alternatives for unsupported regex syntax
      createNonEnumerableProperty(result, 'source', rawPattern === '' ? '(?:)' : rawPattern);
    } catch (error) { /* empty */ }

    return result;
  };

  var proxy = function (key) {
    key in RegExpWrapper || defineProperty$4(RegExpWrapper, key, {
      configurable: true,
      get: function () { return NativeRegExp[key]; },
      set: function (it) { NativeRegExp[key] = it; }
    });
  };

  for (var keys$2 = getOwnPropertyNames$1(NativeRegExp), index = 0; keys$2.length > index;) {
    proxy(keys$2[index++]);
  }

  RegExpPrototype$2.constructor = RegExpWrapper;
  RegExpWrapper.prototype = RegExpPrototype$2;
  redefine(global_1, 'RegExp', RegExpWrapper);
}

// https://tc39.es/ecma262/#sec-get-regexp-@@species
setSpecies('RegExp');

/* eslint-disable @typescript-eslint/ban-ts-comment */

/* eslint-disable no-extend-native */

/**
 * String.prototype.replaceAll() polyfill
 * https://gomakethings.com/how-to-replace-a-section-of-a-string-with-another-one-with-vanilla-js/
 * @author Chris Ferdinandi
 * @license MIT
 */
if (!String.prototype.replaceAll) {
  // @ts-ignore
  String.prototype.replaceAll = function (str, newStr) {
    // If a regex pattern
    if (Object.prototype.toString.call(str).toLowerCase() === '[object regexp]') {
      return this.replace(str, newStr);
    } // If a string


    return this.replace(new RegExp(str, 'g'), newStr);
  };
}

var Utils = /*#__PURE__*/function () {
  function Utils() {
    _classCallCheck(this, Utils);
  }

  _createClass(Utils, null, [{
    key: "lerp",
    value:
    /* -------------------------------------------------- */

    /*                    Math & Geometry                 */

    /* -------------------------------------------------- */

    /**
     * Linear interpolation betwen two numbers.
     * @param y1
     * @param y2
     * @param mu
     */
    function lerp(y1, y2, mu) {
      mu = Utils.clamp(mu, 0, 1);
      return y1 * (1 - mu) + y2 * mu;
    }
    /**
     * Linear interpolation between two colors.
     *
     * ### Example
     *
     *```ts
     * lerpColor("#000000", "#0099FF", .25)
     *```
     */

  }, {
    key: "lerpColor",
    value: function lerpColor(color1, color2) {
      var factor = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0.5;

      function h2r(hex) {
        var result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
        return result ? [parseInt(result[1], 16), parseInt(result[2], 16), parseInt(result[3], 16)] : null;
      }

      function r2h(rgb) {
        return '#' + ((1 << 24) + (rgb[0] << 16) + (rgb[1] << 8) + rgb[2]).toString(16).slice(1);
      }

      var c1 = h2r(color1);
      var c2 = h2r(color2);
      if (!(c1 && c2)) return;
      var result = c1.slice();

      for (var i = 0; i < 3; i++) {
        result[i] = Math.round(result[i] + factor * (c2[i] - c1[i]));
      }

      return r2h(result);
    }
    /**
     * Modulate a value between two ranges.
     * @param value
     * @param rangeA from [low, high]
     * @param rangeB to [low, high]
     * @param clamp
     */

  }, {
    key: "modulate",
    value: function modulate(value, rangeA, rangeB) {
      var clamp = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

      var _rangeA = _slicedToArray(rangeA, 2),
          fromLow = _rangeA[0],
          fromHigh = _rangeA[1];

      var _rangeB = _slicedToArray(rangeB, 2),
          v0 = _rangeB[0],
          v1 = _rangeB[1];

      var result = v0 + (value - fromLow) / (fromHigh - fromLow) * (v1 - v0);
      return clamp ? v0 < v1 ? Math.max(Math.min(result, v1), v0) : Math.max(Math.min(result, v0), v1) : result;
    }
  }, {
    key: "clamp",
    value: function clamp(n, min, max) {
      return Math.max(min, typeof max !== 'undefined' ? Math.min(n, max) : n);
    } // TODO: replace with a string compression algorithm

  }, {
    key: "compress",
    value: function compress(s) {
      return s;
    } // TODO: replace with a string decompression algorithm

  }, {
    key: "decompress",
    value: function decompress(s) {
      return s;
    }
    /**
     * Recursively clone an object or array.
     * @param obj
     */

  }, {
    key: "deepClone",
    value: function deepClone(obj) {
      if (isDraft(obj)) return current(obj);
      if (obj === null) return obj;

      if (Array.isArray(obj)) {
        return _toConsumableArray(obj);
      }

      if (typeof obj === 'object') {
        var clone = Object.assign({}, obj);
        Object.keys(clone).forEach(function (key) {
          return clone[key] = typeof obj[key] === 'object' ? Utils.deepClone(obj[key]) : obj[key];
        });
        return clone;
      }

      return obj;
    }
    /**
     * Seeded random number generator, using [xorshift](https://en.wikipedia.org/wiki/Xorshift).
     * The result will always be betweeen -1 and 1.
     *
     * Adapted from [seedrandom](https://github.com/davidbau/seedrandom).
     */

  }, {
    key: "rng",
    value: function rng() {
      var seed = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var x = 0;
      var y = 0;
      var z = 0;
      var w = 0;

      function next() {
        var t = x ^ x << 11;
        x = y;
        y = z;
        z = w;
        w ^= (w >>> 19 ^ t ^ t >>> 8) >>> 0;
        return w / 0x100000000;
      }

      for (var k = 0; k < seed.length + 64; k++) {
        x ^= seed.charCodeAt(k) | 0;
        next();
      }

      return next;
    }
    /* ---------------------- Boxes --------------------- */

  }, {
    key: "getRectangleSides",
    value: function getRectangleSides(point, size) {
      var tl = point;
      var tr = Vec.add(point, [size[0], 0]);
      var br = Vec.add(point, size);
      var bl = Vec.add(point, [0, size[1]]);
      return [['top', [tl, tr]], ['right', [tr, br]], ['bottom', [br, bl]], ['left', [bl, tl]]];
    }
  }, {
    key: "getBoundsSides",
    value: function getBoundsSides(bounds) {
      return this.getRectangleSides([bounds.minX, bounds.minY], [bounds.width, bounds.height]);
    }
  }, {
    key: "shallowEqual",
    value: function shallowEqual(objA, objB) {
      if (objA === objB) return true;
      if (!objA || !objB) return false;
      var aKeys = Object.keys(objA);
      var bKeys = Object.keys(objB);
      var len = aKeys.length;
      if (bKeys.length !== len) return false;

      for (var i = 0; i < len; i++) {
        var key = aKeys[i];

        if (objA[key] !== objB[key] || !Object.prototype.hasOwnProperty.call(objB, key)) {
          return false;
        }
      }

      return true;
    }
    /* --------------- Circles and Angles --------------- */

    /**
     * Get the outer of between a circle and a point.
     * @param C The circle's center.
     * @param r The circle's radius.
     * @param P The point.
     * @param side
     */

  }, {
    key: "getCircleTangentToPoint",
    value: function getCircleTangentToPoint(C, r, P, side) {
      var B = Vec.lrp(C, P, 0.5);
      var r1 = Vec.dist(C, B);
      var delta = Vec.sub(B, C);
      var d = Vec.len(delta);

      if (!(d <= r + r1 && d >= Math.abs(r - r1))) {
        return null;
      }

      var a = (r * r - r1 * r1 + d * d) / (2.0 * d);
      var n = 1 / d;
      var p = Vec.add(C, Vec.mul(delta, a * n));
      var h = Math.sqrt(r * r - a * a);
      var k = Vec.mul(Vec.per(delta), h * n);
      return side === 0 ? Vec.add(p, k) : Vec.sub(p, k);
    }
    /**
     * Get outer tangents of two circles.
     * @param x0
     * @param y0
     * @param r0
     * @param x1
     * @param y1
     * @param r1
     * @returns [lx0, ly0, lx1, ly1, rx0, ry0, rx1, ry1]
     */

  }, {
    key: "getOuterTangentsOfCircles",
    value: function getOuterTangentsOfCircles(C0, r0, C1, r1) {
      var a0 = Vec.angle(C0, C1);
      var d = Vec.dist(C0, C1); // Circles are overlapping, no tangents

      if (d < Math.abs(r1 - r0)) {
        return null;
      }

      var a1 = Math.acos((r0 - r1) / d);
      var t0 = a0 + a1;
      var t1 = a0 - a1;
      return [[C0[0] + r0 * Math.cos(t1), C0[1] + r0 * Math.sin(t1)], [C1[0] + r1 * Math.cos(t1), C1[1] + r1 * Math.sin(t1)], [C0[0] + r0 * Math.cos(t0), C0[1] + r0 * Math.sin(t0)], [C1[0] + r1 * Math.cos(t0), C1[1] + r1 * Math.sin(t0)]];
    }
    /**
     * Get the closest point on the perimeter of a circle to a given point.
     * @param C The circle's center.
     * @param r The circle's radius.
     * @param P The point.
     */

  }, {
    key: "getClosestPointOnCircle",
    value: function getClosestPointOnCircle(C, r, P) {
      var v = Vec.sub(C, P);
      return Vec.sub(C, Vec.mul(Vec.div(v, Vec.len(v)), r));
    }
    /**
     * Get a circle from three points.
     * @param A
     * @param B
     * @param C
     * @returns [x, y, r]
     */

  }, {
    key: "circleFromThreePoints",
    value: function circleFromThreePoints(A, B, C) {
      var _A = _slicedToArray(A, 2),
          x1 = _A[0],
          y1 = _A[1];

      var _B = _slicedToArray(B, 2),
          x2 = _B[0],
          y2 = _B[1];

      var _C = _slicedToArray(C, 2),
          x3 = _C[0],
          y3 = _C[1];

      var a = x1 * (y2 - y3) - y1 * (x2 - x3) + x2 * y3 - x3 * y2;
      var b = (x1 * x1 + y1 * y1) * (y3 - y2) + (x2 * x2 + y2 * y2) * (y1 - y3) + (x3 * x3 + y3 * y3) * (y2 - y1);
      var c = (x1 * x1 + y1 * y1) * (x2 - x3) + (x2 * x2 + y2 * y2) * (x3 - x1) + (x3 * x3 + y3 * y3) * (x1 - x2);
      var x = -b / (2 * a);
      var y = -c / (2 * a);
      return [x, y, Math.hypot(x - x1, y - y1)];
    }
    /**
     * Find the approximate perimeter of an ellipse.
     * @param rx
     * @param ry
     */

  }, {
    key: "perimeterOfEllipse",
    value: function perimeterOfEllipse(rx, ry) {
      var h = Math.pow(rx - ry, 2) / Math.pow(rx + ry, 2);
      var p = Math.PI * (rx + ry) * (1 + 3 * h / (10 + Math.sqrt(4 - 3 * h)));
      return p;
    }
    /**
     * Get the short angle distance between two angles.
     * @param a0
     * @param a1
     */

  }, {
    key: "shortAngleDist",
    value: function shortAngleDist(a0, a1) {
      var max = Math.PI * 2;
      var da = (a1 - a0) % max;
      return 2 * da % max - da;
    }
    /**
     * Get the long angle distance between two angles.
     * @param a0
     * @param a1
     */

  }, {
    key: "longAngleDist",
    value: function longAngleDist(a0, a1) {
      return Math.PI * 2 - Utils.shortAngleDist(a0, a1);
    }
    /**
     * Interpolate an angle between two angles.
     * @param a0
     * @param a1
     * @param t
     */

  }, {
    key: "lerpAngles",
    value: function lerpAngles(a0, a1, t) {
      return a0 + Utils.shortAngleDist(a0, a1) * t;
    }
    /**
     * Get the short distance between two angles.
     * @param a0
     * @param a1
     */

  }, {
    key: "angleDelta",
    value: function angleDelta(a0, a1) {
      return Utils.shortAngleDist(a0, a1);
    }
    /**
     * Get the "sweep" or short distance between two points on a circle's perimeter.
     * @param C
     * @param A
     * @param B
     */

  }, {
    key: "getSweep",
    value: function getSweep(C, A, B) {
      return Utils.angleDelta(Vec.angle(C, A), Vec.angle(C, B));
    }
    /**
     * Rotate a point around a center.
     * @param x The x-axis coordinate of the point.
     * @param y The y-axis coordinate of the point.
     * @param cx The x-axis coordinate of the point to rotate round.
     * @param cy The y-axis coordinate of the point to rotate round.
     * @param angle The distance (in radians) to rotate.
     */

  }, {
    key: "rotatePoint",
    value: function rotatePoint(A, B, angle) {
      var s = Math.sin(angle);
      var c = Math.cos(angle);
      var px = A[0] - B[0];
      var py = A[1] - B[1];
      var nx = px * c - py * s;
      var ny = px * s + py * c;
      return [nx + B[0], ny + B[1]];
    }
    /**
     * Clamp radians within 0 and 2PI
     * @param r
     */

  }, {
    key: "clampRadians",
    value: function clampRadians(r) {
      return (Math.PI * 2 + r) % (Math.PI * 2);
    }
    /**
     * Clamp rotation to even segments.
     * @param r
     * @param segments
     */

  }, {
    key: "clampToRotationToSegments",
    value: function clampToRotationToSegments(r, segments) {
      var seg = Math.PI * 2 / segments;
      return Math.floor((Utils.clampRadians(r) + seg / 2) / seg) * seg;
    }
    /**
     * Is angle c between angles a and b?
     * @param a
     * @param b
     * @param c
     */

  }, {
    key: "isAngleBetween",
    value: function isAngleBetween(a, b, c) {
      if (c === a || c === b) return true;
      var PI2 = Math.PI * 2;
      var AB = (b - a + PI2) % PI2;
      var AC = (c - a + PI2) % PI2;
      return AB <= Math.PI !== AC > AB;
    }
    /**
     * Convert degrees to radians.
     * @param d
     */

  }, {
    key: "degreesToRadians",
    value: function degreesToRadians(d) {
      return d * Math.PI / 180;
    }
    /**
     * Convert radians to degrees.
     * @param r
     */

  }, {
    key: "radiansToDegrees",
    value: function radiansToDegrees(r) {
      return r * 180 / Math.PI;
    }
    /**
     * Get the length of an arc between two points on a circle's perimeter.
     * @param C
     * @param r
     * @param A
     * @param B
     */

  }, {
    key: "getArcLength",
    value: function getArcLength(C, r, A, B) {
      var sweep = Utils.getSweep(C, A, B);
      return r * (2 * Math.PI) * (sweep / (2 * Math.PI));
    }
    /**
     * Get a dash offset for an arc, based on its length.
     * @param C
     * @param r
     * @param A
     * @param B
     * @param step
     */

  }, {
    key: "getArcDashOffset",
    value: function getArcDashOffset(C, r, A, B, step) {
      var del0 = Utils.getSweep(C, A, B);
      var len0 = Utils.getArcLength(C, r, A, B);
      var off0 = del0 < 0 ? len0 : 2 * Math.PI * C[2] - len0;
      return -off0 / 2 + step;
    }
    /**
     * Get a dash offset for an ellipse, based on its length.
     * @param A
     * @param step
     */

  }, {
    key: "getEllipseDashOffset",
    value: function getEllipseDashOffset(A, step) {
      var c = 2 * Math.PI * A[2];
      return -c / 2 + -step;
    }
    /* --------------- Curves and Splines --------------- */

    /**
     * Get bezier curve segments that pass through an array of points.
     * @param points
     * @param tension
     */

  }, {
    key: "getTLBezierCurveSegments",
    value: function getTLBezierCurveSegments(points) {
      var tension = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0.4;
      var len = points.length;

      var cpoints = _toConsumableArray(points);

      if (len < 2) {
        throw Error('Curve must have at least two points.');
      }

      for (var i = 1; i < len - 1; i++) {
        var p0 = points[i - 1];
        var p1 = points[i];
        var p2 = points[i + 1];
        var pdx = p2[0] - p0[0];
        var pdy = p2[1] - p0[1];
        var pd = Math.hypot(pdx, pdy);
        var nx = pdx / pd; // normalized x

        var ny = pdy / pd; // normalized y

        var dp = Math.hypot(p1[0] - p0[0], p1[1] - p0[1]); // Distance to previous

        var dn = Math.hypot(p1[0] - p2[0], p1[1] - p2[1]); // Distance to next

        cpoints[i] = [// tangent start
        p1[0] - nx * dp * tension, p1[1] - ny * dp * tension, // tangent end
        p1[0] + nx * dn * tension, p1[1] + ny * dn * tension, // normal
        nx, ny];
      } // TODO: Reflect the nearest control points, not average them


      var d0 = Math.hypot(points[0][0] + cpoints[1][0]);
      cpoints[0][2] = (points[0][0] + cpoints[1][0]) / 2;
      cpoints[0][3] = (points[0][1] + cpoints[1][1]) / 2;
      cpoints[0][4] = (cpoints[1][0] - points[0][0]) / d0;
      cpoints[0][5] = (cpoints[1][1] - points[0][1]) / d0;
      var d1 = Math.hypot(points[len - 1][1] + cpoints[len - 1][1]);
      cpoints[len - 1][0] = (points[len - 1][0] + cpoints[len - 2][2]) / 2;
      cpoints[len - 1][1] = (points[len - 1][1] + cpoints[len - 2][3]) / 2;
      cpoints[len - 1][4] = (cpoints[len - 2][2] - points[len - 1][0]) / -d1;
      cpoints[len - 1][5] = (cpoints[len - 2][3] - points[len - 1][1]) / -d1;
      var results = [];

      for (var _i = 1; _i < cpoints.length; _i++) {
        results.push({
          start: points[_i - 1].slice(0, 2),
          tangentStart: cpoints[_i - 1].slice(2, 4),
          normalStart: cpoints[_i - 1].slice(4, 6),
          pressureStart: 2 + ((_i - 1) % 2 === 0 ? 1.5 : 0),
          end: points[_i].slice(0, 2),
          tangentEnd: cpoints[_i].slice(0, 2),
          normalEnd: cpoints[_i].slice(4, 6),
          pressureEnd: 2 + (_i % 2 === 0 ? 1.5 : 0)
        });
      }

      return results;
    }
    /**
     * Find a point along a curve segment, via pomax.
     * @param t
     * @param points [cpx1, cpy1, cpx2, cpy2, px, py][]
     */

  }, {
    key: "computePointOnCurve",
    value: function computePointOnCurve(t, points) {
      // shortcuts
      if (t === 0) {
        return points[0];
      }

      var order = points.length - 1;

      if (t === 1) {
        return points[order];
      }

      var mt = 1 - t;
      var p = points; // constant?

      if (order === 0) {
        return points[0];
      } // linear?


      if (order === 1) {
        return [mt * p[0][0] + t * p[1][0], mt * p[0][1] + t * p[1][1]];
      } // quadratic/cubic curve?
      // if (order < 4) {


      var mt2 = mt * mt;
      var t2 = t * t;
      var a;
      var b;
      var c;
      var d = 0;

      if (order === 2) {
        p = [p[0], p[1], p[2], [0, 0]];
        a = mt2;
        b = mt * t * 2;
        c = t2; // } else if (order === 3) {
      } else {
        a = mt2 * mt;
        b = mt2 * t * 3;
        c = mt * t2 * 3;
        d = t * t2;
      }

      return [a * p[0][0] + b * p[1][0] + c * p[2][0] + d * p[3][0], a * p[0][1] + b * p[1][1] + c * p[2][1] + d * p[3][1]]; // } // higher order curves: use de Casteljau's computation
    }
    /**
     * Evaluate a 2d cubic bezier at a point t on the x axis.
     * @param tx
     * @param x1
     * @param y1
     * @param x2
     * @param y2
     */

  }, {
    key: "cubicBezier",
    value: function cubicBezier(tx, x1, y1, x2, y2) {
      // Inspired by Don Lancaster's two articles
      // http://www.tinaja.com/glib/cubemath.pdf
      // http://www.tinaja.com/text/bezmath.html
      // Set start and end point
      var x0 = 0;
      var y0 = 0;
      var x3 = 1;
      var y3 = 1; // Convert the coordinates to equation space

      var A = x3 - 3 * x2 + 3 * x1 - x0;
      var B = 3 * x2 - 6 * x1 + 3 * x0;
      var C = 3 * x1 - 3 * x0;
      var D = x0;
      var E = y3 - 3 * y2 + 3 * y1 - y0;
      var F = 3 * y2 - 6 * y1 + 3 * y0;
      var G = 3 * y1 - 3 * y0;
      var H = y0; // Variables for the loop below

      var iterations = 5;
      var i;
      var slope;
      var x;
      var t = tx; // Loop through a few times to get a more accurate time value, according to the Newton-Raphson method
      // http://en.wikipedia.org/wiki/Newton's_method

      for (i = 0; i < iterations; i++) {
        // The curve's x equation for the current time value
        x = A * t * t * t + B * t * t + C * t + D; // The slope we want is the inverse of the derivate of x

        slope = 1 / (3 * A * t * t + 2 * B * t + C); // Get the next estimated time value, which will be more accurate than the one before

        t -= (x - tx) * slope;
        t = t > 1 ? 1 : t < 0 ? 0 : t;
      } // Find the y value through the curve's y equation, with the now more accurate time value


      return Math.abs(E * t * t * t + F * t * t + G * t * H);
    }
    /**
     * Get a bezier curve data for a spline that fits an array of points.
     * @param points An array of points formatted as [x, y]
     * @param k Tension
     */

  }, {
    key: "getSpline",
    value: function getSpline(pts) {
      var k = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0.5;
      var p0;

      var _pts2 = _slicedToArray(pts, 3),
          p1 = _pts2[0],
          p2 = _pts2[1],
          p3 = _pts2[2];

      var results = [];

      for (var i = 1, len = pts.length; i < len; i++) {
        p0 = p1;
        p1 = p2;
        p2 = p3;
        p3 = pts[i + 2] ? pts[i + 2] : p2;
        results.push({
          cp1x: p1[0] + (p2[0] - p0[0]) / 6 * k,
          cp1y: p1[1] + (p2[1] - p0[1]) / 6 * k,
          cp2x: p2[0] - (p3[0] - p1[0]) / 6 * k,
          cp2y: p2[1] - (p3[1] - p1[1]) / 6 * k,
          px: pts[i][0],
          py: pts[i][1]
        });
      }

      return results;
    }
    /**
     * Get a bezier curve data for a spline that fits an array of points.
     * @param pts
     * @param tension
     * @param isClosed
     * @param numOfSegments
     */

  }, {
    key: "getCurvePoints",
    value: function getCurvePoints(pts) {
      var tension = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0.5;
      var isClosed = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      var numOfSegments = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 3;

      var _pts = _toConsumableArray(pts);

      var len = pts.length;
      var res = []; // results

      var t1x, // tension vectors
      t2x, t1y, t2y, c1, // cardinal points
      c2, c3, c4, st, st2, st3; // The algorithm require a previous and next point to the actual point array.
      // Check if we will draw closed or open curve.
      // If closed, copy end points to beginning and first points to end
      // If open, duplicate first points to befinning, end points to end

      if (isClosed) {
        _pts.unshift(_pts[len - 1]);

        _pts.push(_pts[0]);
      } else {
        // copy 1. point and insert at beginning
        _pts.unshift(_pts[0]);

        _pts.push(_pts[len - 1]); // _pts.push(_pts[len - 1])

      } // For each point, calculate a segment


      for (var i = 1; i < _pts.length - 2; i++) {
        // Calculate points along segment and add to results
        for (var t = 0; t <= numOfSegments; t++) {
          // Step
          st = t / numOfSegments;
          st2 = Math.pow(st, 2);
          st3 = Math.pow(st, 3); // Cardinals

          c1 = 2 * st3 - 3 * st2 + 1;
          c2 = -(2 * st3) + 3 * st2;
          c3 = st3 - 2 * st2 + st;
          c4 = st3 - st2; // Tension

          t1x = (_pts[i + 1][0] - _pts[i - 1][0]) * tension;
          t2x = (_pts[i + 2][0] - _pts[i][0]) * tension;
          t1y = (_pts[i + 1][1] - _pts[i - 1][1]) * tension;
          t2y = (_pts[i + 2][1] - _pts[i][1]) * tension; // Control points

          res.push([c1 * _pts[i][0] + c2 * _pts[i + 1][0] + c3 * t1x + c4 * t2x, c1 * _pts[i][1] + c2 * _pts[i + 1][1] + c3 * t1y + c4 * t2y]);
        }
      }

      res.push(pts[pts.length - 1]);
      return res;
    }
    /**
     * Simplify a line (using Ramer-Douglas-Peucker algorithm).
     * @param points An array of points as [x, y, ...][]
     * @param tolerance The minimum line distance (also called epsilon).
     * @returns Simplified array as [x, y, ...][]
     */

  }, {
    key: "simplify",
    value: function simplify(points) {
      var tolerance = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
      var len = points.length;
      var a = points[0];
      var b = points[len - 1];

      var _a = _slicedToArray(a, 2),
          x1 = _a[0],
          y1 = _a[1];

      var _b = _slicedToArray(b, 2),
          x2 = _b[0],
          y2 = _b[1];

      if (len > 2) {
        var distance = 0;
        var index = 0;
        var max = Math.hypot(y2 - y1, x2 - x1);

        for (var i = 1; i < len - 1; i++) {
          var _points$i = _slicedToArray(points[i], 2),
              x0 = _points$i[0],
              y0 = _points$i[1];

          var d = Math.abs((y2 - y1) * x0 - (x2 - x1) * y0 + x2 * y1 - y2 * x1) / max;
          if (distance > d) continue;
          distance = d;
          index = i;
        }

        if (distance > tolerance) {
          var l0 = Utils.simplify(points.slice(0, index + 1), tolerance);
          var l1 = Utils.simplify(points.slice(index + 1), tolerance);
          return l0.concat(l1.slice(1));
        }
      }

      return [a, b];
    }
    /**
     * Get whether a point is inside of a circle.
     * @param A
     * @param b
     * @returns
     */

  }, {
    key: "pointInCircle",
    value: function pointInCircle(A, C, r) {
      return Vec.dist(A, C) <= r;
    }
    /**
     * Get whether a point is inside of an ellipse.
     * @param point
     * @param center
     * @param rx
     * @param ry
     * @param rotation
     * @returns
     */

  }, {
    key: "pointInEllipse",
    value: function pointInEllipse(A, C, rx, ry) {
      var rotation = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;
      rotation = rotation || 0;
      var cos = Math.cos(rotation);
      var sin = Math.sin(rotation);
      var delta = Vec.sub(A, C);
      var tdx = cos * delta[0] + sin * delta[1];
      var tdy = sin * delta[0] - cos * delta[1];
      return tdx * tdx / (rx * rx) + tdy * tdy / (ry * ry) <= 1;
    }
    /**
     * Get whether a point is inside of a rectangle.
     * @param point
     * @param size
     */

  }, {
    key: "pointInRect",
    value: function pointInRect(point, size) {
      return !(point[0] < size[0] || point[0] > point[0] + size[0] || point[1] < size[1] || point[1] > point[1] + size[1]);
    }
    /* --------------------- Bounds --------------------- */

    /**
     * Expand a bounding box by a delta.
     *
     * ### Example
     *
     *```ts
     * expandBounds(myBounds, [100, 100])
     *```
     */

  }, {
    key: "expandBounds",
    value: function expandBounds(bounds, delta) {
      return {
        minX: bounds.minX - delta,
        minY: bounds.minY - delta,
        maxX: bounds.maxX + delta,
        maxY: bounds.maxY + delta,
        width: bounds.width + delta * 2,
        height: bounds.height + delta * 2
      };
    }
    /**
     * Get whether a point is inside of a bounds.
     * @param A
     * @param b
     * @returns
     */

  }, {
    key: "pointInBounds",
    value: function pointInBounds(A, b) {
      return !(A[0] < b.minX || A[0] > b.maxX || A[1] < b.minY || A[1] > b.maxY);
    }
    /**
     * Get whether two bounds collide.
     * @param a Bounds
     * @param b Bounds
     * @returns
     */

  }, {
    key: "boundsCollide",
    value: function boundsCollide(a, b) {
      return !(a.maxX < b.minX || a.minX > b.maxX || a.maxY < b.minY || a.minY > b.maxY);
    }
    /**
     * Get whether the bounds of A contain the bounds of B. A perfect match will return true.
     * @param a Bounds
     * @param b Bounds
     * @returns
     */

  }, {
    key: "boundsContain",
    value: function boundsContain(a, b) {
      return a.minX < b.minX && a.minY < b.minY && a.maxY > b.maxY && a.maxX > b.maxX;
    }
    /**
     * Get whether the bounds of A are contained by the bounds of B.
     * @param a Bounds
     * @param b Bounds
     * @returns
     */

  }, {
    key: "boundsContained",
    value: function boundsContained(a, b) {
      return Utils.boundsContain(b, a);
    }
    /**
     * Get whether two bounds are identical.
     * @param a Bounds
     * @param b Bounds
     * @returns
     */

  }, {
    key: "boundsAreEqual",
    value: function boundsAreEqual(a, b) {
      return !(b.maxX !== a.maxX || b.minX !== a.minX || b.maxY !== a.maxY || b.minY !== a.minY);
    }
    /**
     * Find a bounding box from an array of points.
     * @param points
     * @param rotation (optional) The bounding box's rotation.
     */

  }, {
    key: "getBoundsFromPoints",
    value: function getBoundsFromPoints(points) {
      var rotation = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      var minX = Infinity;
      var minY = Infinity;
      var maxX = -Infinity;
      var maxY = -Infinity;

      if (points.length < 2) {
        minX = 0;
        minY = 0;
        maxX = 1;
        maxY = 1;
      } else {
        var _iterator = _createForOfIteratorHelper(points),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var _step$value = _slicedToArray(_step.value, 2),
                x = _step$value[0],
                y = _step$value[1];

            minX = Math.min(x, minX);
            minY = Math.min(y, minY);
            maxX = Math.max(x, maxX);
            maxY = Math.max(y, maxY);
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }
      }

      if (rotation !== 0) {
        return Utils.getBoundsFromPoints(points.map(function (pt) {
          return Vec.rotWith(pt, [(minX + maxX) / 2, (minY + maxY) / 2], rotation);
        }));
      }

      return {
        minX: minX,
        minY: minY,
        maxX: maxX,
        maxY: maxY,
        width: Math.max(1, maxX - minX),
        height: Math.max(1, maxY - minY)
      };
    }
    /**
     * Move a bounding box without recalculating it.
     * @param bounds
     * @param delta
     * @returns
     */

  }, {
    key: "translateBounds",
    value: function translateBounds(bounds, delta) {
      return {
        minX: bounds.minX + delta[0],
        minY: bounds.minY + delta[1],
        maxX: bounds.maxX + delta[0],
        maxY: bounds.maxY + delta[1],
        width: bounds.width,
        height: bounds.height
      };
    }
    /**
     * Rotate a bounding box.
     * @param bounds
     * @param center
     * @param rotation
     */

  }, {
    key: "rotateBounds",
    value: function rotateBounds(bounds, center, rotation) {
      var _vec$rotWith = Vec.rotWith([bounds.minX, bounds.minY], center, rotation),
          _vec$rotWith2 = _slicedToArray(_vec$rotWith, 2),
          minX = _vec$rotWith2[0],
          minY = _vec$rotWith2[1];

      var _vec$rotWith3 = Vec.rotWith([bounds.maxX, bounds.maxY], center, rotation),
          _vec$rotWith4 = _slicedToArray(_vec$rotWith3, 2),
          maxX = _vec$rotWith4[0],
          maxY = _vec$rotWith4[1];

      return {
        minX: minX,
        minY: minY,
        maxX: maxX,
        maxY: maxY,
        width: bounds.width,
        height: bounds.height
      };
    }
    /**
     * Get the rotated bounds of an ellipse.
     * @param x
     * @param y
     * @param rx
     * @param ry
     * @param rotation
     */

  }, {
    key: "getRotatedEllipseBounds",
    value: function getRotatedEllipseBounds(x, y, rx, ry, rotation) {
      var c = Math.cos(rotation);
      var s = Math.sin(rotation);
      var w = Math.hypot(rx * c, ry * s);
      var h = Math.hypot(rx * s, ry * c);
      return {
        minX: x + rx - w,
        minY: y + ry - h,
        maxX: x + rx + w,
        maxY: y + ry + h,
        width: w * 2,
        height: h * 2
      };
    }
    /**
     * Get a bounding box that includes two bounding boxes.
     * @param a Bounding box
     * @param b Bounding box
     * @returns
     */

  }, {
    key: "getExpandedBounds",
    value: function getExpandedBounds(a, b) {
      var minX = Math.min(a.minX, b.minX);
      var minY = Math.min(a.minY, b.minY);
      var maxX = Math.max(a.maxX, b.maxX);
      var maxY = Math.max(a.maxY, b.maxY);
      var width = Math.abs(maxX - minX);
      var height = Math.abs(maxY - minY);
      return {
        minX: minX,
        minY: minY,
        maxX: maxX,
        maxY: maxY,
        width: width,
        height: height
      };
    }
    /**
     * Get the common bounds of a group of bounds.
     * @returns
     */

  }, {
    key: "getCommonBounds",
    value: function getCommonBounds() {
      if (arguments.length < 2) return arguments.length <= 0 ? undefined : arguments[0];
      var bounds = arguments.length <= 0 ? undefined : arguments[0];

      for (var i = 1; i < arguments.length; i++) {
        bounds = Utils.getExpandedBounds(bounds, i < 0 || arguments.length <= i ? undefined : arguments[i]);
      }

      return bounds;
    }
  }, {
    key: "getRotatedCorners",
    value: function getRotatedCorners(b) {
      var rotation = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      var center = [b.minX + b.width / 2, b.minY + b.height / 2];
      return [[b.minX, b.minY], [b.maxX, b.minY], [b.maxX, b.maxY], [b.minX, b.maxY]].map(function (point) {
        return Vec.rotWith(point, center, rotation);
      });
    }
  }, {
    key: "getTransformedBoundingBox",
    value: function getTransformedBoundingBox(bounds, handle, delta) {
      var rotation = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
      var isAspectRatioLocked = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
      // Create top left and bottom right corners.
      var _ref = [bounds.minX, bounds.minY],
          ax0 = _ref[0],
          ay0 = _ref[1];
      var _ref2 = [bounds.maxX, bounds.maxY],
          ax1 = _ref2[0],
          ay1 = _ref2[1]; // Create a second set of corners for the new box.

      var _ref3 = [bounds.minX, bounds.minY],
          bx0 = _ref3[0],
          by0 = _ref3[1];
      var _ref4 = [bounds.maxX, bounds.maxY],
          bx1 = _ref4[0],
          by1 = _ref4[1]; // If the drag is on the center, just translate the bounds.

      if (handle === 'center') {
        return {
          minX: bx0 + delta[0],
          minY: by0 + delta[1],
          maxX: bx1 + delta[0],
          maxY: by1 + delta[1],
          width: bx1 - bx0,
          height: by1 - by0,
          scaleX: 1,
          scaleY: 1
        };
      } // Counter rotate the delta. This lets us make changes as if
      // the (possibly rotated) boxes were axis aligned.


      var _vec$rot = Vec.rot(delta, -rotation),
          _vec$rot2 = _slicedToArray(_vec$rot, 2),
          dx = _vec$rot2[0],
          dy = _vec$rot2[1];
      /*
      1. Delta
         Use the delta to adjust the new box by changing its corners.
      The dragging handle (corner or edge) will determine which
      corners should change.
      */


      switch (handle) {
        case TLBoundsEdge.Top:
        case TLBoundsCorner.TopLeft:
        case TLBoundsCorner.TopRight:
          {
            by0 += dy;
            break;
          }

        case TLBoundsEdge.Bottom:
        case TLBoundsCorner.BottomLeft:
        case TLBoundsCorner.BottomRight:
          {
            by1 += dy;
            break;
          }
      }

      switch (handle) {
        case TLBoundsEdge.Left:
        case TLBoundsCorner.TopLeft:
        case TLBoundsCorner.BottomLeft:
          {
            bx0 += dx;
            break;
          }

        case TLBoundsEdge.Right:
        case TLBoundsCorner.TopRight:
        case TLBoundsCorner.BottomRight:
          {
            bx1 += dx;
            break;
          }
      }

      var aw = ax1 - ax0;
      var ah = ay1 - ay0;
      var scaleX = (bx1 - bx0) / aw;
      var scaleY = (by1 - by0) / ah;
      var flipX = scaleX < 0;
      var flipY = scaleY < 0;
      var bw = Math.abs(bx1 - bx0);
      var bh = Math.abs(by1 - by0);
      /*
      2. Aspect ratio
         If the aspect ratio is locked, adjust the corners so that the
      new box's aspect ratio matches the original aspect ratio.
      */

      if (isAspectRatioLocked) {
        var ar = aw / ah;
        var isTall = ar < bw / bh;
        var tw = bw * (scaleY < 0 ? 1 : -1) * (1 / ar);
        var th = bh * (scaleX < 0 ? 1 : -1) * ar;

        switch (handle) {
          case TLBoundsCorner.TopLeft:
            {
              if (isTall) by0 = by1 + tw;else bx0 = bx1 + th;
              break;
            }

          case TLBoundsCorner.TopRight:
            {
              if (isTall) by0 = by1 + tw;else bx1 = bx0 - th;
              break;
            }

          case TLBoundsCorner.BottomRight:
            {
              if (isTall) by1 = by0 - tw;else bx1 = bx0 - th;
              break;
            }

          case TLBoundsCorner.BottomLeft:
            {
              if (isTall) by1 = by0 - tw;else bx0 = bx1 + th;
              break;
            }

          case TLBoundsEdge.Bottom:
          case TLBoundsEdge.Top:
            {
              var m = (bx0 + bx1) / 2;
              var w = bh * ar;
              bx0 = m - w / 2;
              bx1 = m + w / 2;
              break;
            }

          case TLBoundsEdge.Left:
          case TLBoundsEdge.Right:
            {
              var _m = (by0 + by1) / 2;

              var h = bw / ar;
              by0 = _m - h / 2;
              by1 = _m + h / 2;
              break;
            }
        }
      }
      /*
      3. Rotation
         If the bounds are rotated, get a vector from the rotated anchor
      corner in the inital bounds to the rotated anchor corner in the
      result's bounds. Subtract this vector from the result's corners,
      so that the two anchor points (initial and result) will be equal.
      */


      if (rotation % (Math.PI * 2) !== 0) {
        var cv = [0, 0];
        var c0 = Vec.med([ax0, ay0], [ax1, ay1]);
        var c1 = Vec.med([bx0, by0], [bx1, by1]);

        switch (handle) {
          case TLBoundsCorner.TopLeft:
            {
              cv = Vec.sub(Vec.rotWith([bx1, by1], c1, rotation), Vec.rotWith([ax1, ay1], c0, rotation));
              break;
            }

          case TLBoundsCorner.TopRight:
            {
              cv = Vec.sub(Vec.rotWith([bx0, by1], c1, rotation), Vec.rotWith([ax0, ay1], c0, rotation));
              break;
            }

          case TLBoundsCorner.BottomRight:
            {
              cv = Vec.sub(Vec.rotWith([bx0, by0], c1, rotation), Vec.rotWith([ax0, ay0], c0, rotation));
              break;
            }

          case TLBoundsCorner.BottomLeft:
            {
              cv = Vec.sub(Vec.rotWith([bx1, by0], c1, rotation), Vec.rotWith([ax1, ay0], c0, rotation));
              break;
            }

          case TLBoundsEdge.Top:
            {
              cv = Vec.sub(Vec.rotWith(Vec.med([bx0, by1], [bx1, by1]), c1, rotation), Vec.rotWith(Vec.med([ax0, ay1], [ax1, ay1]), c0, rotation));
              break;
            }

          case TLBoundsEdge.Left:
            {
              cv = Vec.sub(Vec.rotWith(Vec.med([bx1, by0], [bx1, by1]), c1, rotation), Vec.rotWith(Vec.med([ax1, ay0], [ax1, ay1]), c0, rotation));
              break;
            }

          case TLBoundsEdge.Bottom:
            {
              cv = Vec.sub(Vec.rotWith(Vec.med([bx0, by0], [bx1, by0]), c1, rotation), Vec.rotWith(Vec.med([ax0, ay0], [ax1, ay0]), c0, rotation));
              break;
            }

          case TLBoundsEdge.Right:
            {
              cv = Vec.sub(Vec.rotWith(Vec.med([bx0, by0], [bx0, by1]), c1, rotation), Vec.rotWith(Vec.med([ax0, ay0], [ax0, ay1]), c0, rotation));
              break;
            }
        }

        var _vec$sub = Vec.sub([bx0, by0], cv);

        var _vec$sub2 = _slicedToArray(_vec$sub, 2);

        bx0 = _vec$sub2[0];
        by0 = _vec$sub2[1];

        var _vec$sub3 = Vec.sub([bx1, by1], cv);

        var _vec$sub4 = _slicedToArray(_vec$sub3, 2);

        bx1 = _vec$sub4[0];
        by1 = _vec$sub4[1];
      }
      /*
      4. Flips
         If the axes are flipped (e.g. if the right edge has been dragged
      left past the initial left edge) then swap points on that axis.
      */


      if (bx1 < bx0) {
        var _ref5 = [bx0, bx1];
        bx1 = _ref5[0];
        bx0 = _ref5[1];
      }

      if (by1 < by0) {
        var _ref6 = [by0, by1];
        by1 = _ref6[0];
        by0 = _ref6[1];
      }

      return {
        minX: bx0,
        minY: by0,
        maxX: bx1,
        maxY: by1,
        width: bx1 - bx0,
        height: by1 - by0,
        scaleX: (bx1 - bx0) / (ax1 - ax0 || 1) * (flipX ? -1 : 1),
        scaleY: (by1 - by0) / (ay1 - ay0 || 1) * (flipY ? -1 : 1)
      };
    }
  }, {
    key: "getTransformAnchor",
    value: function getTransformAnchor(type, isFlippedX, isFlippedY) {
      var anchor = type; // Change corner anchors if flipped

      switch (type) {
        case TLBoundsCorner.TopLeft:
          {
            if (isFlippedX && isFlippedY) {
              anchor = TLBoundsCorner.BottomRight;
            } else if (isFlippedX) {
              anchor = TLBoundsCorner.TopRight;
            } else if (isFlippedY) {
              anchor = TLBoundsCorner.BottomLeft;
            } else {
              anchor = TLBoundsCorner.BottomRight;
            }

            break;
          }

        case TLBoundsCorner.TopRight:
          {
            if (isFlippedX && isFlippedY) {
              anchor = TLBoundsCorner.BottomLeft;
            } else if (isFlippedX) {
              anchor = TLBoundsCorner.TopLeft;
            } else if (isFlippedY) {
              anchor = TLBoundsCorner.BottomRight;
            } else {
              anchor = TLBoundsCorner.BottomLeft;
            }

            break;
          }

        case TLBoundsCorner.BottomRight:
          {
            if (isFlippedX && isFlippedY) {
              anchor = TLBoundsCorner.TopLeft;
            } else if (isFlippedX) {
              anchor = TLBoundsCorner.BottomLeft;
            } else if (isFlippedY) {
              anchor = TLBoundsCorner.TopRight;
            } else {
              anchor = TLBoundsCorner.TopLeft;
            }

            break;
          }

        case TLBoundsCorner.BottomLeft:
          {
            if (isFlippedX && isFlippedY) {
              anchor = TLBoundsCorner.TopRight;
            } else if (isFlippedX) {
              anchor = TLBoundsCorner.BottomRight;
            } else if (isFlippedY) {
              anchor = TLBoundsCorner.TopLeft;
            } else {
              anchor = TLBoundsCorner.TopRight;
            }

            break;
          }
      }

      return anchor;
    }
    /**
     * Get the relative bounds (usually a child) within a transformed bounding box.
     * @param bounds
     * @param initialBounds
     * @param initialShapeBounds
     * @param isFlippedX
     * @param isFlippedY
     */

  }, {
    key: "getRelativeTransformedBoundingBox",
    value: function getRelativeTransformedBoundingBox(bounds, initialBounds, initialShapeBounds, isFlippedX, isFlippedY) {
      var nx = (isFlippedX ? initialBounds.maxX - initialShapeBounds.maxX : initialShapeBounds.minX - initialBounds.minX) / initialBounds.width;
      var ny = (isFlippedY ? initialBounds.maxY - initialShapeBounds.maxY : initialShapeBounds.minY - initialBounds.minY) / initialBounds.height;
      var nw = initialShapeBounds.width / initialBounds.width;
      var nh = initialShapeBounds.height / initialBounds.height;
      var minX = bounds.minX + bounds.width * nx;
      var minY = bounds.minY + bounds.height * ny;
      var width = bounds.width * nw;
      var height = bounds.height * nh;
      return {
        minX: minX,
        minY: minY,
        maxX: minX + width,
        maxY: minY + height,
        width: width,
        height: height
      };
    }
    /**
     * Get the size of a rotated box.
     * @param size : ;
     * @param rotation
     */

  }, {
    key: "getRotatedSize",
    value: function getRotatedSize(size, rotation) {
      var center = Vec.div(size, 2);
      var points = [[0, 0], [size[0], 0], size, [0, size[1]]].map(function (point) {
        return Vec.rotWith(point, center, rotation);
      });
      var bounds = Utils.getBoundsFromPoints(points);
      return [bounds.width, bounds.height];
    }
    /**
     * Get the center of a bounding box.
     * @param bounds
     */

  }, {
    key: "getBoundsCenter",
    value: function getBoundsCenter(bounds) {
      return [bounds.minX + bounds.width / 2, bounds.minY + bounds.height / 2];
    }
    /* -------------------------------------------------- */

    /*                Lists and Collections               */

    /* -------------------------------------------------- */

    /**
     *
     *
     * ### Example
     *
     *```ts
     * example
     *```
     */

  }, {
    key: "removeDuplicatePoints",
    value: function removeDuplicatePoints(points) {
      return points.reduce(function (acc, pt, i) {
        if (i === 0 || !Vec.isEqual(pt, acc[i - 1])) {
          acc.push(pt);
        }

        return acc;
      }, []);
    }
    /**
    // points =
     
    /**
    * Get a value from a cache (a WeakMap), filling the value if it is not present.
    *
    * ### Example
    *
    *```ts
    * getFromCache(boundsCache, shape, (cache) => cache.set(shape, "value"))
    *```
    */
    // eslint-disable-next-line @typescript-eslint/ban-types

  }, {
    key: "getFromCache",
    value: function getFromCache(cache, item, getNext) {
      var value = cache.get(item);

      if (value === undefined) {
        cache.set(item, getNext());
        value = cache.get(item);

        if (value === undefined) {
          throw Error('Cache did not include item!');
        }
      }

      return value;
    }
    /**
     * Get a unique string id.
     */

  }, {
    key: "uniqueId",
    value: function uniqueId() {
      var a = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      return a ?
      /* eslint-disable no-bitwise */
      ((Number(a) ^ Math.random() * 16) >> Number(a) / 4).toString(16) : "".concat(1e7, "-", 1e3, "-", 4e3, "-", 8e3, "-", 1e11).replace(/[018]/g, Utils.uniqueId);
    }
    /**
     * Shuffle the contents of an array.
     * @param arr
     * @param offset
     */

  }, {
    key: "shuffleArr",
    value: function shuffleArr(arr, offset) {
      return arr.map(function (_, i) {
        return arr[(i + offset) % arr.length];
      });
    }
    /**
     * Deep compare two arrays.
     * @param a
     * @param b
     */

  }, {
    key: "deepCompareArrays",
    value: function deepCompareArrays(a, b) {
      if ((a === null || a === void 0 ? void 0 : a.length) !== (b === null || b === void 0 ? void 0 : b.length)) return false;
      return Utils.deepCompare(a, b);
    }
    /**
     * Deep compare any values.
     * @param a
     * @param b
     */

  }, {
    key: "deepCompare",
    value: function deepCompare(a, b) {
      return a === b || JSON.stringify(a) === JSON.stringify(b);
    }
  }, {
    key: "arrsIntersect",
    value: function arrsIntersect(a, b, fn) {
      return a.some(function (item) {
        return b.includes(fn ? fn(item) : item);
      });
    }
    /**
     * Get the unique values from an array of strings or numbers.
     * @param items
     */

  }, {
    key: "uniqueArray",
    value: function uniqueArray() {
      for (var _len = arguments.length, items = new Array(_len), _key = 0; _key < _len; _key++) {
        items[_key] = arguments[_key];
      }

      return Array.from(new Set(items).values());
    }
    /**
     * Convert a set to an array.
     * @param set
     */

  }, {
    key: "setToArray",
    value: function setToArray(set) {
      return Array.from(set.values());
    }
    /**
     * Debounce a function.
     */

  }, {
    key: "debounce",
    value: function debounce(fn) {
      var ms = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      var timeoutId;
      return function () {
        for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
          args[_key2] = arguments[_key2];
        }

        clearTimeout(timeoutId);
        timeoutId = setTimeout(function () {
          return fn.apply(args);
        }, ms);
      };
    }
    /**
     * Turn an array of points into a path of quadradic curves.
     * @param stroke ;
     */

  }, {
    key: "getSvgPathFromStroke",
    value: function getSvgPathFromStroke(stroke) {
      if (!stroke.length) return '';
      var d = stroke.reduce(function (acc, _ref7, i, arr) {
        var _ref8 = _slicedToArray(_ref7, 2),
            x0 = _ref8[0],
            y0 = _ref8[1];

        var _arr = _slicedToArray(arr[(i + 1) % arr.length], 2),
            x1 = _arr[0],
            y1 = _arr[1];

        acc.push(" ".concat(x0, ",").concat(y0, " ").concat((x0 + x1) / 2, ",").concat((y0 + y1) / 2));
        return acc;
      }, ['M ', "".concat(stroke[0][0], ",").concat(stroke[0][1]), ' Q']);
      d.push(' Z');
      return d.join('').replaceAll(/(\s?[A-Z]?,?-?[0-9]*\.[0-9]{0,2})(([0-9]|e|-)*)/g, '$1');
    }
    /* -------------------------------------------------- */

    /*                   Browser and DOM                  */

    /* -------------------------------------------------- */

    /**
     * Find whether the current display is a touch display.
     */

  }, {
    key: "isTouchDisplay",
    value: function isTouchDisplay() {
      return 'ontouchstart' in window || navigator.maxTouchPoints > 0 || navigator.msMaxTouchPoints > 0;
    }
    /**
     * Find whether the current device is a Mac / iOS / iPadOS.
     */

  }, {
    key: "isDarwin",
    value: function isDarwin() {
      return /Mac|iPod|iPhone|iPad/.test(window.navigator.platform);
    }
    /**
     * Get whether the current device is a mobile device.
     */

  }, {
    key: "isMobile",
    value: function isMobile() {
      return false; // _isMobile().any
    }
    /**
     * Get whether an event is command (mac) or control (pc).
     * @param e
     */

  }, {
    key: "metaKey",
    value: function metaKey(e) {
      return Utils.isDarwin() ? e.metaKey : e.ctrlKey;
    }
    /**
     * Find the closest point on a SVG path to an off-path point.
     * @param pathNode
     * @param point
     * @returns
     */

  }, {
    key: "getClosestPointOnSVGPath",
    value: function getClosestPointOnSVGPath(pathNode, point) {
      function distance2(p, point) {
        var dx = p.x - point[0];
        var dy = p.y - point[1];
        return dx * dx + dy * dy;
      }

      var pathLen = pathNode.getTotalLength();
      var p = 8;
      var best = {};
      var bestLen = Infinity;
      var bestDist = Infinity;
      var bl = 0;
      var al = 0; // linear scan for coarse approximation

      for (var scan, scanLen = 0, scanDist; scanLen <= pathLen; scanLen += p) {
        if ((scanDist = distance2(scan = pathNode.getPointAtLength(scanLen), point)) < bestDist) {
          best = scan;
          bestLen = scanLen;
          bestDist = scanDist;
        }
      } // binary search for precise estimate


      p /= 2;

      while (p > 0.5) {
        var before = void 0,
            after = void 0,
            bd = void 0,
            ad = void 0;

        if ((bl = bestLen - p) >= 0 && (bd = distance2(before = pathNode.getPointAtLength(bl), point)) < bestDist) {
          best = before;
          bestLen = bl;
          bestDist = bd;
        } else if ((al = bestLen + p) <= pathLen && (ad = distance2(after = pathNode.getPointAtLength(al), point)) < bestDist) {
          best = after;
          bestLen = al;
          bestDist = ad;
        } else {
          p /= 2;
        }
      }

      return {
        point: [best.x, best.y],
        distance: bestDist,
        length: (bl + al) / 2,
        t: (bl + al) / 2 / pathLen
      };
    }
  }]);

  return Utils;
}();

var $filter = arrayIteration.filter;


var HAS_SPECIES_SUPPORT$2 = arrayMethodHasSpeciesSupport('filter');

// `Array.prototype.filter` method
// https://tc39.es/ecma262/#sec-array.prototype.filter
// with adding support of @@species
_export({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT$2 }, {
  filter: function filter(callbackfn /* , thisArg */) {
    return $filter(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});

// `FlattenIntoArray` abstract operation
// https://tc39.github.io/proposal-flatMap/#sec-FlattenIntoArray
var flattenIntoArray = function (target, original, source, sourceLen, start, depth, mapper, thisArg) {
  var targetIndex = start;
  var sourceIndex = 0;
  var mapFn = mapper ? functionBindContext(mapper, thisArg, 3) : false;
  var element;

  while (sourceIndex < sourceLen) {
    if (sourceIndex in source) {
      element = mapFn ? mapFn(source[sourceIndex], sourceIndex, original) : source[sourceIndex];

      if (depth > 0 && isArray(element)) {
        targetIndex = flattenIntoArray(target, original, element, toLength(element.length), targetIndex, depth - 1) - 1;
      } else {
        if (targetIndex >= 0x1FFFFFFFFFFFFF) throw TypeError('Exceed the acceptable array length');
        target[targetIndex] = element;
      }

      targetIndex++;
    }
    sourceIndex++;
  }
  return targetIndex;
};

var flattenIntoArray_1 = flattenIntoArray;

// `Array.prototype.flatMap` method
// https://tc39.es/ecma262/#sec-array.prototype.flatmap
_export({ target: 'Array', proto: true }, {
  flatMap: function flatMap(callbackfn /* , thisArg */) {
    var O = toObject(this);
    var sourceLen = toLength(O.length);
    var A;
    aFunction$1(callbackfn);
    A = arraySpeciesCreate(O, 0);
    A.length = flattenIntoArray_1(A, O, O, sourceLen, 0, 1, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
    return A;
  }
});

// this method was added to unscopables after implementation
// in popular engines, so it's moved to a separate module


// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
addToUnscopables('flatMap');

var globalIsFinite = global_1.isFinite;

// `Number.isFinite` method
// https://tc39.es/ecma262/#sec-number.isfinite
// eslint-disable-next-line es/no-number-isfinite -- safe
var numberIsFinite = Number.isFinite || function isFinite(it) {
  return typeof it == 'number' && globalIsFinite(it);
};

// `Number.isFinite` method
// https://tc39.es/ecma262/#sec-number.isfinite
_export({ target: 'Number', stat: true }, { isFinite: numberIsFinite });

/* ----------------- Start Copy Here ---------------- */

function getIntersection(message) {
  for (var _len = arguments.length, points = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    points[_key - 1] = arguments[_key];
  }

  var didIntersect = points.length > 0;
  return {
    didIntersect: didIntersect,
    message: message,
    points: points
  };
}

var Intersect = function Intersect() {
  _classCallCheck(this, Intersect);
};
Intersect.ray = {
  // Intersect a ray with a ray.
  ray: function ray(p0, n0, p1, n1) {
    var dx = p1[0] - p0[0];
    var dy = p1[1] - p0[1];
    var det = n1[0] * n0[1] - n1[1] * n0[0];
    var u = (dy * n1[0] - dx * n1[1]) / det;
    var v = (dy * n0[0] - dx * n0[1]) / det;
    if (u < 0 || v < 0) return getIntersection('miss');
    var m0 = n0[1] / n0[0];
    var m1 = n1[1] / n1[0];
    var b0 = p0[1] - m0 * p0[0];
    var b1 = p1[1] - m1 * p1[0];
    var x = (b1 - b0) / (m0 - m1);
    var y = m0 * x + b0;
    return Number.isFinite(x) ? getIntersection('intersection', [x, y]) : getIntersection('parallel');
  },
  // Interseg a ray with a line segment.
  lineSegment: function lineSegment(origin, direction, a1, a2) {
    var _origin = _slicedToArray(origin, 2),
        x = _origin[0],
        y = _origin[1];

    var _direction = _slicedToArray(direction, 2),
        dx = _direction[0],
        dy = _direction[1];

    var _a = _slicedToArray(a1, 2),
        x1 = _a[0],
        y1 = _a[1];

    var _a2 = _slicedToArray(a2, 2),
        x2 = _a2[0],
        y2 = _a2[1];

    if (dy / dx !== (y2 - y1) / (x2 - x1)) {
      var d = dx * (y2 - y1) - dy * (x2 - x1);

      if (d !== 0) {
        var r = ((y - y1) * (x2 - x1) - (x - x1) * (y2 - y1)) / d;
        var s = ((y - y1) * dx - (x - x1) * dy) / d;

        if (r >= 0 && s >= 0 && s <= 1) {
          return getIntersection('intersection', [x + r * dx, y + r * dy]);
        }
      }
    }

    return getIntersection('no intersection');
  },
  // Intersect a ray with a rectangle.
  rectangle: function rectangle(origin, direction, point, size) {
    return Intersect.rectangle.ray(point, size, origin, direction);
  },
  // Intersect a ray with an ellipse.
  ellipse: function ellipse(origin, direction, center, rx, ry, rotation) {
    var a1 = origin;
    var a2 = Vec.mul(direction, 999999999);
    return Intersect.lineSegment.ellipse(a1, a2, center, rx, ry, rotation);
  },
  // Intersect a ray with a bounding box.
  bounds: function bounds(origin, direction, _bounds) {
    var minX = _bounds.minX,
        minY = _bounds.minY,
        width = _bounds.width,
        height = _bounds.height;
    return Intersect.ray.rectangle(origin, direction, [minX, minY], [width, height]);
  }
};
Intersect.lineSegment = {
  // Intersect a line segment with a ray.
  ray: function ray(a1, a2, origin, direction) {
    return Intersect.ray.lineSegment(origin, direction, a1, a2);
  },
  // Intersect a line segment with a line segment.
  lineSegment: function lineSegment(a1, a2, b1, b2) {
    var AB = Vec.sub(a1, b1);
    var BV = Vec.sub(b2, b1);
    var AV = Vec.sub(a2, a1);
    var ua_t = BV[0] * AB[1] - BV[1] * AB[0];
    var ub_t = AV[0] * AB[1] - AV[1] * AB[0];
    var u_b = BV[1] * AV[0] - BV[0] * AV[1];

    if (ua_t === 0 || ub_t === 0) {
      return getIntersection('coincident');
    }

    if (u_b === 0) {
      return getIntersection('parallel');
    }

    if (u_b !== 0) {
      var ua = ua_t / u_b;
      var ub = ub_t / u_b;

      if (0 <= ua && ua <= 1 && 0 <= ub && ub <= 1) {
        return getIntersection('intersection', Vec.add(a1, Vec.mul(AV, ua)));
      }
    }

    return getIntersection('no intersection');
  },
  // Intersect a line segment with a rectangle
  rectangle: function rectangle(a1, a2, point, size) {
    return Intersect.rectangle.lineSegment(point, size, a1, a2);
  },
  // Intersect a line segment with an arc.
  arc: function arc(a1, a2, center, radius, start, end) {
    var sa = Vec.angle(center, start);
    var ea = Vec.angle(center, end);
    var ellipseTest = Intersect.ellipse.lineSegment(center, radius, radius, 0, a1, a2);
    if (!ellipseTest.didIntersect) return getIntersection('No intersection');
    var points = ellipseTest.points.filter(function (point) {
      return Utils.isAngleBetween(sa, ea, Vec.angle(center, point));
    });

    if (points.length === 0) {
      return getIntersection('No intersection');
    }

    return getIntersection.apply(void 0, ['intersection'].concat(_toConsumableArray(points)));
  },
  // Intersect a line segment with a circle.
  circle: function circle(a1, a2, c, r) {
    var a = (a2[0] - a1[0]) * (a2[0] - a1[0]) + (a2[1] - a1[1]) * (a2[1] - a1[1]);
    var b = 2 * ((a2[0] - a1[0]) * (a1[0] - c[0]) + (a2[1] - a1[1]) * (a1[1] - c[1]));
    var cc = c[0] * c[0] + c[1] * c[1] + a1[0] * a1[0] + a1[1] * a1[1] - 2 * (c[0] * a1[0] + c[1] * a1[1]) - r * r;
    var deter = b * b - 4 * a * cc;

    if (deter < 0) {
      return getIntersection('outside');
    }

    if (deter === 0) {
      return getIntersection('tangent');
    }

    var e = Math.sqrt(deter);
    var u1 = (-b + e) / (2 * a);
    var u2 = (-b - e) / (2 * a);

    if ((u1 < 0 || u1 > 1) && (u2 < 0 || u2 > 1)) {
      if (u1 < 0 && u2 < 0 || u1 > 1 && u2 > 1) {
        return getIntersection('outside');
      } else {
        return getIntersection('inside');
      }
    }

    var results = [];
    if (0 <= u1 && u1 <= 1) results.push(Vec.lrp(a1, a2, u1));
    if (0 <= u2 && u2 <= 1) results.push(Vec.lrp(a1, a2, u2));
    return getIntersection.apply(void 0, ['intersection'].concat(results));
  },
  // Intersect a line segment with an ellipse.
  ellipse: function ellipse(a1, a2, center, rx, ry) {
    var rotation = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : 0;

    // If the ellipse or line segment are empty, return no tValues.
    if (rx === 0 || ry === 0 || Vec.isEqual(a1, a2)) {
      return getIntersection('No intersection');
    } // Get the semimajor and semiminor axes.


    rx = rx < 0 ? rx : -rx;
    ry = ry < 0 ? ry : -ry; // Rotate points and translate so the ellipse is centered at the origin.

    a1 = Vec.sub(Vec.rotWith(a1, center, -rotation), center);
    a2 = Vec.sub(Vec.rotWith(a2, center, -rotation), center); // Calculate the quadratic parameters.

    var diff = Vec.sub(a2, a1);
    var A = diff[0] * diff[0] / rx / rx + diff[1] * diff[1] / ry / ry;
    var B = 2 * a1[0] * diff[0] / rx / rx + 2 * a1[1] * diff[1] / ry / ry;
    var C = a1[0] * a1[0] / rx / rx + a1[1] * a1[1] / ry / ry - 1; // Make a list of t values (normalized points on the line where intersections occur).

    var tValues = []; // Calculate the discriminant.

    var discriminant = B * B - 4 * A * C;

    if (discriminant === 0) {
      // One real solution.
      tValues.push(-B / 2 / A);
    } else if (discriminant > 0) {
      var root = Math.sqrt(discriminant); // Two real solutions.

      tValues.push((-B + root) / 2 / A);
      tValues.push((-B - root) / 2 / A);
    } // Filter to only points that are on the segment.
    // Solve for points, then counter-rotate points.


    var points = tValues.filter(function (t) {
      return t >= 0 && t <= 1;
    }).map(function (t) {
      return Vec.add(center, Vec.add(a1, Vec.mul(Vec.sub(a2, a1), t)));
    }).map(function (p) {
      return Vec.rotWith(p, center, rotation);
    });
    return getIntersection.apply(void 0, ['intersection'].concat(_toConsumableArray(points)));
  },
  // Intersect a line segment with a bounding box.
  bounds: function bounds(a1, a2, _bounds2) {
    return Intersect.bounds.lineSegment(_bounds2, a1, a2);
  },
  // Intersect a line segment with a polyline
  polyline: function polyline(a1, a2, points) {
    var intersections = [];

    for (var i = 1; i < points.length; i++) {
      var _int = Intersect.lineSegment.lineSegment(a1, a2, points[i - 1], points[i]);

      if (_int) {
        intersections.push(_int);
      }
    }

    return intersections;
  }
};
Intersect.rectangle = {
  // Intersect a rectangle with a ray.
  ray: function ray(point, size, origin, direction) {
    var sideIntersections = Utils.getRectangleSides(point, size).reduce(function (acc, _ref) {
      var _ref2 = _slicedToArray(_ref, 2),
          message = _ref2[0],
          _ref2$ = _slicedToArray(_ref2[1], 2),
          a1 = _ref2$[0],
          a2 = _ref2$[1];

      var intersection = Intersect.ray.lineSegment(origin, direction, a1, a2);

      if (intersection) {
        acc.push(getIntersection.apply(void 0, [message].concat(_toConsumableArray(intersection.points))));
      }

      return acc;
    }, []);
    return sideIntersections.filter(function (_int2) {
      return _int2.didIntersect;
    });
  },
  // Intersect a rectangle with a line segment.
  lineSegment: function lineSegment(point, size, a1, a2) {
    var sideIntersections = Utils.getRectangleSides(point, size).reduce(function (acc, _ref3) {
      var _ref4 = _slicedToArray(_ref3, 2),
          message = _ref4[0],
          _ref4$ = _slicedToArray(_ref4[1], 2),
          b1 = _ref4$[0],
          b2 = _ref4$[1];

      var intersection = Intersect.lineSegment.lineSegment(a1, a2, b1, b2);

      if (intersection) {
        acc.push(getIntersection.apply(void 0, [message].concat(_toConsumableArray(intersection.points))));
      }

      return acc;
    }, []);
    return sideIntersections.filter(function (_int3) {
      return _int3.didIntersect;
    });
  },
  // Intersect a rectangle with a rectangle.
  rectangle: function rectangle(point1, size1, point2, size2) {
    var sideIntersections = Utils.getRectangleSides(point1, size1).reduce(function (acc, _ref5) {
      var _ref6 = _slicedToArray(_ref5, 2),
          message = _ref6[0],
          _ref6$ = _slicedToArray(_ref6[1], 2),
          a1 = _ref6$[0],
          a2 = _ref6$[1];

      var intersections = Intersect.rectangle.lineSegment(point2, size2, a1, a2);
      acc.push.apply(acc, _toConsumableArray(intersections.map(function (_int4) {
        return getIntersection.apply(void 0, ["".concat(message, " ").concat(_int4.message)].concat(_toConsumableArray(_int4.points)));
      })));
      return acc;
    }, []);
    return sideIntersections.filter(function (_int5) {
      return _int5.didIntersect;
    });
  },
  // Intersect a rectangle with an arc.
  arc: function arc(point, size, center, radius, start, end) {
    var sideIntersections = Utils.getRectangleSides(point, size).reduce(function (acc, _ref7) {
      var _ref8 = _slicedToArray(_ref7, 2),
          message = _ref8[0],
          _ref8$ = _slicedToArray(_ref8[1], 2),
          a1 = _ref8$[0],
          a2 = _ref8$[1];

      var intersection = Intersect.arc.lineSegment(center, radius, start, end, a1, a2);

      if (intersection) {
        acc.push(Object.assign(Object.assign({}, intersection), {
          message: message
        }));
      }

      return acc;
    }, []);
    return sideIntersections.filter(function (_int6) {
      return _int6.didIntersect;
    });
  },
  // Intersect a rectangle with a circle.
  circle: function circle(point, size, c, r) {
    var sideIntersections = Utils.getRectangleSides(point, size).reduce(function (acc, _ref9) {
      var _ref10 = _slicedToArray(_ref9, 2),
          message = _ref10[0],
          _ref10$ = _slicedToArray(_ref10[1], 2),
          a1 = _ref10$[0],
          a2 = _ref10$[1];

      var intersection = Intersect.lineSegment.circle(a1, a2, c, r);

      if (intersection) {
        acc.push(Object.assign(Object.assign({}, intersection), {
          message: message
        }));
      }

      return acc;
    }, []);
    return sideIntersections.filter(function (_int7) {
      return _int7.didIntersect;
    });
  },
  // Intersect a rectangle with an ellipse.
  ellipse: function ellipse(point, size, c, rx, ry) {
    var rotation = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : 0;
    var sideIntersections = Utils.getRectangleSides(point, size).reduce(function (acc, _ref11) {
      var _ref12 = _slicedToArray(_ref11, 2),
          message = _ref12[0],
          _ref12$ = _slicedToArray(_ref12[1], 2),
          a1 = _ref12$[0],
          a2 = _ref12$[1];

      var intersection = Intersect.lineSegment.ellipse(a1, a2, c, rx, ry, rotation);

      if (intersection) {
        acc.push(Object.assign(Object.assign({}, intersection), {
          message: message
        }));
      }

      return acc;
    }, []);
    return sideIntersections.filter(function (_int8) {
      return _int8.didIntersect;
    });
  },
  // Intersect a rectangle with a bounding box.
  bounds: function bounds(point, size, _bounds3) {
    var minX = _bounds3.minX,
        minY = _bounds3.minY,
        width = _bounds3.width,
        height = _bounds3.height;
    return Intersect.rectangle.rectangle(point, size, [minX, minY], [width, height]);
  },
  // Intersect a rectangle with a polyline
  polyline: function polyline(point, size, points) {
    var sideIntersections = Utils.getRectangleSides(point, size).reduce(function (acc, _ref13) {
      var _ref14 = _slicedToArray(_ref13, 2),
          message = _ref14[0],
          _ref14$ = _slicedToArray(_ref14[1], 2),
          a1 = _ref14$[0],
          a2 = _ref14$[1];

      var intersections = Intersect.lineSegment.polyline(a1, a2, points);

      if (intersections.length > 0) {
        acc.push(getIntersection.apply(void 0, [message].concat(_toConsumableArray(intersections.flatMap(function (i) {
          return i.points;
        })))));
      }

      return acc;
    }, []);
    return sideIntersections.filter(function (_int9) {
      return _int9.didIntersect;
    });
  }
};
Intersect.arc = {
  // Intersect an arc with a line segment.
  lineSegment: function lineSegment(center, radius, start, end, a1, a2) {
    return Intersect.lineSegment.arc(a1, a2, center, radius, start, end);
  },
  // Intersect an arc with a rectangle.
  rectangle: function rectangle(center, radius, start, end, point, size) {
    return Intersect.rectangle.arc(point, size, center, radius, start, end);
  },
  // Intersect an arc with a bounding box.
  bounds: function bounds(center, radius, start, end, _bounds4) {
    var minX = _bounds4.minX,
        minY = _bounds4.minY,
        width = _bounds4.width,
        height = _bounds4.height;
    return Intersect.arc.rectangle(center, radius, start, end, [minX, minY], [width, height]);
  }
};
Intersect.circle = {
  // Intersect a circle with a line segment.
  lineSegment: function lineSegment(c, r, a1, a2) {
    return Intersect.lineSegment.circle(a1, a2, c, r);
  },
  // Intersect a circle with a circle.
  circle: function circle(c1, r1, c2, r2) {
    var dx = c2[0] - c1[0],
        dy = c2[1] - c1[1];
    var d = Math.sqrt(dx * dx + dy * dy),
        x = (d * d - r2 * r2 + r1 * r1) / (2 * d),
        y = Math.sqrt(r1 * r1 - x * x);
    dx /= d;
    dy /= d;
    return getIntersection('intersection', [c1[0] + dx * x - dy * y, c1[1] + dy * x + dx * y], [c1[0] + dx * x + dy * y, c1[1] + dy * x - dx * y]);
  },
  // Intersect a circle with a rectangle.
  rectangle: function rectangle(c, r, point, size) {
    return Intersect.rectangle.circle(point, size, c, r);
  },
  // Intersect a circle with a bounding box.
  bounds: function bounds(c, r, _bounds5) {
    var minX = _bounds5.minX,
        minY = _bounds5.minY,
        width = _bounds5.width,
        height = _bounds5.height;
    return Intersect.circle.rectangle(c, r, [minX, minY], [width, height]);
  }
};
Intersect.ellipse = {
  // Intersect an ellipse with a ray.
  ray: function ray(center, rx, ry, rotation, point, direction) {
    return Intersect.ray.ellipse(point, direction, center, rx, ry, rotation);
  },
  // Intersect an ellipse with a line segment.
  lineSegment: function lineSegment(center, rx, ry) {
    var rotation = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
    var a1 = arguments.length > 4 ? arguments[4] : undefined;
    var a2 = arguments.length > 5 ? arguments[5] : undefined;

    if (rx === ry) {
      return Intersect.lineSegment.circle(a1, a2, center, rx);
    }

    return Intersect.lineSegment.ellipse(a1, a2, center, rx, ry, rotation);
  },
  // Intersect an ellipse with a rectangle.
  rectangle: function rectangle(center, rx, ry) {
    var rotation = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
    var point = arguments.length > 4 ? arguments[4] : undefined;
    var size = arguments.length > 5 ? arguments[5] : undefined;

    if (rx === ry) {
      return Intersect.rectangle.circle(point, size, center, rx);
    }

    return Intersect.rectangle.ellipse(point, size, center, rx, ry, rotation);
  },
  // Get an intersection between an ellipse and a second ellipse.
  // Adapted from https://gist.github.com/drawable/92792f59b6ff8869d8b1
  ellipse: function ellipse(c1, rx1, ry1, c2, rx2, ry2) {
    // TODO
    return getIntersection('no intersection');
  },
  circle: function circle(c, rx, ry, rotation, c2, r2) {
    return Intersect.ellipse.ellipse(c, rx, ry, c2, r2, r2);
  },
  // Intersect an ellipse with a bounding box.
  bounds: function bounds(c, rx, ry, rotation, _bounds6) {
    var minX = _bounds6.minX,
        minY = _bounds6.minY,
        width = _bounds6.width,
        height = _bounds6.height;
    return Intersect.ellipse.rectangle(c, rx, ry, rotation, [minX, minY], [width, height]);
  }
};
Intersect.bounds = {
  ray: function ray(bounds, origin, direction) {
    var minX = bounds.minX,
        minY = bounds.minY,
        width = bounds.width,
        height = bounds.height;
    return Intersect.ray.rectangle(origin, direction, [minX, minY], [width, height]);
  },
  lineSegment: function lineSegment(bounds, a1, a2) {
    var minX = bounds.minX,
        minY = bounds.minY,
        width = bounds.width,
        height = bounds.height;
    return Intersect.lineSegment.rectangle(a1, a2, [minX, minY], [width, height]);
  },
  rectangle: function rectangle(bounds, point, size) {
    var minX = bounds.minX,
        minY = bounds.minY,
        width = bounds.width,
        height = bounds.height;
    return Intersect.rectangle.rectangle(point, size, [minX, minY], [width, height]);
  },
  bounds: function bounds(bounds1, bounds2) {
    return Intersect.rectangle.rectangle([bounds1.minX, bounds1.minY], [bounds1.width, bounds1.height], [bounds2.minX, bounds2.minY], [bounds2.width, bounds2.height]);
  },
  arc: function arc(bounds, center, radius, start, end) {
    var minX = bounds.minX,
        minY = bounds.minY,
        width = bounds.width,
        height = bounds.height;
    return Intersect.arc.rectangle(center, radius, start, end, [minX, minY], [width, height]);
  },
  circle: function circle(bounds, c, r) {
    var minX = bounds.minX,
        minY = bounds.minY,
        width = bounds.width,
        height = bounds.height;
    return Intersect.circle.rectangle(c, r, [minX, minY], [width, height]);
  },
  ellipse: function ellipse(bounds, c, rx, ry) {
    var rotation = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;
    var minX = bounds.minX,
        minY = bounds.minY,
        width = bounds.width,
        height = bounds.height;
    return Intersect.ellipse.rectangle(c, rx, ry, rotation, [minX, minY], [width, height]);
  },
  polyline: function polyline(bounds, points) {
    return Intersect.polyline.bounds(points, bounds);
  }
};
Intersect.polyline = {
  // Intersect a polyline with a line segment.
  lineSegment: function lineSegment(points, a1, a2) {
    return Intersect.lineSegment.polyline(a1, a2, points);
  },
  // Interesct a polyline with a rectangle.
  rectangle: function rectangle(points, point, size) {
    return Intersect.rectangle.polyline(point, size, points);
  },
  // Intersect a polyline with a bounding box.
  bounds: function bounds(points, _bounds7) {
    return Intersect.rectangle.polyline([_bounds7.minX, _bounds7.minY], [_bounds7.width, _bounds7.height], points);
  }
};

var Svg = function Svg() {
  _classCallCheck(this, Svg);
};

Svg.ellipse = function (A, r) {
  return "M ".concat(A[0] - r, ",").concat(A[1], "\n      a ").concat(r, ",").concat(r, " 0 1,0 ").concat(r * 2, ",0\n      a ").concat(r, ",").concat(r, " 0 1,0 -").concat(r * 2, ",0 ");
};

Svg.moveTo = function (v) {
  return "M ".concat(v[0], ",").concat(v[1], " ");
};

Svg.lineTo = function (v) {
  return "L ".concat(v[0], ",").concat(v[1], " ");
};

Svg.line = function (a) {
  for (var _len = arguments.length, pts = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    pts[_key - 1] = arguments[_key];
  }

  return Svg.moveTo(a) + pts.map(function (p) {
    return Svg.lineTo(p);
  }).join();
};

Svg.hLineTo = function (v) {
  return "H ".concat(v[0], ",").concat(v[1], " ");
};

Svg.vLineTo = function (v) {
  return "V ".concat(v[0], ",").concat(v[1], " ");
};

Svg.bezierTo = function (A, B, C) {
  return "C ".concat(A[0], ",").concat(A[1], " ").concat(B[0], ",").concat(B[1], " ").concat(C[0], ",").concat(C[1], " ");
};

Svg.arcTo = function (C, r, A, B) {
  return [Svg.moveTo(A), 'A', r, r, 0, Utils.getSweep(C, A, B) > 0 ? '1' : '0', 0, B[0], B[1]].join(' ');
};

Svg.closePath = function () {
  return 'Z';
};

Svg.rectTo = function (A) {
  return ['R', A[0], A[1]].join(' ');
};

Svg.getPointAtLength = function (path, length) {
  var point = path.getPointAtLength(length);
  return [point.x, point.y];
};

// `Date.now` method
// https://tc39.es/ecma262/#sec-date.now
_export({ target: 'Date', stat: true }, {
  now: function now() {
    return new Date().getTime();
  }
});

var DOUBLE_CLICK_DURATION = 250;

var Inputs = /*#__PURE__*/function () {
  function Inputs() {
    var _this = this;

    _classCallCheck(this, Inputs);

    this.pointerUpTime = 0;
    this.points = {};
    this.keys = {};

    this.pointerUp = function (e) {
      var target = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      var prev = _this.points[e.pointerId];
      var info = Object.assign(Object.assign({}, prev), {
        target: target,
        origin: (prev === null || prev === void 0 ? void 0 : prev.origin) || Inputs.getPoint(e),
        point: Inputs.getPoint(e),
        pressure: Inputs.getPressure(e),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      });
      delete _this.points[e.pointerId];
      delete _this.activePointerId;

      if (Vec.dist(info.origin, info.point) < 8) {
        _this.pointerUpTime = Date.now();
      }

      _this.pointer = info;
      return info;
    };

    this.wheel = function (e) {
      var _a, _b;

      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      return {
        target: 'wheel',
        pointerId: ((_a = _this.pointer) === null || _a === void 0 ? void 0 : _a.pointerId) || 0,
        origin: ((_b = _this.pointer) === null || _b === void 0 ? void 0 : _b.origin) || [0, 0],
        pressure: 0.5,
        point: Inputs.getPoint(e),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: metaKey,
        altKey: altKey
      };
    };

    this.canAccept = function (_pointerId) {
      return true; //   return (
      //     this.activePointerId === undefined || this.activePointerId === pointerId
      //   )
    };

    this.keydown = function (e) {
      var _a, _b;

      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      _this.keys[e.key] = true;
      return {
        point: ((_a = _this.pointer) === null || _a === void 0 ? void 0 : _a.point) || [0, 0],
        origin: ((_b = _this.pointer) === null || _b === void 0 ? void 0 : _b.origin) || [0, 0],
        key: e.key,
        keys: Object.keys(_this.keys),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      };
    };

    this.keyup = function (e) {
      var _a, _b;

      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      delete _this.keys[e.key];
      return {
        point: ((_a = _this.pointer) === null || _a === void 0 ? void 0 : _a.point) || [0, 0],
        origin: ((_b = _this.pointer) === null || _b === void 0 ? void 0 : _b.origin) || [0, 0],
        key: e.key,
        keys: Object.keys(_this.keys),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      };
    };
  }

  _createClass(Inputs, [{
    key: "touchStart",
    value: function touchStart(e, target) {
      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      e.preventDefault();
      var touch = e.changedTouches[0];
      var info = {
        target: target,
        pointerId: touch.identifier,
        origin: Inputs.getPoint(touch),
        point: Inputs.getPoint(touch),
        pressure: Inputs.getPressure(touch),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      };
      this.points[touch.identifier] = info;
      this.activePointerId = touch.identifier;
      this.pointer = info;
      return info;
    }
  }, {
    key: "touchMove",
    value: function touchMove(e) {
      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      e.preventDefault();
      var touch = e.changedTouches[0];
      var prev = this.points[touch.identifier];
      var info = Object.assign(Object.assign({}, prev), {
        pointerId: touch.identifier,
        point: Inputs.getPoint(touch),
        pressure: Inputs.getPressure(touch),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      });

      if (this.points[touch.identifier]) {
        this.points[touch.identifier] = info;
      }

      this.pointer = info;
      return info;
    }
  }, {
    key: "pointerDown",
    value: function pointerDown(e, target) {
      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      var info = {
        target: target,
        pointerId: e.pointerId,
        origin: Inputs.getPoint(e),
        point: Inputs.getPoint(e),
        pressure: Inputs.getPressure(e),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      };
      this.points[e.pointerId] = info;
      this.activePointerId = e.pointerId;
      this.pointer = info;
      return info;
    }
  }, {
    key: "pointerEnter",
    value: function pointerEnter(e, target) {
      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      var info = {
        target: target,
        pointerId: e.pointerId,
        origin: Inputs.getPoint(e),
        point: Inputs.getPoint(e),
        pressure: Inputs.getPressure(e),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      };
      this.pointer = info;
      return info;
    }
  }, {
    key: "pointerMove",
    value: function pointerMove(e) {
      var target = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      var shiftKey = e.shiftKey,
          ctrlKey = e.ctrlKey,
          metaKey = e.metaKey,
          altKey = e.altKey;
      var prev = this.points[e.pointerId];
      var info = Object.assign(Object.assign({}, prev), {
        target: target,
        pointerId: e.pointerId,
        point: Inputs.getPoint(e),
        pressure: Inputs.getPressure(e),
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      });

      if (this.points[e.pointerId]) {
        this.points[e.pointerId] = info;
      }

      this.pointer = info;
      return info;
    }
  }, {
    key: "isDoubleClick",
    value: function isDoubleClick() {
      if (!this.pointer) return;
      var _this$pointer = this.pointer,
          origin = _this$pointer.origin,
          point = _this$pointer.point;
      return Date.now() - this.pointerUpTime < DOUBLE_CLICK_DURATION && Vec.dist(origin, point) < 4;
    }
  }, {
    key: "clear",
    value: function clear() {
      this.activePointerId = undefined;
      this.pointer = undefined;
      this.points = {};
    }
  }, {
    key: "resetDoubleClick",
    value: function resetDoubleClick() {
      this.pointerUpTime = 0;
    }
  }, {
    key: "pinch",
    value: function pinch(point, origin) {
      var _this$keys = this.keys,
          shiftKey = _this$keys.shiftKey,
          ctrlKey = _this$keys.ctrlKey,
          metaKey = _this$keys.metaKey,
          altKey = _this$keys.altKey;
      var info = {
        pointerId: 0,
        target: 'pinch',
        origin: origin,
        point: [].concat(_toConsumableArray(point), [0.5]),
        pressure: 0.5,
        shiftKey: shiftKey,
        ctrlKey: ctrlKey,
        metaKey: Utils.isDarwin() ? metaKey : ctrlKey,
        altKey: altKey
      };
      this.points[0] = info;
      this.activePointerId = 0;
      this.pointer = info;
      return info;
    }
  }, {
    key: "reset",
    value: function reset() {
      this.activePointerId = undefined;
      this.pointerUpTime = 0;
      this.pointer = undefined;
      this.points = {};
      this.keyboard = undefined;
      this.keys = {};
    }
  }], [{
    key: "getPoint",
    value: function getPoint(e) {
      return [Number(e.clientX.toPrecision(5)), Number(e.clientY.toPrecision(5))];
    }
  }, {
    key: "getPressure",
    value: function getPressure(e) {
      return 'pressure' in e ? Number(e.pressure.toPrecision(5)) || 0.5 : 0.5;
    }
  }, {
    key: "commandKey",
    value: function commandKey() {
      return Utils.isDarwin() ? '⌘' : 'Ctrl';
    }
  }]);

  return Inputs;
}();

var inputs = new Inputs();

function useZoomEvents() {
  var rPinchDa = useRef(undefined);
  var rPinchPoint = useRef(undefined);

  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  useGesture({
    onWheel: function onWheel(_ref) {
      var event = _ref.event,
          delta = _ref.delta;

      var _a, _b;

      if (event.ctrlKey) {
        var info = inputs.wheel(event);
        (_a = callbacks.onZoom) === null || _a === void 0 ? void 0 : _a.call(callbacks, Object.assign(Object.assign({}, info), {
          delta: delta[1]
        }));
        return;
      } // eslint-disable-next-line @typescript-eslint/no-non-null-assertion


      (_b = callbacks.onPan) === null || _b === void 0 ? void 0 : _b.call(callbacks, Object.assign(Object.assign({}, inputs.pointer), {
        delta: Vec.round(delta)
      }));
    },
    onPinch: function onPinch(_ref2) {
      var pinching = _ref2.pinching,
          da = _ref2.da,
          origin = _ref2.origin;

      var _a, _b, _c;

      if (!pinching) {
        (_a = callbacks.onPinchEnd) === null || _a === void 0 ? void 0 : _a.call(callbacks, origin);
        rPinchDa.current = undefined;
        rPinchPoint.current = undefined;
        return;
      }

      if (rPinchPoint.current === undefined) {
        (_b = callbacks.onPinchStart) === null || _b === void 0 ? void 0 : _b.call(callbacks, origin);
        rPinchDa.current = da;
        rPinchPoint.current = origin;
      } // eslint-disable-next-line @typescript-eslint/no-non-null-assertion


      var _Vec$sub = Vec.sub(rPinchDa.current, da),
          _Vec$sub2 = _slicedToArray(_Vec$sub, 1),
          distanceDelta = _Vec$sub2[0];

      var info = inputs.pinch(rPinchPoint.current, origin);
      (_c = callbacks.onPinch) === null || _c === void 0 ? void 0 : _c.call(callbacks, Object.assign(Object.assign({}, info), {
        distanceDelta: distanceDelta
      }));
      rPinchDa.current = da;
      rPinchPoint.current = origin;
    }
  }, {
    domTarget: typeof document === 'undefined' ? undefined : document.body,
    eventOptions: {
      passive: false
    }
  });
}

function useSafariFocusOutFix() {
  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  useEffect(function () {
    function handleFocusOut() {
      var _a;

      (_a = callbacks.onBlurEditingShape) === null || _a === void 0 ? void 0 : _a.call(callbacks);
    }

    if (!Utils.isMobile()) return;
    document.addEventListener('focusout', handleFocusOut);
    return function () {
      return document.removeEventListener('focusout', handleFocusOut);
    };
  }, [callbacks]);
}

function useCanvasEvents(rCanvas) {
  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  var handlePointerDown = useCallback(function (e) {
    var _a, _b, _c, _d;

    if (!inputs.canAccept(e.pointerId)) return;
    (_a = rCanvas.current) === null || _a === void 0 ? void 0 : _a.setPointerCapture(e.pointerId);
    var info = inputs.pointerDown(e, 'canvas');

    if (e.button === 0) {
      if (inputs.isDoubleClick() && !(info.altKey || info.metaKey)) {
        (_b = callbacks.onDoublePointCanvas) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
      }

      (_c = callbacks.onPointCanvas) === null || _c === void 0 ? void 0 : _c.call(callbacks, info);
    } else if (e.button === 2) {
      (_d = callbacks.onRightPointCanvas) === null || _d === void 0 ? void 0 : _d.call(callbacks, info);
    }
  }, [rCanvas, callbacks]);
  var handlePointerMove = useCallback(function (e) {
    var _a, _b, _c;

    if (!inputs.canAccept(e.pointerId)) return;
    var prev = (_a = inputs.pointer) === null || _a === void 0 ? void 0 : _a.point;
    var info = inputs.pointerMove(e, 'canvas');

    if (prev && inputs.keys[' '] && e.buttons === 1) {
      var delta = Vec.sub(prev, info.point);
      (_b = callbacks.onPan) === null || _b === void 0 ? void 0 : _b.call(callbacks, Object.assign(Object.assign({}, info), {
        delta: delta
      }));
      return;
    }

    (_c = callbacks.onPointerMove) === null || _c === void 0 ? void 0 : _c.call(callbacks, info);
  }, [callbacks]);
  var handlePointerUp = useCallback(function (e) {
    var _a, _b;

    if (!inputs.canAccept(e.pointerId)) return;
    (_a = rCanvas.current) === null || _a === void 0 ? void 0 : _a.releasePointerCapture(e.pointerId);
    var info = inputs.pointerUp(e, 'canvas');
    (_b = callbacks.onStopPointing) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
  }, [rCanvas, callbacks]);
  var handleTouchStart = useCallback(function (e) {
    if ('safari' in window) {
      e.preventDefault();
    }
  }, []);
  useEffect(function () {
    var preventGestureNavigation = function preventGestureNavigation(event) {
      event.preventDefault();
    };

    var preventNavigation = function preventNavigation(event) {
      // Center point of the touch area
      var touchXPosition = event.touches[0].pageX; // Size of the touch area

      var touchXRadius = event.touches[0].radiusX || 0; // We set a threshold (10px) on both sizes of the screen,
      // if the touch area overlaps with the screen edges
      // it's likely to trigger the navigation. We prevent the
      // touchstart event in that case.

      if (touchXPosition - touchXRadius < 10 || touchXPosition + touchXRadius > window.innerWidth - 10) {
        event.preventDefault();
      }
    }; // @ts-ignore


    rCanvas.current.addEventListener('gestureend', preventGestureNavigation); // @ts-ignore

    rCanvas.current.addEventListener('gesturechange', preventGestureNavigation); // @ts-ignore

    rCanvas.current.addEventListener('gesturestart', preventGestureNavigation); // @ts-ignore

    rCanvas.current.addEventListener('touchstart', preventNavigation);
    var elm = rCanvas.current;
    return function () {
      if (elm) {
        // @ts-ignore
        elm.removeEventListener('gestureend', preventGestureNavigation); // @ts-ignore

        elm.removeEventListener('gesturechange', preventGestureNavigation); // @ts-ignore

        elm.removeEventListener('gesturestart', preventGestureNavigation); // @ts-ignore

        elm.removeEventListener('touchstart', preventNavigation);
      }
    };
  }, [callbacks, rCanvas]);
  return {
    onPointerDown: handlePointerDown,
    onPointerMove: handlePointerMove,
    onPointerUp: handlePointerUp,
    onTouchStart: handleTouchStart
  };
}

function useShapeEvents(id, isCurrentParent, rGroup) {
  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  var handlePointerDown = React__default.useCallback(function (e) {
    var _a, _b, _c, _d;

    if (isCurrentParent) return;
    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    (_a = rGroup.current) === null || _a === void 0 ? void 0 : _a.setPointerCapture(e.pointerId);
    var info = inputs.pointerDown(e, id);

    if (e.button === 0) {
      if (inputs.isDoubleClick() && !(info.altKey || info.metaKey)) {
        (_b = callbacks.onDoublePointShape) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
      }

      (_c = callbacks.onPointShape) === null || _c === void 0 ? void 0 : _c.call(callbacks, info);
    } else {
      (_d = callbacks.onRightPointShape) === null || _d === void 0 ? void 0 : _d.call(callbacks, info);
    }
  }, [rGroup, callbacks, id, isCurrentParent]);
  var handlePointerUp = React__default.useCallback(function (e) {
    var _a, _b;

    if (isCurrentParent) return;
    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    (_a = rGroup.current) === null || _a === void 0 ? void 0 : _a.releasePointerCapture(e.pointerId);
    var info = inputs.pointerDown(e, id);
    (_b = callbacks.onStopPointing) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
  }, [rGroup, callbacks, id, isCurrentParent]);
  var handlePointerEnter = React__default.useCallback(function (e) {
    var _a;

    if (isCurrentParent) return;
    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    (_a = callbacks.onHoverShape) === null || _a === void 0 ? void 0 : _a.call(callbacks, inputs.pointerEnter(e, id));
  }, [callbacks, id, isCurrentParent]);
  var handlePointerMove = React__default.useCallback(function (e) {
    var _a, _b, _c;

    if (!inputs.canAccept(e.pointerId)) return;
    var prev = (_a = inputs.pointer) === null || _a === void 0 ? void 0 : _a.point;
    var info = inputs.pointerMove(e);

    if (prev && inputs.keys[' '] && e.buttons === 1) {
      if (!e.currentTarget.hasPointerCapture(e.pointerId)) {
        e.currentTarget.setPointerCapture(e.pointerId);
      }

      var delta = Vec.sub(prev, info.point);
      (_b = callbacks.onPan) === null || _b === void 0 ? void 0 : _b.call(callbacks, Object.assign(Object.assign({}, info), {
        delta: delta
      }));
      return;
    }

    if (isCurrentParent) return;
    (_c = callbacks.onMoveOverShape) === null || _c === void 0 ? void 0 : _c.call(callbacks, inputs.pointerEnter(e, id));
  }, [callbacks, id, isCurrentParent]);
  var handlePointerLeave = React__default.useCallback(function (e) {
    if (isCurrentParent) return;
    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    setTimeout(function () {
      var _a;

      (_a = callbacks.onUnhoverShape) === null || _a === void 0 ? void 0 : _a.call(callbacks, inputs.pointerEnter(e, id));
    }, 0);
  }, [callbacks, id, isCurrentParent]);
  var handleTouchStart = React__default.useCallback(function (e) {
    e.preventDefault();
  }, []);
  var handleTouchEnd = React__default.useCallback(function (e) {
    e.preventDefault();
  }, []);
  return {
    onPointerDown: handlePointerDown,
    onPointerUp: handlePointerUp,
    onPointerEnter: handlePointerEnter,
    onPointerMove: handlePointerMove,
    onPointerLeave: handlePointerLeave,
    onTouchStart: handleTouchStart,
    onTouchEnd: handleTouchEnd
  };
}

// TODO: use something more complex like timsort?
var floor$2 = Math.floor;

var mergeSort = function (array, comparefn) {
  var length = array.length;
  var middle = floor$2(length / 2);
  return length < 8 ? insertionSort(array, comparefn) : merge(
    mergeSort(array.slice(0, middle), comparefn),
    mergeSort(array.slice(middle), comparefn),
    comparefn
  );
};

var insertionSort = function (array, comparefn) {
  var length = array.length;
  var i = 1;
  var element, j;

  while (i < length) {
    j = i;
    element = array[i];
    while (j && comparefn(array[j - 1], element) > 0) {
      array[j] = array[--j];
    }
    if (j !== i++) array[j] = element;
  } return array;
};

var merge = function (left, right, comparefn) {
  var llength = left.length;
  var rlength = right.length;
  var lindex = 0;
  var rindex = 0;
  var result = [];

  while (lindex < llength || rindex < rlength) {
    if (lindex < llength && rindex < rlength) {
      result.push(comparefn(left[lindex], right[rindex]) <= 0 ? left[lindex++] : right[rindex++]);
    } else {
      result.push(lindex < llength ? left[lindex++] : right[rindex++]);
    }
  } return result;
};

var arraySort = mergeSort;

var firefox = engineUserAgent.match(/firefox\/(\d+)/i);

var engineFfVersion = !!firefox && +firefox[1];

var engineIsIeOrEdge = /MSIE|Trident/.test(engineUserAgent);

var webkit = engineUserAgent.match(/AppleWebKit\/(\d+)\./);

var engineWebkitVersion = !!webkit && +webkit[1];

var test$1 = [];
var nativeSort = test$1.sort;

// IE8-
var FAILS_ON_UNDEFINED = fails(function () {
  test$1.sort(undefined);
});
// V8 bug
var FAILS_ON_NULL = fails(function () {
  test$1.sort(null);
});
// Old WebKit
var STRICT_METHOD$4 = arrayMethodIsStrict('sort');

var STABLE_SORT = !fails(function () {
  // feature detection can be too slow, so check engines versions
  if (engineV8Version) return engineV8Version < 70;
  if (engineFfVersion && engineFfVersion > 3) return;
  if (engineIsIeOrEdge) return true;
  if (engineWebkitVersion) return engineWebkitVersion < 603;

  var result = '';
  var code, chr, value, index;

  // generate an array with more 512 elements (Chakra and old V8 fails only in this case)
  for (code = 65; code < 76; code++) {
    chr = String.fromCharCode(code);

    switch (code) {
      case 66: case 69: case 70: case 72: value = 3; break;
      case 68: case 71: value = 4; break;
      default: value = 2;
    }

    for (index = 0; index < 47; index++) {
      test$1.push({ k: chr + index, v: value });
    }
  }

  test$1.sort(function (a, b) { return b.v - a.v; });

  for (index = 0; index < test$1.length; index++) {
    chr = test$1[index].k.charAt(0);
    if (result.charAt(result.length - 1) !== chr) result += chr;
  }

  return result !== 'DGBEFHACIJK';
});

var FORCED$3 = FAILS_ON_UNDEFINED || !FAILS_ON_NULL || !STRICT_METHOD$4 || !STABLE_SORT;

var getSortCompare = function (comparefn) {
  return function (x, y) {
    if (y === undefined) return -1;
    if (x === undefined) return 1;
    if (comparefn !== undefined) return +comparefn(x, y) || 0;
    return String(x) > String(y) ? 1 : -1;
  };
};

// `Array.prototype.sort` method
// https://tc39.es/ecma262/#sec-array.prototype.sort
_export({ target: 'Array', proto: true, forced: FORCED$3 }, {
  sort: function sort(comparefn) {
    if (comparefn !== undefined) aFunction$1(comparefn);

    var array = toObject(this);

    if (STABLE_SORT) return comparefn === undefined ? nativeSort.call(array) : nativeSort.call(array, comparefn);

    var items = [];
    var arrayLength = toLength(array.length);
    var itemsLength, index;

    for (index = 0; index < arrayLength; index++) {
      if (index in array) items.push(array[index]);
    }

    items = arraySort(items, getSortCompare(comparefn));
    itemsLength = items.length;
    index = 0;

    while (index < itemsLength) array[index] = items[index++];
    while (index < arrayLength) delete array[index++];

    return array;
  }
});

var propertyIsEnumerable = objectPropertyIsEnumerable.f;

// `Object.{ entries, values }` methods implementation
var createMethod$5 = function (TO_ENTRIES) {
  return function (it) {
    var O = toIndexedObject(it);
    var keys = objectKeys(O);
    var length = keys.length;
    var i = 0;
    var result = [];
    var key;
    while (length > i) {
      key = keys[i++];
      if (!descriptors || propertyIsEnumerable.call(O, key)) {
        result.push(TO_ENTRIES ? [key, O[key]] : O[key]);
      }
    }
    return result;
  };
};

var objectToArray = {
  // `Object.entries` method
  // https://tc39.es/ecma262/#sec-object.entries
  entries: createMethod$5(true),
  // `Object.values` method
  // https://tc39.es/ecma262/#sec-object.values
  values: createMethod$5(false)
};

var $values = objectToArray.values;

// `Object.values` method
// https://tc39.es/ecma262/#sec-object.values
_export({ target: 'Object', stat: true }, {
  values: function values(O) {
    return $values(O);
  }
});

function addToShapeTree(shape, branch, shapes, selectedIds, info) {
  var node = {
    shape: shape,
    children: [],
    isHovered: info.hoveredId === shape.id,
    isCurrentParent: info.currentParentId === shape.id,
    isEditing: info.editingId === shape.id,
    isBinding: info.bindingId === shape.id,
    isDarkMode: info.isDarkMode || false,
    isSelected: selectedIds.includes(shape.id)
  };
  branch.push(node);

  if (shape.children) {
    shape.children.map(function (id) {
      return shapes[id];
    }).sort(function (a, b) {
      return a.childIndex - b.childIndex;
    }).forEach(function (childShape) {
      return addToShapeTree(childShape, node.children, shapes, selectedIds, info);
    });
  }
}

function useShapeTree(page, pageState, shapeUtils) {
  var info = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
  var onChange = arguments.length > 4 ? arguments[4] : undefined;
  var rPreviousCount = useRef(0);
  if (typeof window === 'undefined') return [];
  var selectedIds = pageState.selectedIds,
      camera = pageState.camera; // Find viewport

  var _Vec$sub = Vec.sub(Vec.div([0, 0], camera.zoom), camera.point),
      _Vec$sub2 = _slicedToArray(_Vec$sub, 2),
      minX = _Vec$sub2[0],
      minY = _Vec$sub2[1];

  var _Vec$sub3 = Vec.sub(Vec.div([window.innerWidth, window.innerHeight], camera.zoom), camera.point),
      _Vec$sub4 = _slicedToArray(_Vec$sub3, 2),
      maxX = _Vec$sub4[0],
      maxY = _Vec$sub4[1];

  var viewport = {
    minX: minX,
    minY: minY,
    maxX: maxX,
    maxY: maxY,
    height: maxX - minX,
    width: maxY - minY
  }; // Filter shapes that are in view

  var shapesToRender = Object.values(page.shapes).filter(function (shape) {
    if (shape.parentId !== page.id) return false;
    var shapeBounds = shapeUtils[shape.type].getBounds(shape);
    return (// TODO: Some shapes should always render (lines, rays)
      Utils.boundsContain(viewport, shapeBounds) || Utils.boundsCollide(viewport, shapeBounds)
    );
  }); // Call onChange callback when number of rendering shapes changes

  if (shapesToRender.length !== rPreviousCount.current) {
    onChange === null || onChange === void 0 ? void 0 : onChange(shapesToRender.map(function (shape) {
      return shape.id;
    }));
    rPreviousCount.current = shapesToRender.length;
  } // Populate the shape tree


  var tree = [];
  shapesToRender.sort(function (a, b) {
    return a.childIndex - b.childIndex;
  }).forEach(function (shape) {
    return addToShapeTree(shape, tree, page.shapes, selectedIds, info);
  });
  return tree;
}

// `Map` constructor
// https://tc39.es/ecma262/#sec-map-objects
var es_map = collection('Map', function (init) {
  return function Map() { return init(this, arguments.length ? arguments[0] : undefined); };
}, collectionStrong);

var _templateObject;
var styles = new Map();

function makeCssTheme(prefix, theme) {
  return Object.keys(theme).reduce(function (acc, key) {
    var value = theme[key];

    if (value) {
      return acc + "".concat("--".concat(prefix, "-").concat(key), ": ", value, ";\n");
    }

    return acc;
  }, '');
}

function useTheme(prefix, theme) {
  var selector = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : ':root';
  useLayoutEffect(function () {
    var style = document.createElement('style');
    var cssTheme = makeCssTheme(prefix, theme);
    style.setAttribute('id', "".concat(prefix, "-theme"));
    style.setAttribute('data-selector', selector);
    style.innerHTML = "\n        ".concat(selector, " {\n          ").concat(cssTheme, "\n        }\n      ");
    document.head.appendChild(style);
    return function () {
      if (style && document.head.contains(style)) {
        document.head.removeChild(style);
      }
    };
  }, [prefix, theme, selector]);
}

function useStyle(uid, rules) {
  useLayoutEffect(function () {
    if (styles.get(uid)) {
      return;
    }

    var style = document.createElement('style');
    style.innerHTML = rules;
    style.setAttribute('id', uid);
    document.head.appendChild(style);
    styles.set(uid, style);
    return function () {
      if (style && document.head.contains(style)) {
        document.head.removeChild(style);
        styles["delete"](uid);
      }
    };
  }, [uid, rules]);
}

var css = function css(strings) {
  for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  return strings.reduce(function (acc, string, index) {
    return acc + string + (index < args.length ? args[index] : '');
  }, '');
};

var defaultTheme = {
  brushFill: 'rgba(0,0,0,.05)',
  brushStroke: 'rgba(0,0,0,.25)',
  selectStroke: 'rgb(66, 133, 244)',
  selectFill: 'rgba(65, 132, 244, 0.05)',
  background: 'rgb(248, 249, 250)',
  foreground: 'rgb(51, 51, 51)'
};
var tlcss = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  :root {\n    --tl-zoom: 1;\n    --tl-scale: calc(1 / var(--tl-zoom));\n  }\n\n  .tl-counter-scaled {\n    transform: scale(var(--tl-scale));\n  }\n\n  .tl-dashed {\n    stroke-dasharray: calc(2px * var(--tl-scale)), calc(2px * var(--tl-scale));\n  }\n\n  .tl-transparent {\n    fill: transparent;\n    stroke: transparent;\n  }\n\n  .tl-cursor-ns {\n    cursor: ns-resize;\n  }\n\n  .tl-cursor-ew {\n    cursor: ew-resize;\n  }\n\n  .tl-cursor-nesw {\n    cursor: nesw-resize;\n  }\n\n  .tl-cursor-nwse {\n    cursor: nwse-resize;\n  }\n\n  .tl-corner-handle {\n    stroke: var(--tl-selectStroke);\n    fill: var(--tl-background);\n    stroke-width: calc(1.5px * var(--tl-scale));\n  }\n\n  .tl-rotate-handle {\n    stroke: var(--tl-selectStroke);\n    fill: var(--tl-background);\n    stroke-width: calc(1.5px * var(--tl-scale));\n    cursor: grab;\n  }\n\n  .tl-handle {\n    transform: scale(var(--tl-scale));\n    fill: var(--tl-background);\n    stroke: var(--tl-stroke);\n    stroke-width: calc(2px * var(--tl-scale));\n    pointer-events: all;\n  }\n\n  .tl-binding {\n    fill: var(--tl-selectFill);\n    stroke: var(--tl-selectStroke);\n    stroke-width: calc(1px * var(--tl-scale));\n    pointer-events: none;\n  }\n\n  .tl-bounds-center {\n    fill: transparent;\n    stroke: var(--tl-selectStroke);\n    stroke-width: calc(1.5px * var(--tl-scale));\n    pointer-events: none;\n  }\n\n  .tl-bounds-bg {\n    stroke: none;\n    fill: var(--tl-selectFill);\n    pointer-events: all;\n  }\n\n  .tl-brush {\n    fill: var(--tl-brushFill);\n    stroke: var(--tl-brushStroke);\n    stroke-width: calc(1px * var(--tl-scale));\n    pointer-events: none;\n  }\n\n  .tl-canvas {\n    position: fixed;\n    overflow: hidden;\n    top: 0px;\n    left: 0px;\n    width: 100%;\n    height: 100%;\n    touch-action: none;\n    z-index: 100;\n    pointer-events: all;\n  }\n\n  .tl-container {\n    position: relative;\n    box-sizing: border-box;\n    width: 100%;\n    height: 100%;\n    padding: 0px;\n    margin: 0px;\n    overscroll-behavior: none;\n    overscroll-behavior-x: none;\n    background-color: var(--tl-background);\n  }\n\n  .tl-container * {\n    user-select: none;\n  }\n\n  .tl-dot {\n    fill: var(--tl-background);\n    stroke: var(--tl-foreground);\n    stroke-width: 2px;\n  }\n\n  .tl-handle {\n    fill: var(--tl-background);\n    stroke: var(--tl-selectStroke);\n    stroke-width: calc(1.5px * var(--tl-scale));\n  }\n\n  .tl-handle-bg {\n    fill: transparent;\n    stroke: none;\n    opacity: 0.2;\n    pointer-events: all;\n  }\n\n  .tl-handle-bg:hover {\n    fill: var(--tl-selected-fill);\n  }\n\n  .tl-handle-bg:hover > * {\n    stroke: var(--tl-selected-fill);\n  }\n\n  .tl-handle-bg:active {\n    fill: var(--tl-selected-fill);\n    stroke: var(--tl-selected-fill);\n  }\n\n  .tl-binding-indicator {\n    stroke-width: calc(3px * var(--tl-scale));\n    fill: none;\n    stroke: var(--tl-selected);\n  }\n\n  .tl-shape-group {\n    outline: none;\n  }\n\n  .tl-shape-group > *[data-shy='true'] {\n    opacity: 0;\n  }\n\n  .tl-shape-group:hover > *[data-shy='true'] {\n    opacity: 1;\n  }\n\n  .tl-current-parent > *[data-shy='true'] {\n    opacity: 1;\n  }\n"])));
function useTLTheme(theme) {
  var _React$useState = useState(function () {
    return Object.assign(Object.assign({}, defaultTheme), theme);
  }),
      _React$useState2 = _slicedToArray(_React$useState, 1),
      tltheme = _React$useState2[0];

  useTheme('tl', tltheme);
  useStyle('tl-canvas', tlcss);
}

function useBoundsEvents(handle) {
  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  var onPointerDown = useCallback(function (e) {
    var _a, _b;

    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    e.currentTarget.setPointerCapture(e.pointerId);

    if (e.button === 0) {
      var info = inputs.pointerDown(e, handle);

      if (inputs.isDoubleClick() && !(info.altKey || info.metaKey)) {
        (_a = callbacks.onDoublePointBoundsHandle) === null || _a === void 0 ? void 0 : _a.call(callbacks, info);
      }

      (_b = callbacks.onPointBoundsHandle) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
    }
  }, [callbacks, handle]);
  var onPointerMove = useCallback(function (e) {
    var _a;

    if (e.buttons !== 1) return;
    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    var info = inputs.pointerMove(e, handle);
    (_a = callbacks.onPointerMove) === null || _a === void 0 ? void 0 : _a.call(callbacks, info);
  }, [callbacks, handle]);
  var onPointerUp = useCallback(function (e) {
    var _a;

    if (e.buttons !== 1) return;
    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation(); // Replace element to reset cursor

    e.currentTarget.releasePointerCapture(e.pointerId);
    e.currentTarget.replaceWith(e.currentTarget);
    var info = inputs.pointerUp(e, 'bounds');
    (_a = callbacks.onStopPointing) === null || _a === void 0 ? void 0 : _a.call(callbacks, info);
  }, [callbacks]);
  return {
    onPointerDown: onPointerDown,
    onPointerMove: onPointerMove,
    onPointerUp: onPointerUp
  };
}

function useCameraCss(pageState) {
  var rGroup = useRef(null); // Update the tl-zoom CSS variable when the zoom changes

  useEffect(function () {
    document.documentElement.style.setProperty('--tl-zoom', pageState.camera.zoom.toString());
  }, [pageState.camera.zoom]); // Update the group's position when the camera moves or zooms

  useEffect(function () {
    var _a;

    var _pageState$camera = pageState.camera,
        zoom = _pageState$camera.zoom,
        point = _pageState$camera.point;
    (_a = rGroup.current) === null || _a === void 0 ? void 0 : _a.setAttribute('transform', "scale(".concat(zoom, ") translate(").concat(point[0], " ").concat(point[1], ")"));
  }, [pageState.camera]);
  return rGroup;
}

function useRenderOnResize() {
  var _React$useReducer = useReducer(function (x) {
    return x + 1;
  }, 0),
      _React$useReducer2 = _slicedToArray(_React$useReducer, 2),
      _ = _React$useReducer2[0],
      forceUpdate = _React$useReducer2[1];

  useEffect(function () {
    var debouncedUpdate = Utils.debounce(forceUpdate, 96);
    window.addEventListener('resize', debouncedUpdate);
    return function () {
      window.removeEventListener('resize', debouncedUpdate);
    };
  }, []);
}

var $every = arrayIteration.every;


var STRICT_METHOD$5 = arrayMethodIsStrict('every');

// `Array.prototype.every` method
// https://tc39.es/ecma262/#sec-array.prototype.every
_export({ target: 'Array', proto: true, forced: !STRICT_METHOD$5 }, {
  every: function every(callbackfn /* , thisArg */) {
    return $every(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});

function useSelection(page, pageState, shapeUtils) {
  var selectedIds = pageState.selectedIds;
  var bounds = undefined;
  var rotation = 0;
  var isLocked = false;

  if (selectedIds.length === 1) {
    var id = selectedIds[0];
    var shape = page.shapes[id];
    rotation = shape.rotation || 0;
    isLocked = shape.isLocked || false;
    bounds = shapeUtils[shape.type].getBounds(shape);
  } else if (selectedIds.length > 1) {
    var selectedShapes = selectedIds.map(function (id) {
      return page.shapes[id];
    });
    rotation = 0;
    isLocked = selectedShapes.every(function (shape) {
      return shape.isLocked;
    });
    bounds = selectedShapes.reduce(function (acc, shape, i) {
      if (i === 0) {
        return shapeUtils[shape.type].getRotatedBounds(shape);
      }

      return Utils.getExpandedBounds(acc, shapeUtils[shape.type].getRotatedBounds(shape));
    }, {});
  }

  return {
    bounds: bounds,
    rotation: rotation,
    isLocked: isLocked
  };
}

function useHandleEvents(id, rGroup) {
  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  var handlePointerDown = useCallback(function (e) {
    var _a, _b;

    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    (_a = rGroup.current) === null || _a === void 0 ? void 0 : _a.setPointerCapture(e.pointerId);
    var info = inputs.pointerDown(e, id);
    (_b = callbacks.onPointHandle) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
  }, [rGroup, callbacks, id]);
  var handlePointerUp = useCallback(function (e) {
    var _a, _b, _c;

    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    (_a = rGroup.current) === null || _a === void 0 ? void 0 : _a.releasePointerCapture(e.pointerId);
    var isDoubleClick = inputs.isDoubleClick();
    var info = inputs.pointerUp(e, id);

    if (isDoubleClick && !(info.altKey || info.metaKey)) {
      (_b = callbacks.onDoublePointHandle) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
    } else {
      (_c = callbacks.onStopPointing) === null || _c === void 0 ? void 0 : _c.call(callbacks, info);
    }
  }, [rGroup, callbacks, id]);
  var handlePointerEnter = useCallback(function (e) {
    var _a;

    if (!inputs.canAccept(e.pointerId)) return;
    (_a = callbacks.onHoverHandle) === null || _a === void 0 ? void 0 : _a.call(callbacks, inputs.pointerEnter(e, id));
  }, [callbacks, id]);
  var handlePointerMove = useCallback(function (e) {
    var _a;

    if (!inputs.canAccept(e.pointerId)) return;
    (_a = callbacks.onMoveOverHandle) === null || _a === void 0 ? void 0 : _a.call(callbacks, inputs.pointerEnter(e, id));
  }, [callbacks, id]);
  var handlePointerLeave = useCallback(function (e) {
    var _a;

    if (!inputs.canAccept(e.pointerId)) return;
    (_a = callbacks.onUnhoverHandle) === null || _a === void 0 ? void 0 : _a.call(callbacks, inputs.pointerEnter(e, id));
  }, [callbacks, id]);
  return {
    onPointerDown: handlePointerDown,
    onPointerUp: handlePointerUp,
    onPointerEnter: handlePointerEnter,
    onPointerMove: handlePointerMove,
    onPointerLeave: handlePointerLeave
  };
}

function useHandles(page, pageState) {
  var selectedIds = pageState.selectedIds;
  var shapeWithHandles = undefined;

  if (selectedIds.length === 1) {
    var id = selectedIds[0];
    var shape = page.shapes[id];

    if (shape.handles !== undefined) {
      shapeWithHandles = shape;
    }
  }

  return {
    shapeWithHandles: shapeWithHandles
  };
}

var ErrorFallback = /*#__PURE__*/memo(function (_ref) {
  var error = _ref.error,
      resetErrorBoundary = _ref.resetErrorBoundary;

  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  useEffect(function () {
    var _a;

    (_a = callbacks.onError) === null || _a === void 0 ? void 0 : _a.call(callbacks, error);
    console.error(error);
  }, [error, resetErrorBoundary, callbacks]);
  return jsx("g", {}, void 0);
});

var BrushUpdater = /*#__PURE__*/function () {
  function BrushUpdater() {
    _classCallCheck(this, BrushUpdater);

    this.ref = /*#__PURE__*/createRef();
  }

  _createClass(BrushUpdater, [{
    key: "set",
    value: function set(bounds) {
      var _a;

      if (!bounds) {
        this.clear();
        return;
      }

      var elm = (_a = this.ref) === null || _a === void 0 ? void 0 : _a.current;
      if (!elm) return;
      elm.setAttribute('opacity', '1');
      elm.setAttribute('x', bounds.minX.toString());
      elm.setAttribute('y', bounds.minY.toString());
      elm.setAttribute('width', bounds.width.toString());
      elm.setAttribute('height', bounds.height.toString());
    }
  }, {
    key: "clear",
    value: function clear() {
      var _a;

      var elm = (_a = this.ref) === null || _a === void 0 ? void 0 : _a.current;
      if (!elm) return;
      elm.setAttribute('opacity', '0');
      elm.setAttribute('width', '0');
      elm.setAttribute('height', '0');
    }
  }]);

  return BrushUpdater;
}();

var brushUpdater = new BrushUpdater();
function Brush(_ref) {
  var brush = _ref.brush;
  return jsx("rect", {
    ref: brushUpdater.ref,
    className: "tl-brush",
    x: (brush === null || brush === void 0 ? void 0 : brush.minX) || 0,
    y: (brush === null || brush === void 0 ? void 0 : brush.minY) || 0,
    width: (brush === null || brush === void 0 ? void 0 : brush.width) || 0,
    height: (brush === null || brush === void 0 ? void 0 : brush.height) || 0
  }, void 0);
}

function Defs(_ref) {
  var zoom = _ref.zoom;
  return jsxs("defs", {
    children: [jsx("circle", {
      id: "dot",
      className: "tl-counter-scaled tl-dot",
      r: 4
    }, void 0), jsx("circle", {
      id: "handle",
      className: "tl-counter-scaled tl-handle",
      r: 4
    }, void 0), jsxs("g", Object.assign({
      id: "cross",
      className: "tl-binding-indicator"
    }, {
      children: [jsx("line", {
        x1: -6,
        y1: -6,
        x2: 6,
        y2: 6
      }, void 0), jsx("line", {
        x1: 6,
        y1: -6,
        x2: -6,
        y2: 6
      }, void 0)]
    }), void 0), jsx("filter", Object.assign({
      id: "expand"
    }, {
      children: jsx("feMorphology", {
        operator: "dilate",
        radius: 0.5 / zoom
      }, void 0)
    }), void 0)]
  }, void 0);
}

var RenderedShape = /*#__PURE__*/memo(function RenderedShape(_ref) {
  var shape = _ref.shape,
      utils = _ref.utils,
      isEditing = _ref.isEditing,
      isHovered = _ref.isHovered,
      isBinding = _ref.isBinding,
      isSelected = _ref.isSelected,
      isDarkMode = _ref.isDarkMode,
      isCurrentParent = _ref.isCurrentParent;
  return utils.render(shape, {
    isEditing: isEditing,
    isHovered: isHovered,
    isSelected: isSelected,
    isBinding: isBinding,
    isDarkMode: isDarkMode,
    isCurrentParent: isCurrentParent
  });
}, function (prev, next) {
  if (prev.isEditing !== next.isEditing || prev.isHovered !== next.isHovered || prev.isSelected !== next.isSelected || prev.isDarkMode !== next.isDarkMode || prev.isBinding !== next.isBinding || prev.isCurrentParent !== next.isCurrentParent) {
    return false;
  }

  if (next.shape !== prev.shape) {
    return !next.utils.shouldRender(next.shape, prev.shape);
  }

  return true;
});

function EditingTextShape(_ref) {
  var shape = _ref.shape,
      utils = _ref.utils,
      isEditing = _ref.isEditing,
      isHovered = _ref.isHovered,
      isBinding = _ref.isBinding,
      isSelected = _ref.isSelected,
      isDarkMode = _ref.isDarkMode,
      isCurrentParent = _ref.isCurrentParent;
  var ref = useRef(null);
  return utils.render(shape, {
    ref: ref,
    isEditing: isEditing,
    isHovered: isHovered,
    isSelected: isSelected,
    isCurrentParent: isCurrentParent,
    isBinding: isBinding,
    isDarkMode: isDarkMode
  });
}

var Shape = /*#__PURE__*/memo(function (_ref) {
  var shape = _ref.shape,
      isEditing = _ref.isEditing,
      isHovered = _ref.isHovered,
      isSelected = _ref.isSelected,
      isBinding = _ref.isBinding,
      isDarkMode = _ref.isDarkMode,
      isCurrentParent = _ref.isCurrentParent;

  var _useTLContext = useTLContext(),
      shapeUtils = _useTLContext.shapeUtils;

  var rGroup = useRef(null);
  var events = useShapeEvents(shape.id, isCurrentParent, rGroup);
  var utils = shapeUtils[shape.type];
  var center = utils.getCenter(shape);
  var rotation = (shape.rotation || 0) * (180 / Math.PI);
  var transform = "rotate(".concat(rotation, ", ").concat(center, ") translate(").concat(shape.point, ")");
  return jsx("g", Object.assign({
    className: isCurrentParent ? 'tl-shape-group tl-current-parent' : 'tl-shape-group',
    ref: rGroup,
    id: shape.id,
    transform: transform,
    filter: isHovered ? 'url(#expand)' : 'none'
  }, events, {
    children: isEditing && utils.isEditableText ? jsx(EditingTextShape, {
      shape: shape,
      isBinding: false,
      isCurrentParent: false,
      isDarkMode: isDarkMode,
      isEditing: true,
      isHovered: false,
      isSelected: false,
      utils: utils
    }, void 0) : jsx(RenderedShape, {
      shape: shape,
      utils: utils,
      isBinding: isBinding,
      isCurrentParent: isCurrentParent,
      isDarkMode: isDarkMode,
      isEditing: isEditing,
      isHovered: isHovered,
      isSelected: isSelected
    }, void 0)
  }), void 0);
}, Utils.shallowEqual);

var CenterHandle = /*#__PURE__*/memo(function (_ref) {
  var bounds = _ref.bounds,
      isLocked = _ref.isLocked;
  return jsx("rect", {
    className: isLocked ? 'tl-bounds-center tl-dashed' : 'tl-bounds-center',
    x: -1,
    y: -1,
    width: bounds.width + 2,
    height: bounds.height + 2
  }, void 0);
});

var RotateHandle = /*#__PURE__*/memo(function (_ref) {
  var bounds = _ref.bounds,
      size = _ref.size;
  var events = useBoundsEvents('rotate');
  return jsxs("g", Object.assign({
    cursor: "grab"
  }, events, {
    children: [jsx("circle", {
      cx: bounds.width / 2,
      cy: size * -2,
      r: size * 2,
      fill: "transparent",
      stroke: "none",
      pointerEvents: "all"
    }, void 0), jsx("circle", {
      className: "tl-rotate-handle",
      cx: bounds.width / 2,
      cy: size * -2,
      r: size / 2,
      pointerEvents: "none"
    }, void 0)]
  }), void 0);
});

var _cornerBgClassnames;
var cornerBgClassnames = (_cornerBgClassnames = {}, _defineProperty(_cornerBgClassnames, TLBoundsCorner.TopLeft, 'tl-transparent tl-cursor-nwse'), _defineProperty(_cornerBgClassnames, TLBoundsCorner.TopRight, 'tl-transparent tl-cursor-nesw'), _defineProperty(_cornerBgClassnames, TLBoundsCorner.BottomRight, 'tl-transparent tl-cursor-nwse'), _defineProperty(_cornerBgClassnames, TLBoundsCorner.BottomLeft, 'tl-transparent tl-cursor-nesw'), _cornerBgClassnames);
var CornerHandle = /*#__PURE__*/memo(function (_ref) {
  var size = _ref.size,
      corner = _ref.corner,
      bounds = _ref.bounds;
  var events = useBoundsEvents(corner);
  var isTop = corner === TLBoundsCorner.TopLeft || corner === TLBoundsCorner.TopRight;
  var isLeft = corner === TLBoundsCorner.TopLeft || corner === TLBoundsCorner.BottomLeft;
  return jsxs("g", {
    children: [jsx("rect", Object.assign({
      className: cornerBgClassnames[corner],
      x: (isLeft ? -1 : bounds.width + 1) - size,
      y: (isTop ? -1 : bounds.height + 1) - size,
      width: size * 2,
      height: size * 2,
      pointerEvents: "all"
    }, events), void 0), jsx("rect", {
      className: "tl-corner-handle",
      x: (isLeft ? -1 : bounds.width + 1) - size / 2,
      y: (isTop ? -1 : bounds.height + 1) - size / 2,
      width: size,
      height: size,
      pointerEvents: "none"
    }, void 0)]
  }, void 0);
});

var _edgeClassnames;
var edgeClassnames = (_edgeClassnames = {}, _defineProperty(_edgeClassnames, TLBoundsEdge.Top, 'tl-transparent tl-cursor-ns'), _defineProperty(_edgeClassnames, TLBoundsEdge.Right, 'tl-transparent tl-cursor-ew'), _defineProperty(_edgeClassnames, TLBoundsEdge.Bottom, 'tl-transparent tl-cursor-ns'), _defineProperty(_edgeClassnames, TLBoundsEdge.Left, 'tl-transparent tl-cursor-ew'), _edgeClassnames);
var EdgeHandle = /*#__PURE__*/memo(function (_ref) {
  var size = _ref.size,
      bounds = _ref.bounds,
      edge = _ref.edge;
  var events = useBoundsEvents(edge);
  var isHorizontal = edge === TLBoundsEdge.Top || edge === TLBoundsEdge.Bottom;
  var isFarEdge = edge === TLBoundsEdge.Right || edge === TLBoundsEdge.Bottom;
  var height = bounds.height,
      width = bounds.width;
  return jsx("rect", Object.assign({
    className: edgeClassnames[edge],
    x: isHorizontal ? size / 2 : (isFarEdge ? width + 1 : -1) - size / 2,
    y: isHorizontal ? (isFarEdge ? height + 1 : -1) - size / 2 : size / 2,
    width: isHorizontal ? Math.max(0, width + 1 - size) : size,
    height: isHorizontal ? size : Math.max(0, height + 1 - size)
  }, events), void 0);
});

function Bounds(_ref) {
  var zoom = _ref.zoom,
      bounds = _ref.bounds,
      rotation = _ref.rotation,
      isLocked = _ref.isLocked;
  var size = (Utils.isMobile() ? 10 : 8) / zoom; // Touch target size

  var center = Utils.getBoundsCenter(bounds);
  return jsxs("g", Object.assign({
    pointerEvents: "all",
    transform: "\n        rotate(".concat(rotation * (180 / Math.PI), ",").concat(center, ")\n        translate(").concat(bounds.minX, ",").concat(bounds.minY, ")\n        rotate(").concat((bounds.rotation || 0) * (180 / Math.PI), ", 0, 0)")
  }, {
    children: [jsx(CenterHandle, {
      bounds: bounds,
      isLocked: isLocked
    }, void 0), !isLocked && jsxs(Fragment, {
      children: [jsx(EdgeHandle, {
        size: size,
        bounds: bounds,
        edge: TLBoundsEdge.Top
      }, void 0), jsx(EdgeHandle, {
        size: size,
        bounds: bounds,
        edge: TLBoundsEdge.Right
      }, void 0), jsx(EdgeHandle, {
        size: size,
        bounds: bounds,
        edge: TLBoundsEdge.Bottom
      }, void 0), jsx(EdgeHandle, {
        size: size,
        bounds: bounds,
        edge: TLBoundsEdge.Left
      }, void 0), jsx(CornerHandle, {
        size: size,
        bounds: bounds,
        corner: TLBoundsCorner.TopLeft
      }, void 0), jsx(CornerHandle, {
        size: size,
        bounds: bounds,
        corner: TLBoundsCorner.TopRight
      }, void 0), jsx(CornerHandle, {
        size: size,
        bounds: bounds,
        corner: TLBoundsCorner.BottomRight
      }, void 0), jsx(CornerHandle, {
        size: size,
        bounds: bounds,
        corner: TLBoundsCorner.BottomLeft
      }, void 0), jsx(RotateHandle, {
        size: size,
        bounds: bounds
      }, void 0)]
    }, void 0)]
  }), void 0);
}

function BoundsBg(_ref) {
  var bounds = _ref.bounds,
      rotation = _ref.rotation;

  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks;

  var rBounds = useRef(null);
  var handlePointerDown = useCallback(function (e) {
    var _a, _b;

    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    e.currentTarget.setPointerCapture(e.pointerId);
    var info = inputs.pointerDown(e, 'bounds');

    if (e.button === 0) {
      (_a = callbacks.onPointBounds) === null || _a === void 0 ? void 0 : _a.call(callbacks, info);
    } else if (e.button === 2) {
      (_b = callbacks.onRightPointBounds) === null || _b === void 0 ? void 0 : _b.call(callbacks, info);
    }
  }, [callbacks]);
  var handlePointerUp = useCallback(function (e) {
    var _a;

    if (!inputs.canAccept(e.pointerId)) return;
    e.stopPropagation();
    e.currentTarget.releasePointerCapture(e.pointerId);
    var info = inputs.pointerUp(e, 'bounds');
    (_a = callbacks.onStopPointing) === null || _a === void 0 ? void 0 : _a.call(callbacks, info);
  }, [callbacks]);
  var width = bounds.width,
      height = bounds.height;
  var center = Utils.getBoundsCenter(bounds);
  return jsx("rect", {
    ref: rBounds,
    className: "tl-bounds-bg",
    width: Math.max(1, width),
    height: Math.max(1, height),
    transform: "\n        rotate(".concat(rotation * (180 / Math.PI), ",").concat(center, ")\n        translate(").concat(bounds.minX, ",").concat(bounds.minY, ")\n        rotate(").concat((bounds.rotation || 0) * (180 / Math.PI), ", 0, 0)"),
    onPointerDown: handlePointerDown,
    onPointerUp: handlePointerUp
  }, void 0);
}

var Handle = /*#__PURE__*/memo(function (_ref) {
  var id = _ref.id,
      point = _ref.point;
  var rGroup = useRef(null);
  var events = useHandleEvents(id, rGroup);
  return jsxs("g", Object.assign({
    className: "handles",
    ref: rGroup,
    pointerEvents: "all",
    transform: "translate(".concat(point, ")")
  }, events, {
    children: [jsx("circle", {
      className: "tl-handle-bg",
      r: 12
    }, void 0), jsx("use", {
      href: "#handle",
      pointerEvents: "none"
    }, void 0)]
  }), id);
});

var toAngle = 180 / Math.PI;
var Handles = /*#__PURE__*/memo(function (_ref) {
  var shape = _ref.shape;

  var _useTLContext = useTLContext(),
      shapeUtils = _useTLContext.shapeUtils;

  var center = shapeUtils[shape.type].getCenter(shape);

  if (shape.handles === undefined) {
    return null;
  }

  return jsx("g", Object.assign({
    transform: "rotate(".concat((shape.rotation || 0) * toAngle, ",").concat(center, ")")
  }, {
    children: Object.values(shape.handles).map(function (handle) {
      return jsx(Handle, {
        id: handle.id,
        point: Vec.add(handle.point, shape.point)
      }, handle.id);
    })
  }), void 0);
});

function Page(_ref) {
  var page = _ref.page,
      pageState = _ref.pageState;

  var _useTLContext = useTLContext(),
      callbacks = _useTLContext.callbacks,
      shapeUtils = _useTLContext.shapeUtils;

  useRenderOnResize();
  var shapeTree = useShapeTree(page, pageState, shapeUtils, pageState, callbacks.onChange);

  var _useHandles = useHandles(page, pageState),
      shapeWithHandles = _useHandles.shapeWithHandles;

  var _useSelection = useSelection(page, pageState, shapeUtils),
      bounds = _useSelection.bounds,
      isLocked = _useSelection.isLocked,
      rotation = _useSelection.rotation;

  return jsxs(Fragment, {
    children: [bounds && jsx(BoundsBg, {
      bounds: bounds,
      rotation: rotation
    }, void 0), shapeTree.map(function (node) {
      return jsx(ShapeNode, {
        node: node,
        allowHovers: true
      }, node.shape.id);
    }), bounds && jsx(Bounds, {
      zoom: pageState.camera.zoom,
      bounds: bounds,
      isLocked: isLocked,
      rotation: rotation
    }, void 0), shapeWithHandles && jsx(Handles, {
      shape: shapeWithHandles
    }, void 0)]
  }, void 0);
}

var ShapeNode = function ShapeNode(_ref2) {
  var _ref2$node = _ref2.node,
      shape = _ref2$node.shape,
      children = _ref2$node.children,
      isEditing = _ref2$node.isEditing,
      isHovered = _ref2$node.isHovered,
      isDarkMode = _ref2$node.isDarkMode,
      isSelected = _ref2$node.isSelected,
      isBinding = _ref2$node.isBinding,
      isCurrentParent = _ref2$node.isCurrentParent,
      allowHovers = _ref2.allowHovers;
  return jsxs(Fragment, {
    children: [jsx(Shape, {
      shape: shape,
      isEditing: isEditing,
      isHovered: allowHovers && isHovered,
      isSelected: isSelected,
      isDarkMode: isDarkMode,
      isBinding: isBinding,
      isCurrentParent: isCurrentParent
    }, void 0), children.map(function (childNode) {
      return jsx(ShapeNode, {
        node: childNode,
        allowHovers: allowHovers
      }, childNode.shape.id);
    })]
  }, void 0);
};

function resetError() {// todo
}

function Canvas(_ref) {
  var page = _ref.page,
      pageState = _ref.pageState;
  var rCanvas = useRef(null);
  var rGroup = useCameraCss(pageState);
  useZoomEvents();
  useSafariFocusOutFix();
  var events = useCanvasEvents(rCanvas);
  return jsx("div", Object.assign({
    className: "tl-container"
  }, {
    children: jsx("svg", Object.assign({
      id: "canvas",
      className: "tl-canvas",
      ref: rCanvas
    }, events, {
      children: jsxs(ErrorBoundary, Object.assign({
        FallbackComponent: ErrorFallback,
        onReset: resetError
      }, {
        children: [jsx(Defs, {
          zoom: pageState.camera.zoom
        }, void 0), jsxs("g", Object.assign({
          ref: rGroup,
          id: "tl-shapes"
        }, {
          children: [jsx(Page, {
            page: page,
            pageState: pageState
          }, void 0), jsx(Brush, {}, void 0)]
        }), void 0)]
      }), void 0)
    }), void 0)
  }), void 0);
}

function Renderer(_a) {
  var shapeUtils = _a.shapeUtils,
      page = _a.page,
      pageState = _a.pageState,
      theme = _a.theme,
      _a$isDarkMode = _a.isDarkMode,
      _a$isDebugMode = _a.isDebugMode,
      _a$isPenMode = _a.isPenMode,
      rest = __rest(_a, ["shapeUtils", "page", "pageState", "theme", "isDarkMode", "isDebugMode", "isPenMode"]);

  useTLTheme(theme);

  var _React$useState = React__default.useState(function () {
    return {
      callbacks: rest,
      shapeUtils: shapeUtils
    };
  }),
      _React$useState2 = _slicedToArray(_React$useState, 1),
      context = _React$useState2[0];

  return jsx(TLContext.Provider, Object.assign({
    value: context
  }, {
    children: jsx(Canvas, {
      page: page,
      pageState: pageState
    }, void 0)
  }), void 0);
}

export { AlignType, DistributeType, Intersect, MoveType, Renderer, StretchType, Svg, TLBoundsCorner, TLBoundsEdge, TLShapeUtil, Utils, Vec, brushUpdater, inputs };
